 Version 1.3.8:
 * campaigns:
   * Descent into Darkness
     * fixed a bug causing the growth ability of Ghast to not always work
     * fixed a bug in 'A Small Favor - Part 2' preventing one random passage
       from opening up
   * Eastern Invasion
     * new portrait for Konrad II
   * Liberty:
     * fixed the undead transformations not working in 'Unlawful Orders'
     * clarified the objectives in 'The Gray Woods'
   * Northern Rebirth
     * Colored portraits for Sisal and Rakshas
     * Fixed bug in 'Old Friend' where Tallin looses bonus HP, MP and
       experience gained from the Rod of Justice
   * Sceptre of Fire
      * fixed lava expansion in 'Caverns of Flame' not working
   * Son of the Black Eye
     * Fixed bug in 'Saving Inarix' where the blown up bridge wasn't shown
       properly (bug #9817)
   * The South Guard
     * a large number of assorted little polishing tweaks and improvements
     * a somewhat nicer-looking village flag
     * Deoran now has a lvl 3 advancement, and no special AMLA options
     * new sprites for Sir Gerrick
     * removed the leader and hero ellipses until it's decided whether they
       should be used in all campaigns
     * Map for "A Choice In The Fog modified so mermen are actually useful.
     * "Tidings Good And Ill" is now playable even if you didn't recruit
       elves in the previous scenarios (bug #9944).
     * fixed bugs with units sometimes not starting with max HP and movement at
       the beginning of some scenarios.
     * in 'Tidings Good And Ill', you can now recruit and recall the elf
       escorts of your choosing instead of having them automatically picked
       from those you had in the previous scenario
     * in 'Tidings Good And Ill', defeating the naga queen is now mandatory
     * 'Into The Depths' has been completely rewritten.
     * there is a new scenario, 'Return To Kerlath', between 'Into The Depths'
       and 'Vengeance' on the elf branch.
     * trimmed the large unused portions of the map in 'Vengeance' away
     * in 'Vengeance', removed the death of Minister Hylas as a defeat condition
   * Under the Burning Suns
     * fixed the missing dialogue parts of elves fighting mud crawlers
       in 'The Morning After'.
     * made all tent villages yield elvish refugees (possibly) in 'The Morning
       After'.
     * fixed the stables encounter dialogue to always appear in order in 'The
       Morning After'
     * 'Across the Harsh Sands' - dehydration causes incurable damage (except
        through visiting an oasis) and fractional loss of attack strength.
     *  Adjusted some of the encounters and rewrote the Lost Soul appearance
        logic in 'Across the Harsh Sands'.
     * Added some dialogue to explain the ghost reappearance when they were
       defeated the night before to 'Across the Harsh Sands'.
     * 'A Stirring in the Night' - village events work correctly now (bugs
       #9947 and #9915), Added animated and impassable campfire terrain.
   * general
     * fixed many scenarios erroneously using the wrong difficulty level symbol
       in #ifdefs (MEDIUM instead of NORMAL)
 * graphics:
   * new graphics for the highwayman
   * nicer image for the illuminates aura and a new campfire aura
   * no more idle animations for units next to an enemy unit
   * new button and slider in preferences to switch unit idle animations on
     and off and set their frequency
   * no grid on off-map tiles
   * nicer transitioning between desert road, desert and desert villages
   * a new alternative terrain for lava, one which isn't drawn in a pit
 * language and i18n:
   * manual: switched to a brand new manual, now using some strange format to
     generate it and ending in a nice .html page
   * updated translations: Bulgarian, Danish, Dutch, Finnish, French, German,
     Hungarian, Italian, Japanese, Polish, Portuguese (Brazil), Russian,
     Swedish, Valencian
   * new translation: Serbian (Latin version)
   * added sazanami-gothic font (needed for the Japanese translation)
   * updated DejaVu font to 2.20 (no new characters)
   * made all keeps be called "Keep", all castles be called "Castle" and all
     roads be called "Road", instead of using variant names (such as
     "Elven Castle" or "Desert road")
 * multiplayer:
   * revised maps: Charge, Den of Onis, Meteor Lake, Silverhead Crossing,
     Triple Blitz, Clash
   * 'village_gold' is no longer stored when 'use_map_settings' is used
   * the server sends the game id and not only the game name if a player joins
     a game to avoid ambiguity in case of multiple games with the same name
   * show observer team chat messages in the 'Chat Log' window
   * implement linger mode for multiplayer
 * units:
   * balancing changes:
     * gave the Fugitive the concealment ability (village hiding)
     * increased the XP requirement to advance to the Fugitive from 77 to 120
     * decreased the melee attack of the Fugitive from 12-2 to 11-2
     * decreased the ranged attack of the Fugitive from 8-4 to 7-4
     * changed the race of the Vampire Bat line from 'undead' to 'bats'
     * changed the movement type of the Vampire Bat line from 'undeadfly' to
       'fly' (with adjustments)
     * added a magical ranged 7-2 arcane attack to the Dark Adept
     * added a magical ranged 9-2 arcane attack to the Dark Sorcerer
     * added a magical ranged 12-2 arcane attack to the Necromancer
     * added a magical ranged 9-3 arcane attack to the Lich
     * added a magical ranged 9-5 arcane attack to the Ancient Lich
     * increased the arcane resistance of the Ghoul line from -40% to 20%
     * increased the arcane resistance of the Ghost line from -30 to -10%
 * user interface:
   * OK in the status menu replaced with more informative "Scroll To".
   * add an "Animate Map" option in advanced preferences, to switch flag and
     terrain animation off
   * in menus, remove the lingering mouseover highlighting when mouse leave it
   * for the unit preview in recruit/recall dialog, use the same text coloring
     as in the main side panel.
 * help system:
   * the unit list is now organized by race sub-sections.
   * each ability, special weapon and race description page, display a list of
     hyperlinks to the related units (bug #9567)
   * unit pages have now a field "race" with a link to related race page.
   * hide the "Unknown Unit" page from the left-panel
   * topic with an id starting with a "." are not shown in the left-panel
   * the encountered units list is now correctly updated when using ":debug"
     and ":nodebug" commands
   * faster inital loading of the help.
   * fix some incorrect "open section" UI sound when clicking on links
 * WML engine:
   * new event "turn refresh" occurs after healing, calculating income, and
     restoring movement
   * now tag [filter_adjacent] is supported in the Standard Unit Filter (SUF)
   * now tag [filter_adjacent_location] is supported in the Standard Location
     Filter (SLF)
   * remove the unused [neighbour_unit_filter] animation filter, now that SUF
     does it for us (and better)
   * a minus sign in front of a cardinal direction now reverses it ("-s"="n")
   * now radius expansion is handled last in Standard Location Filters;
     previously it was handled last except before [and], [or], and [not]
   * fix a bug with array.length side-effects causing empty arrays to increase
     to size 1
   * the WML for attack animations has been moved from the [attack] block to
     the [unit] block
   * new effect apply_to=new_animation to add animations to unit
   * the [race] tag has now an "id" key for WML operations. The old "name" is
     now used for user display purposes (currently only in help sections). If
     id is missing, name will be used. There is also a new "description" key
     displayed in the race help page (but currently not used by mainline races)
   * new potentially useful global macros: FULL_HEAL, HIGHLIGHT_IMAGE,
     CLEAR_FOG, NO_SCROLL_TO_AI_LEADER
 * miscellaneous and bug fixes:
   * various bug fixes and code cleanups
   * remove some useless messages from the standard output
   * user-made campaign translations now work again for Windows (bug #9926)
   * fix TC imagepath function for non-playing side and add-on/campaigns icons
   * remove a 500ms delay between AI turns
   * switch to observer viewpoint in linger mode in multiplayer (bug #4072)
   * optimize unit's moves on map with shroud or fog

Version 1.3.7:
 * Campaigns
   * Son of the Black Eye
     * Fixed bug in 'Saving Inarix' where no user_description is generated for
       Inarix
   * Northern Rebirth
     * Colored portraits for Sister Theta and Ro'Arthian
     * Fixed bug in Anita's death event where Tallin speaks instead of her.
     * Fixed bug in 'Old Friend' where Rakshas' portrait doesn't appear.
     * Balancing and text changes in 'Old Friend'
   * Sceptre of Fire
     * Fixed a crash in the final scenario
   * Under the Burning Suns
     * Fixed invalid side bugs in 'Hunting Trolls'
     * Fixed an invalid terrain bug in 'A Long Night'
     * Fixed the dehydration in 'Across the Harsh Sands'
 * build system
   * Fixed autoconf/automake builds so that --disable-python-install
     will not try to create the default install directory for python
     stuff when it isn't needed. Otherwise if you aren't root, make
     errors out.
   * If --enable-display-revision isn't enabled SVNREV is no longer defined
     in the build process.
 * language and i18n:
   * updated translations: Danish, Finnish, French, German, Greek, Japanese,
     Lithuanian, Polish, Portuguese (Brazil), Russian, Serbian, Spanish,
     Swedish
   * updated DejaVu font to 2.19
 * multiplayer:
   * new map: Mokena Prairie
   * revised maps: Hamlets, Meteor Lake, 4p Hamlets, Paths of Daggers,
     Loris River
   * improvements to the sound of the countdown timer
   * the countdown timer alert can now start sounding while dialogs are open
   * unit descriptions are no longer evaluated for the recruitment checksum
     and thus avoiding an OOS error when different languages are used.
     The change is incompatible with older trunk versions fixes (bug #9472).
   * Show the (possibly bogus) GPV and fog settings of games with "Use map
     settings" on in a darker font. (patch #771 by uso)
   * the random start ToD option is now properly saved and loaded
     when use map default is used (bug #9532)
   * Changed the Id of the Halberdier from "Halbardier" to "Halberdier"
   * New name for the "Soul Shooter": "Banebow"
   * multiplayer lobby: highlight the names of the players which have joined
     the selected game (bug #7471)
   * multiplayer lobby: tab completion works for all player names now,
     not only for those which are not in a game (bug #9350)
   * enable "teamchat" for observers
   * when use 'map settings' is selected, map settings can no longer be
     changed, if not defined in the map the general default is chosen
   * when cancelling the MP create the changed preferences are no longer
     saved
   * when the MP create is accepted with 'use map settings' the map setting
     parameters are no longer stored as the new preference
   * the recommended settings are added to all standard multiplayer maps
     so that you get these values if you activate 'Use map settings'
 * graphics
   * fixed a glitch with the undo of recruit or recall on high places.
   * Improve rendering of "black stripes": don't hide footsteps or fog,
     and apply it also on off-map tiles when active.
   * Improve rendering of grid: draw under fog, shroud and "black stripes"
   * Fixed bug #9646: ToD changes not applied to mainmap in replay mode.
   * Remove ToD coloring and brightening of off-map background tiles
   * fix inconsistant highlighting of fog transitions
   * slightly bigger and multi-hex attack direction indicator, fixed
     incorrect scale update when zooming.
   * improve footsteps : better beginning, angles and end, reduce
     cpu cost, fix incorrect left-right sequences and clean some images
   * fixed the glitch which would occur on some maps in the top right
     corner and bottom left corner, these tiles were rendered as void
     instead of a normal terrain.
   * improved sand and desert terrains
   * remove the bars, orb and ellipse of dying animations.
 * sounds and music
   * new or improved sounds: bat hit, MP countdown timer
 * map editor:
   * the grid is scaled properly again and no longer shown in the offmap area
   * the resize option can now also use the surrounding tiles to expand the
     map in a smart way, this is the default.
   * the map editor can now also shift the origin of the map when resizing.
   * tiles can now have their own image in the editor, defaults to the minimap
     image. Also added some placeholder art.
 * user interface:
   * Enable "Save Game" and "View Chat Log" menu entries in replay mode.
   * Add an additional line below the minimap in the "Multiplayer->Create game"
     screen that displays the size of the selected map. (patch #776 by uso)
   * Add a tooltip with the experience modifier for the units XP display.
   * add an empty attack icon in attack dialog when needed (this also removes
     an error message, bug #9570)
   * better "choose attack direction using the last highlighted hex" on pack
     of units (bug #9649)
   * attack/move cursors and attack direction indicator are not used when
     observing (bug #9610)
   * 'help' and 'more' button in the title screen now also have a tooltip
     (bug #9618 patch #790)
   * added a hotkey for clearing the chat messages (patch #770)
   * Remove the "black stripes" of the enemy that we want to attack.
   * in tiny-gui, now the movement hint also displays the terrain defense.
   * the numbers of "show enemy moves" are now on top of fog and doesn't mix
     with those of the movement hint
   * the sidebar HP tooltip now show resistances of the current unit
   * also highlight the destination hex before an attack+move mouse action
   * more up-to-date mouse state (cursor, highlight, ADI) after some events:
     undo, attack dialog or right-click cancel
   * need only one right-click to open context-menu on an unselected enemy
   * selecting an enemy doesn't directly cancel its reachable zone
   * there's a new "Game Settings" window which shows the basic game settings
     for each player, accessible through the "More" button in the "Status Table"
   * in help, the links to unencountered units now works but have a "(?)"
     and point to an "Unknown Unit" page explaining why
   * the default zoom key now toggles between default and last used zoom. The
     switch is also faster (cached)
   * the unit list now colors the stats of units.
 * WML engine:
   * added effect types new_ability and remove_ability using [abilities] subkey
   * now [base_unit]id= inside [unit] can extend upon existing unit types
   * new tag [filter_radius] to allow greater control over radius expansion
     when using the standard location filter
   * fix a bug where containers could only be stored at the top-level
   * fix a bug where both x and y had to be specified in location filters
   * better handling/reporting of invalid WML variable type usage
   * new key find_in= to allow searching a variable of previously
     stored locations when using the standard location filter
   * new key find_in= to allow searching a variable of previously
     stored units when using the standard unit filter
   * new extra_defines= key to define in campaigns some other preprocessor
     symbol *before* the files are repreprocessed
   * fog and shroud tiles are now defined by the TerrainWML (not [game_config])
   * new key store_location_as= to store generated chamber item locations
   * the border has been made themable
   * Instead of having an empty upkeep type as the default when reading a
     config file being used to normally give leaders a 0 upkeep, now leaders
     (canrecruit=1) are specifically exempted from upkeep and the upkeep
     type defaults to "full" when read from config files the same as for
     using the recruit function. This makes documenting how upkeep works
     simpler (it currently wasn't really correct) without having to make
     leaders loyal. It also will work better for campaigns where the leaders
     change (not that there are any now) so that the current leader is
     exempted and any exleaders pay for upkeep (unless the are specically
     marked as loyal).
   * make random_traits default to "yes". Leaders can't get random traits
     yet, because it breaks MP, but it does give campaign units traits
     by default. It also allows specifying some traits and letting the
     rest fill in randomly. Some traits are always forced on for units
     that can get them (undead and mechanical).
   * not_living tag removed from race, as this information is provided
     by the undead and mechanical traits.
   * the default for turn limit has changed to unlimited, if you have scenarios
     which rely on the old default of 50 please add a turns parameter to it
   * In help, remove the useless "None" terrain type from the terrains list of
     an unit
 * team color
   * allow color ranges to be defined on-the-fly (like color palettes)
   * now [side] colour=<string> is valid (previously only int)
 * miscellaneous and bug fixes
   * added a .desktop entry for the editor so that it is shown
     in the kde/gnome menu
   * rewrote the config merge routine (should improve parse time slightly)
   * various code cleanups
   * Isle of Anduin renamed to Isle of Alduin to avoid copyright problems.
   * the assertion 'str.size() <= 4' no longer happens, instead the terrain
      is read as 'void' and an ingame message is shown (bug #9609)
   * IMPORTANT! End-of-scenario no longer takes you immediately to the
     next scenario or the lobby. Instead, you linger in browse mode --
     menu commands for chat, saving games, etc. are available.
     Clicking end-of-turn ends the linger and takes you out.
   * fixed a bug-cheat allowing super-ranged attack in some special cases
     (thanks jgp93)
   * fixed incorrect displayed reachable zone when moving next to an enemy
     in special ZoC cases (skirmish or lvl0)
   * It seemed it's ambiguous whether the GPL license as supplied by
     Wesnoth means GPL 2 or GPL 2+, since Sirp's orginal intent was
     GPL 2+ the license has been changed accordingly.
     (See https://mail.gna.org/public/wesnoth-dev/2007-07/msg00014.html)
   * When advancing from Dark Sorcerer to Lich, you now get the undead
     trait. The way this is fixed can add random traits if the new unit
     type allows more traits then the unit currently has. This would
     cause a problem for multiplayer, but no advancement paths currently
     have this case. You do get to keep your current traits, even if you
     wouldn't get them in the new unit type.
   * the minimum savegame protection is ignored when either the savegame
     or the current game has 'test' as version
   * Add 2 debug commands: "fps" for showing framerate, and "benchmark"
     to force a continuous refresh of the screen (for testing the real fps)
   * fixed bug keeping highlighted the previous selected hex after a
     right-click cancel on map using fog/shroud
   * slightly optimize the showing of the attack dialog
   * some hotkeys (*,~,{,},^,|,@,#,<,&) are now visible in the hotkey settings

Version 1.3.6:
 * language and i18n:
   * updated translations: Danish, Finnish, French, German
 * multiplayer:
   * the random start ToD option is now properly saved and loaded (bug #9532)
   * the map in the lobby could be randomly invisible due to an uninitialized
     variable (bug #9555)
   * the automatic unit description used a non-MP safe way, this has been
     fixed
   * the unit name generation could with different locales call get_random()
     a different number of times. This lead to different names and traits.
     Changed to call random a fixed number of times which fixes the traits.
 * miscellaneous and bug fixes
   * various code cleanups
   * proper handling of description autogeneration for per level [effect]
     on level 0 units
   * changed the order of which the permanent modifications of a unit are
     evaluated to (amlas, traits, objects)
     (previous order: objects, traits, amlas)
   * updated the copyright info in the source files also made it explicit
     Wesnoth is GPL 2 only (Wesnoth was already GPL 2 only)
   * Music transitions have now smooth transitions based on m_before end
     ms_after wml tags

Version 1.3.5:
 * campaigns
   * Heir to the Throne
     * The Elvish Lord's and Elvish High Lord's faerie fire attacks have been
       changed from cold to arcane and reduced from 8-3 and 8-5 to 7-3 and 7-5
       respectively
     * The obsolete Cockatrice unit has been removed
     * The bugs in HttT's SoF scenario have been fixed
   * Sceptre of Fire
     * changed Haldric II a bit and gave him new a sprite and animations
   * fixed teamcolourless fake unit moves in TRoW, HttT, EI, SoF, NR,
     TSG and TB
 * map editor:
   * new checkbox for the "delay transition update" option
   * map code has been refactored and separated from the main game
 * graphics
   * new animations: elvish scout idle
   * fix bug #9398 (attacking units always above defending units)
 * sounds and music
   * removed unused sounds: firearrow.wav, hatchet.ogg
 * language and i18n:
   * updated translations: Czech, Danish, Finnish, French, Galician, German,
     Greek, Indonesian, Japanese, Lithuanian, Polish, Spanish, Swedish
   * updated DejaVuSans font to version 2.18
 * multiplayer:
   * revised maps: Blitz, Cynsaun Battlefield, Hamlets, Sablestone Delta,
     Silverhead Crossing, Sulla's Ruins, Blue Water Province, Clash
   * fix MP crash on next scenario, thanks to Rhuvaen
   * option to suppress lobby minimaps is gone.
     Its champion concluded it was pointless.
 * units
   * new "mechanical" trait, meant to show mechanical units are immune to poison
   * balancing changes:
     * changed the 'resilient' trait from +3HP +10% to +4HP + 1HP * unit level
     * decreased the HP reduction of the 'quick' trait from 10% to 5%
     * decreased the HP addition of the 'healthy' trait from +3HP to +2HP
     * added the 'quick' trait back to the Clasher line
     * decreased the blade and impact resistance of saurians from 0% to -10%
     * decreased the fire resistance of saurians from -10% to -20%
     * increased the pierce resistance of saurians from 10% to 20%
     * increased the HP of saurians by 4HP
     * increased the XP requirement of the Saurian Skirmisher and Augur by 2
     * increased the melee attack of the Ruffian from 4-2 to 5-2
 * user interface:
   * allow unfocused widgets to steal the focus instead of just borrowing it
   * frequency of idle animations halved.
   * Help topics for units now have 'advances from' links
   * added experimental new transition between map and background
   * add colors to the statistics of units in help (Hajo's patch #764)
   * now scroll to the selected leader in status table
 * WML engine:
   * now ConditionalWML handles [and], [or], and [not] with in-order precedence
     (this is part of an effort to standardize the behavior of several
     different types of filters)
   * the syntax for logical OR-filters is now "cond1[or]cond2[/or]"
     instead of "[or]cond1[/or][or]cond2[/or]"
   * fix a bug where empty conditionals returned false
   * now [special_filter] supports [and],[or], and [not] (instead of just NOT)
   * now standard unit filter supports [and],[or], and [not] (was just [not])
   * [unstore_unit] can now try to level a unit and does so by default.
     This time added for real, the replay can also handle it(bug #7426)
   * new times= key to apply [effects] more than once (default=once,
     other possible value=per level, i.e. the effect is multiplyed
     by the level of the unit).
 * miscellaneous and bug fixes
   * fix renames causing OOS when made after moves or recruits
   * fix a minor glitch when selecting the leftmost menu heading
   * added some extra headers for the upcoming gcc 4.3 (debian bug #417764)
   * changed the default plague weapon special macro to always spawn a WC
   * scrolling speed is at 1.3.3 speed again
   * fix a growing cache bug with stoned units facing west.
   * in tiny-gui, fix badly scaled hp/xp bars at default zoom level

Version 1.3.4:
 * campaigns
   * Two Brothers
     * made the 2nd guards event in scenario 3 depend on if the first answer
       was correct, now the 2nd event triggers later when the first ends in a
       fight
     * added one row of terrain in the 3rd and 4th scenario to make it look
       better with the new "boardgame style"
   * Heir to the Throne
     * edited the maps of the scenarios: "The Elves Besieged", "Blackwater
       Port", "Bay of Pearls", "Crossroads", "The Siege of Elensefar",
       "Dwarven Doors", "The Lost General", "Elven Coucil"
     * adapted the names of the maps and cfgs of the HttT to match the
       scenario identification keys and the order of the scenarios
     * added the map of "Cliffs of Thoria"
     * changed one of the Orcish Warlords into a Sovereign and another one
	   into a Slurbow for the variety in "Dwarven Doors"
     * fixed the bug that made the undead leader unable to recruit because of a
       misspelled unit type in his recruit list in "The Lost General"
   * The Rise of Wesnoth
     * added the level 3 outlaws ( Hunter, Outlaw Ranger, Fugitive, Highwayman )
       as a campaign - specific units in The Rise of Wesnoth
     * added 2 extra turns to finish "Temple of the Deep" on all difficulties
   * Eastern Invasion
     * Reduced the difficulty of "Northern Outpost" scenario by making the
       villages spawn averagely 1 less outlaws per village
     * Changed the way Ovaec joins the protagonist in "Two Paths".
	   Now he keeps all the XP he might get in "Northern Outpost"
   * Descent into Darkness
     * Fixed the unknown unit type bug in "Forever and ever, amen", the bug
	   that made the Foolish heroes have 30 hitpoints and a broken dialog,
	   all in the same scenario
 * map editor
   * the minimum map size is reduced to 1
   * fixed the random map generator
 * graphics
   * added sickle and scythe attack icons
   * added weapon-shop tent and oak tree
   * added automatic side-coloring of custom flags
   * added a general backgound to make the game look better
     on really big screens
   * added a blur effect to most ingame dialogs
   * new animations: troll whelp idle, young ogre idle, skeleton idle,
     human loyalist general idle, human loyalist pikeman idle,
	 elvish fighter idle, master at arms crossbow and defend
   * small improvements of footsteps: no time-of-the-day coloring and
     better scaling
 * language and i18n:
   * updated translations: Czech, Danish, French, German, Italian,
      Japanese, Polish, Spanish, Swedish
   * new translations: Lithuanian
 * units
   * added a wolf "monster"
   * balancing changes:
     * healthy units now can rest even when they move
	   instead of having a double resting bonus.
     * increased the HP of the Skeleton Archer from 30 to 31
 * WML engine
   * removed deprecated keys image_healing and image_halo_healing
   * empty user_description now remains empty unless generate_description set
     (bug 8522).
   * empty user_team_name remains empty (bug 9310).
   * set_variable has the key time=stamp now, to get a timestamp in milliseconds
   * move some terrain masks definition in [game_config]
   * made defense_weight work again for values > 0
   * fixed some minor bugs with "sighted" event, "die" event, and [kill]
   * now [allow_undo] should work as expected in sub-commands such as [then]
 * user interface:
   * most popup windows are now buttonless with 'click anywhere to continue'
     behavior; to indicate this, such windows are translucent.
   * maps smaller than the screen are now shown centered on the screen
   * the movement hint now display a "(1)" turn to reach, where the unit
     will have no moves left (distance, village or ZoC)
   * fixed bug with the number of turns to reach when crossing several ZoC
   * ability to view a list of MP servers with the Join Game dialog
   * fixed blinking tooltips when clock is updated (bug #9209)
   * footsteps are now erased at the end of the unit's move
   * reduced "sea sickness" effect when scrolling at accelerated speed
   * allow to select item in menu with right-click
   * right-click outside of a cancelable dialog to close it
   * added experimental new background.
     read comment before draw_background() in display.cpp
   * the movement hints use multiline, colors and bigger font
     to display terrain defense and turns to reach
   * restore search of no-team-only map labels
   * ability to delete Add-Ons
   * make disabled buttons more obviously disabled
   * allow to choose the direction from where attacking, even when you
     are just near the enemy unit.
   * new indicator for the attack direction
   * new method to choose attack direction, use now the last highlighted hex
     instead of clicked triangle.
   * improve units list dialog: add a cancel button, fix a bug when selecting
     the first unit, preselect the on-map-selected unit and highlight on map
     the selected one.
 * Miscellaneous and bugfixes
   * fixed a lag in the path rendering when there is a lot of units (bug #9268)
   * fix bug #4299: word wrap for menus with very long option strings
   * various bugfixes and code cleanups
   * removed zipios support
   * poisonned/stoned text is properly centered again
   * fixed various bugs with stoned units, now no moves left and blind.
   * fixed a bug causing instantaneous move of unit when using acceleration
   * fixed briefly invisible unit when scrolling to show a move
   * fixed an invalid letter in the random winter scenario
   * fixed a invalid memory access if a map has width of 0 (bug #9301)
   * reduce memory usage for the default zoom level
   * fix various cheat-bugs to detect hidden enemies: using resistance info
     (bug #9119), search by name (bug #9314), change of hidden icon (bug #9288)
   * fix jerky overlay of moving unit, now displayed as bars and crown.

Version 1.3.3:
 * campaigns:
   * Northern Rebirth
     * Completed Scenario 'Ray of Hope'.
   * Sceptre of Fire:
     * imported from Wescamp
   * Son of the Black Eye:
     * Merged into mainline for testing.
   * Descent into Darkness
     * added to the pack
     * new Troll Shaman graphics
   * Under the Burning Suns
     * new WML in first and second scenario
     * tweaked second scenario map
     * removed a bunch of custom units
     * removed a bunch of custom terrains
     * new playable unit in scenario 2
     * new dehydration logic in scenario 2
     * new ambush logic in scenario 2
     * new Troll Shaman graphics
   * The South Guard
     * improved Deoran graphics
   * The Rise of Wesnoth
     * new Wose Sapling, Warrior King graphics
 * graphics
   * the leader crown don't hide anymore the top of hp/xp bars (bug #9120)
   * better flag icons for the status bar
   * taller flags that don't get hidden behind units so easily
   * fixed some drawing glitches in the top row (bug #8739 and #8071)
   * it's now possible to zoom in till the theoretical minimum of 4 pixels
     per hex.
   * hp/xp bars in tiny gui have better proportions
 * sound and music:
   * new or revised sounds: troll hit & die
   * added sounds for when a unit is slowed or poisoned
   * added a music track containing only silence (for stopping all music instead
     of just changing it)
 * language and i18n:
   * updated translations: Bulgarian, Chinese, Czech, Danish, French, German,
     Italian, Polish, Spanish, Swedish
   * updated man pages: Danish
   * fixed word wrapping in tooltips for Asian languages (or very long words)
   * updated DejaVuSans font to version 2.17
 * units:
   * balancing changes:
     * converted the cold melee attack of the Lich and Ancient Lich to arcane
     * decreased the arcane melee attack of the Wraith from 7-4 to 6-4
     * removed the 'fearless' trait from humans, orcs and mermen
     * added 'firststrike' weapon special to the pierce attack of Drake Clasher
     * decreased the arcane ranged attack of the White Mage from 8-4 to 7-4
     * decreased the arcane ranged attack of the Mage of Light from 10-4 to 9-4
 * multiplayer:
   * added maps: Xanthe Chaos, Auction-X
   * revised maps: Den of Onis, Hamlets, Meteor Lake, Sablestone Delta,
     Silverhead Crossing, Blue Water Province, Castle Hopping Isle, Loris River,
     Crusaders Fields, The Manzivan Traps
   * Team Survival: the teams are now set correctly and translatable
 * map editor
   * drawing terrain no longer erase starting positions
   * added an option "None" in the starting position menu
   * fixed a bug when overwriting starting positions
   * shorter starting time
 * WML engine
   * removed deprecated special= support in [effect]
   * removed deprecated 1.2 map format support
   * [store_villages] and [store_locations] now use the standard location
     filter, meaning they accept all the possible keys of [filter_location]
   * [store_villages] must now use owner_side= instead of side=
   * replace [own_village] with macro {OWN_VILLAGE X Y SIDE}
   * new conditional tag [have_location], tests true if any location passes
     the standard location filter provided inside the tag
   * now the standard location filter supports [and] and [or] tags
   * new key flag_icon for [side] to change the flag icon in the status bar
 * user interface:
   * fixed incorrect active flag in the status bar when using custom flag
   * restore a lost feature: if acceleration is on, pressing shift uses normal speed
   * fixed bug #9071 (incorrect behavior of the "delete" key at end of line)
   * fixed various acceleration bugs (things not being properly accelerated)
   * restored status bars during fights
   * floating numbers now take acceleration into account
   * display defense in the status bar of static units (towers) or
     units placed on impassable terrain
   * allow middle click on scrollbar to jump to a position.
 * WML tools and scripts:
   * New tool, wescamp_import, automates the shuffling of translation files
     and textdomain strings, need to import a campaign from WesCamp
     to mainline.
   * New tool, change_textdomain, makes it easy to change the name of UMC
     after import to mainline.
   * Old campaign_delete.pl and campaigns_client.pl have been replaced
     with a new campaigns_client.py.  Main new features are
	 (a) you can download sets of campaigns using RE wildcards, and
	 (b) It's possible to give a BfW version in place of a port number
	 and it will select the right port.
 * Miscellaneous and bugfixes
   * 1.2 savegames are no longer compatible and thus not loaded
   * fixed a crash if an invalid scenario was loaded (bug #9049)
   * fixed bug 8522.  Units without a name will be named after the unit_type.
   * fixed bug #9103 (AI causes crash when using static units like towers)
   * fixed a crash if a units poison attack has a cth of 0 (bug #9020)
   * no longer allow undo if a traitless unit reveals fogged and/or shrouded
     terrain (bug #9171, patch #739)
   * fixed a bug where loading didn't clear the halo data (bug #9144)

Version 1.3.2:
 * campaigns
   * Heir to the Throne
     * In Home of the North Elves, Eonihar the rider will join you permanently
       and the other riders that find you will be controlled by the AI
     * updated images for Delfador
     * made the narrator talk about gryphons at the end of Northern Winter only
       if the player has actually gotten the eggs
   * Tutorial
     * merged all unit images used in the tutorial from httt
     * increased number of turns from 20 to 26 in the 2nd scenario
   * made some units not appear in the unit help anymore (invisible helper
     units, duplicate desert elves and such)
   * The South Guard
     * better placement and duration of story images
     * graphical enhancements including a new ethiliel portrait
     * added 'Ruffian' an L0 outlaw to give the player something easy to kill.
   * Under the Burning Suns
     * Scenario 3: Made orc ambush happen on a random turn
   * Northern Rebirth
     * Version 18.6 merged in from WesCamp.
 * graphics
   * added the --max-fps command line switch
   * changed the drawing logic so it no longer delays when the drawing is
     lagging
   * improved the look of the main menu and tips-of-the-day boxes
     in the title screen
   * bugfix: units will now fade out properly at the end of death animations
   * rewrote the halo render engine which solves a few minor glitches,
     but most importantly speeds up the drawing of the halos.
   * units are scaled properly when zooming also with tiny gui (bug #8703 and
     bug #6570)
   * haloes in tiny gui are now scaled (before unscaled, thus a factor 2 bigger
     as intended)
   * the movement text is also scaled now (bug #6876, patch #693)
   * fix glitches when scrolling the map if zoomed out (bug #8768)
   * fix the right border glitch of the map when zooming (bug #6060 and others)
   * flying units are no longer buried in a castle (patch #709)
   * fix the position of some halos when unit has a height offset (patch #710)
   * Submerged units are no longer drowned when zooming.
   * scenery
     * added animated windmill, fancy and damaged tents, icepack, and shipwreck
   * fix problems with colour cursor in fullscreen (slow speed, bug #7555 and
     bug #6052)
   * new color cursors
   * fixed some scrolling corner cases (eg. fights happening partially
     offscreen)
   * automatic scrolling accelerates now (like a physical mass would)
 * sound
   * new or improved sounds: hatchet
   * sounds for user interface events
   * experimental ambient sounds for when night falls and morning arrives
   * "Breaking The Chains" (freedom.ogg) moved from NR to mainline
   * All music tracks now have complete Ogg tags.
 * language and i18n:
   * updated manual: French
   * updated translations: Bulgarian, Chinese, Czech, Danish, Dutch, French, German,
     Greek, Hungarian, Italian, Norwegian, Polish, Portuguese (Brazil), Spanish,
     Swedish
   * new translations: Indonesian
   * updated DejaVuSans font to version 2.16
   * removed FreeSans support since all the codes needed should be coverd by
     DejaVuSans now
 * multiplayer:
   * revised maps: Blitz, Castle Hopping Isle, Wilderlands
   * The countdown timer is now coloured properly when the remaining time is
     less than 2 minutes.
   * observer can save a replay of the game again
 * units:
    * balancing changes:
      * converted the cold resistance of the Elvish Sorceress line
	    to a holy resistance
      * decreased the holy resistance of the Orcish Assassin line from 20% to 0%
      * remove the 'quick' trait from the Clasher line
      * decreased the holy resistance of the Sky Drake from 20% to -30%
      * decreased the holy resistance of the Hurricane Drake from 20% to -30%
      * decreased the holy resistance of the Mermaid Priestess from 40% to 20%
      * decreased the holy resistance of the Mermaid Diviner from 60% to 40%
      * decreased the holy resistance of the Dwarves from 20% to 10%
      * increased the holy resistance of the Ghost line from -60% to -30%
      * enabled Lich and Ancient Lich to go on deep water and gave them submerge
      * Level 0 Ruffian & Woodsman added.
 * terrain system
   * added layer support to the terrain letters, two layers are supported
 * map editor
   * added an option to delay the complete redraw of the map on command.
   * fixed a bug causing the loss of editor's hotkeys when loading a map
 * WML engine
   * new [own_village] condition to check if someone owns a particular village
   * new [store_villages] tag to store village locations
   * new [store_turns] tag to store the number of turns remaining
   * all [store_*] tags get a default variable name
   * use complex variable substitution almost everywhere
   * new key for [set_variable], literal=, to avoid variable substitution
   * [effect] can now toggle the zoc
   * [effect] can now apply new portrait images and unit type descriptions
   * [effect] can now filter on unit_gender
   * new key for [variable], boolean_equals=, to test boolean equality
   * remove some old backward compatibility support
   * set_name in attack modification [effect] no longer change the weapon's
     description, use the new set_description instead
   * hit=yes in anim is now an alias of hit=hit,kill instead of hit=hit
     this should fix the sliding bug and fix more bugs than it creates
   * friendlier boolean matching for unit [filter] and unit [wml_filter]
   * fixed [special_filter] not working properly (#8212)
   * fixed [variables] not working properly for Multiplayer mode
   * new [set_menu_item] action, to allow custom WML items in the context menu
   * fixed a crash when a WML event killed a unit while dying in an attack
     which the attack engine didn't expect (bug #8814)
   * new key for [time], sound=, to specify a list of sounds that can play
     when ToD changes
   * more powerful [filter_location], now accepts radius=, [not], and
     [filter] to match units at the location
   * added [deprecated_message] so WML can also trigger the deprecated
     messages; used to tag macros scheduled for removal
 * user interface:
   * new sounds for user interface events
   * added the option to show warnings about deprecated WML usage
   * added the "ignore all" option to continue observing during massive OOS
   * show total amount of visible villages (patch #698)
   * added drag & drop to move units
   * mousewheel now by default scrolls vertically,
     and horizontally if alt is pressed.
   * added support for horizontal mousewheel (patch #644)
   * don't change the wait cursor when moving on the map (bug #8915).
   * update the highlighted hex after a scrolling with keys or mousewheel
 * WML tools and scripts:
   * Reorganized: these now live in data/tools/
   * New tool, macroscope, generates cross-reference reports on macro usage.
     Among other things, it can be used to find unresolved macro and
     resource-file references, or spot unused macros and resource files.
   * New tool, upconvert, handles converting maps and resource file names
     between versions.  It replaces map_convert.pl, which is now gone.
     It should be used to update UMC, though it doesn't do a complete job
     (which requires some human judgment).
   * New tool to create the unit tree in html, as used for units.wesnoth.org
     (written by elricz)
   * The old find-unused-images and find-unused-sounds scripts are deleted
     (replaced by macroscope).
   * The Perl random map generator (unmaintained since 2003, only
     generated old-style single-letter maps) has been removed.
 * miscellanous changes and bug fixes
   * a friendly healer will now stop poisoned unit to lose HP
   * a unit that dies while attacking will now correctly play its own death
   * turn bell can sound if other soundFX are turned off
   * the first turn starts again with the proper time of day (bug 8637)
   * removes the scaling handling in the halo, removing quite some code
   * fixed various problems found by valgrind, note some invalid access
     are now protected by asserts, so there might be more crashes instead
	 of silent memory corruptions (bug #8715, bug #8756 and bug #8839)
   * fixed beginning-of-scenario saves containing scenario WML (bug #8698)
   * fixed "End Turn" button clickable after Ctrl-F (bug #6556)
   * fixed autosaves not getting deleted for last campaign scenario and
     multiplayer (bug #8762)
   * Performance: wml compression is done in the helper threads
     instead of the main thread
   * Added some protection against crashing when attacking with units with
     a high or negative amount of hitpoints (bug #6154, bug #7955, bug #8541)
   * fix skirmisher filtered by terrain not working properly.
   * fixed Ethiliel not showing up in the scenario "Vengeance" of TSG
   * with a move attack action if the moveto event moves the defender
     Wesnoth would crash (part 1 of bug #8882)
   * fix missing filterings on some animations
   * renamed holy damage type to arcane
   * increased required version of python from >=2.3 to >=2.4
   * fixed detection of installed python versions to work on systems
     that do not have python installed at /usr/ (like MacOSX using fink)

Version 1.3.1:
 * Campaignd
   * first argument is number of threads to use, defaults to 5
 * campaigns
   * Eastern Invasion:
     * Drowned Planes: the dragon starts on grassland
     * The Crossing: fixed a bug which prevented the undead leader spawned
        at turn 8 to have a keep
     * The Duel: the keep is replaced by a castle tile instead of grass
   * Heir to the Throne
     * removed Mountain Pass and Valley of Statues from the repository
     * added underpinnings of an unlockable, optional, bonus scenario
     * Battle_for_Wesnoth: allow Asheviere to recruit non-scout units
     * In Elven Council the leaders are no longer standing in a keep
       but in a normal castle tile
   * The South Guard
     * Proven by the Sword: tell Deoran to go to Westin if the citadel
	   is secured (fixes #7360)
   * Two Brothers
     * updated the portrait of Bjarn to match the new mage colors
     * removed Skeletons as enemies in the first mission on easy, and
       Skeleton Archer as enemy on hard
     * added Ghouls as enemies for all undeads
     * some map updates to make them easier (2nd mission) or look better
	   (all the other missions)
 * editor
   * allow maps to be loaded from scenario files and written back to them
   * upon entering a new starting position the underlaying terrain
     remains unchanged
   * when overwriting a starting position and undo that action
      only the terrain was undone, not the starting position that's fixed
   * flipping a map over the Y axis no longer resizes the map
   * flipping a map over the X axis uses slightly different filler rules
   * added the paste option to the edit menu
   * added the option to split the terrains is groups
   * the brush size in non-drawing mode is ignored
   * added an alpha blended preview of the selected terrains
     upon drawing. The optimal alpha value needs some tuning, so
	 there's a setting, which is not stored in the preferences
 * graphics
   * missiles now take unit_height_adjust into account
   * improved layering system for terrain graphics
   * fixed terrain selection probabilites (patch #617)
   * stoned units do not use a separate cache
   * no more "darkened" cache. we now overlay terrain/darken.png
   * added the option to draw overlays on terrains filter by location,
     selected and mouseover hex
   * items with a halo have their halo hidden when under a shroud (bug #8523)
   * the visibility icon of an unit is now properly updated (bug #8107)
   * terrain
     * added peaks to the impassable mountains
     * added bridges crossing swamp and deep water
     * added farmland
     * added elvish castle
   * unit art
     * added a recruit animation for Skeleton
     * new death animations: Orcish Assassin, Grunt, Undead Ghoul,
	   Ancient Wose, Elder Wose, Thief
     * changed name on Dwarvish Warrior art files to Dwarvish Steelclad,
	   to conform to unit .cfg file name
     * new attack icons: undead axes, undead crossbow, pick axe, glaive,
       elven staff, mace-and-chain
     * new baseframes: all Mages, Footpad
     * new and changed animations:
       * Elvish Hero: melee attack
       * Elvish Sorceress line: magic shield
     * updated portraits: Troll
   * other images
     * animate-able campfire
     * crown icons for heros and expendable allied leaders
     * star shaped "ellipses" for leaders and hero units
     * updated and added many misc items
     * modified hex-grid
     * slightly modified logo
   * fix gryphon not being in the center of their hex
   * fixed incorrect WML in some units causing female variations to use male
   * fixed some cases where fog was updated without being redrawn
 * language and i18n:
   * updated translations: British English, Catalan, Czech, Danish, Dutch,
     Estonian, French, German, Greek, Italian, Polish, Russian, Serbian,
     Slovak, Swedish
   * updated DejaVuSans font to 2.15
   * fixed huge list of spelling mistakes in the en_US version
   * allow sighted messages to be translated with correct plural form
     (bug #8161)
   * moved the translation for campaign-specific units into the
     campaign textdomain (some campaigns did still use the
	 wesnoth textdomain for their units)
   * made the unit generated names translatable
   * switch to mainly using single space
 * multiplayer
   * game management
     * replace "Downloading next level..." by "Receiving data..."
       when scenario don't have next_scenario
     * replace "Downloading next level..." by "Downloading next scenario..."
     * fixed controller change not sent to all clients (bug #8138)
     * client now tells the server if a game ended in victory or defeat
     * configurable castle size for random map generator (patch #598, FR #3232)
     * team names translation now supported
     * sped up the lobby, the lag is much lower now (patch #676 and patch #677)
   * scenarios
     * scenarios can set faction, recruit, leader, and some other
	   initial settings previously ignored in multiplayer
     * added option to have random time of day in begin of multiplayer game
   * maps:
     * new multiplayer maps: The Manzivan Traps, 4p Hamlets
     * revised maps: Blitz, Charge, Den of Onis, Hamlets, Meteor Lake,
       Sablestone Delta, Sulla's Ruins, Wesbowl
     * made the AI recruit less scouts by setting the village_per_scout
       parameter
   * Wesbowl: the respawned units are fully healed again (bug #7776)
 * Python AI
   * Added various input validations
   * Set Python errors upon error
   * added support for optipng optimization in the compilation process
 * terrain system
   * The entire underlaying system has been converted to a new system,
     this might render some UMC broken, read this forum thread for more details
     http://www.wesnoth.org/forum/viewtopic.php?t=14910
   * Terrain of the starting position can be changed in the map,
     the automatic conversion to a keep is no longer done
   * New definition for the maps in terrain-graphics
   * All keeps have their own letter
   * Added wildcard matching support in a few cases
   * Added support to customize the village mouse-over texts
     depending on the ownership
   * Added a conversion script to convert old maps
 * units:
   * balancing changes:
     * implemented the holy damage type redesign as discussed on the mailing list
     * increased the pierce resistance of the Gladiator line from -10% to 0%
     * decreased the cold resistance of the Armageddon Drake from -30% to -50%
     * increased the HP of the Longbowman from 45 to 51
     * decreased the XP requirement of the Longbowman from 80 to 68
     * increased the HP of the Master Bowman from 58 to 67
     * decreased the HP of the Arch Mage from 57 to 54
     * removed the Shock Trooper line from random_leader
     * increased the melee attack of the Shyde from 4-2 to 6-2
     * increased the ranged slow attack of the Shyde from 7-2 to 6-3
     * increased the ranged magical attack of the Shyde from 7-3 to 8-3
     * increased the melee attack of the Enchantress from 5-2 to 6-2
     * increased the melee attack of the Sylph from 5-3 to 6-3
     * increased the ranged slow attack of the Sylph from 6-4 to 6-5
     * increased the HP of the Sylph from 58 to 60
     * increased the XP requirement of the Guardsman from 42 to 47
     * increased the HP of the Stalwart from 48 to 54
     * increased the XP requirement of the Stalwart from 65 to 85
     * increased the HP of the Sentinel from 56 to 68
     * removed the Stalwart line from random_leader
     * increased the XP requirement of the Gryphon Rider from 36 to 38
     * increased the HP of the Gryphon Master from 46 to 51
     * decreased cost of the Mudcrawler from 9 to 5
     * Dark Adepts no longer get the 'strong' trait
     * decreased the HP of the Shadow from 26 to 24
     * added the skirmisher ability to the Shadow line
     * increased the melee attack of the Walking Corpse from 5-2 to 6-2
     * made the Walking Corpse line get the fearless trait
     * increased the cost of Walking Corpses from 6 to 7 gold
     * increased the HP of the Goblin Rouser from 26 to 31
     * increased the melee attack of the Goblin Rouser from 5-3 to 6-3
     * increased the moves of the Troll Rocklobber from 4 to 5
     * decreased the HP of the Troll Rocklobber from 53 to 49
   * adapted WML to use [if] statements to differentiate hit and miss frames
   * new traits
     * healthy (+3HP, +4 rest healing), fearless (ignore unfavorable ToD)
   * new units
     * added the Armageddon Drake (not used in any mainline eras)
     * added dwarvish walking corpse/soulless variations
   * added a generic macro to have a standard filter for all idle anim
   * fixed a bug which prevented a Mermaid Siren picking up a storm trident
   * fixed a bug which caused the slow effect being applied twice (bug #8458)
 * user interface
   * use "Save Replay" instead of "Save Game" when asking to save a replay
     (bug #7256)
   * fixed enemy Gold shown twice in debug mode in status table (bug #6895)
   * added an option to hide minimaps in the multiplayer lobby
   * added menu items for saving the current map
   * added turbo speed setting and changed ui accordingly
   * turn bell moved to sound tab in preferences
   * new volume slider for the turn bell
   * disabled inactive sliders instead of hiding them
   * sliders can be adjusted with keyboard (left and right arrow)
   * sidebar reports related to gold, units, villages and time
     get greyed out during other team's turns
   * improve the tiny gui support (resolution of 320x240 pixels)
   * when sighting friendly units, the message is now blue
   * show leader name in statistics title (patch #604, FR #6932)
   * show the team a side belongs to in the status table.
   * show leader's name and colour at status table even when that team is fogged
     (patch #605)A
   * changed the zoom hotkeys from 'z', 'x' and 'c' to '+', '-' and '0'
   * fix the completion when controlling multiple sides (bug #8101, patch #653)
   * smarter focus handling when user input is irrelevant to the current focus
     but relevant to another widget
   * fix the "keylogger" effect when joining the MP Lobby
   * menus can now stay scrolled to the bottom if they were already scrolled
     to the bottom
   * scrolling performance improved
   * overall game performance improved when many units are visible
   * better performance when mouse is over a unit that sees many enemy units
   * show full username at bottom of screen when moused over in MP Lobby
   * animations draw faster now and the speed is independent of the resolution
   * fog/shroud is cleared after attack-move (bug #7131)
   * made some tooltips visible again (bug #6702 and bug #8380)
   * send a whisper message to a player when double clicked on the player list
 * friends list
   * added a friend list in MP lobby, they will display a special icon in lobby,
     and you can be warned when they join the lobby even when not receiving
     lobby joins
   * added an option to specify what you want to see as joins: all, friends,
     none
   * added a sub tab of multiplayer to the preferences menu to view and edit
     your friends and ignores list
   * if you choose to sort the lobby list your current login name will be
     displayed on the top of the list
 * WML engine
   * fixed era events not working on non hosts
   * added the the ability of passing a conditional statement in the [option]
     child of [message] if show_always=no to show this option only if the
     statement is passed.
   * added location range filter to [filter_location] in standard unit filter.
   * added prerecruit event that takes place after the unit is created but
     before it is displayed.
   * added ability to define color ranges and palettes in scenario, units,
     and unit modification effects.  Added ability to add image modifications
	 in a unit modification [effect] tag
   * SUF can now filter on anything that is also available throught
     unit variables, using a [wml_filter] block
   * overhaul of the team coloring engine.  Now it is possible to apply
     multiple TC to an image.
   * added fourth color in team_rgb definitions for representative color
     in minimap
   * added a horizontal/vertical flip function to ImagePathWML
   * added a 'hide_help' key that prevents a unit type from being listed
     in the in-game help (bug #5701)
   * added an 'allow_new_game' key (default=yes) to prevent [multiplayer]
     scenarios from showing up in the multiplayer game creation interface
     (FR #6397)
   * new [set_specials] tag to allow custom specials in [effect] tags
   * new 'remove_specials' key to allow the removal of specials in [effect] tags
   * obsolete the 'set_special' key in [effect] tags
   * correct handling of UTF8 filenames under windows
   * animations can now use standard unit filters
   * animations can now use standard unit filters on the secondary unit
   * animations can now use standard unit filters on any neighbouring unit
   * fighting animations can now be filtered by swing number, damage done and
     normal attack filters (both attacker and defender)
   * made some animation parameters progressive (allows a value to be changed
     gradually to another value over time)
   * new progressive parameters: 'alpha' (opacity of a frame),
     'offset' (the position relative to the faced hex), 'blend_color'
	 and 'blend_ratio' (to mix a given color with the frame)
   * units can now have a recruit animations that will be played on unit recruit
   * units now have idle animations, played when they've been idle for some time
   * units now have leveling up animations
   * units can now have victory animations, usable with the WML tag
     'victory_anim'
   * units can now have healed animations, used when they get healed
   * units can now have poison animations, used when they suffer poison damage
   * [event]s can now be written also inside [era]s (the [event]s are included
     in every scenario played using that era)
   * new operations for set_variable: divide and modulo
   * Animations now use duration= tag instead of begin= and end= (backward
     compatible)
   * Animations now have a frequency= filter to allow to tweak relative rarety
   * [message]s now use the duration= tag instead of [delay]ing afterwards
   * the filtered unit can be accessed in SUF using $this_unit
   * the primary unit can be accessed in events using $unit
   * the secondary unit can be accessed in events using $second_unit
   * added support for random_start_time in [scenario] (feature request #8024)
   * extended label to support team only and colors
   * gender-specific forms for trait names are now possible.
   * setting a WML variable to a random value now works correctly in MP games
   * text displayed when a unit is ambushed is now customizable with the new
     alert= key of the [hides] ability (FR #8264 2.)
   * unit animation terrain filter works properly again.
   * unit animation terrain filter now supports wildcard matching.
   * the encountered terrains are now written in a new format.
     this means the user has to rediscover all available terrains.
   * fixed a bug which returned wrong values if a random number was negative
   * max level advancements now raise the advance and post_advance events
   * [effect] can now remove attacks with the remove_attacks key
   * [unstore_unit] can now try to level a unit and does so by default (bug #7426)
 * sound
   * new or revised sounds: morning star, holy magic.
   * add advanced sound tab to pref allowing you to play with sample_rate and
     buffer_size options
 * misc:
   * --validcache runtime switch to force assumption that cache is valid
   * add two new debug command set_var and show_var to check variables
     within the game easily
   * better handling of SDL_ListModes return code (no user impact)
   * first turn of a game is saved again (fixes bug #7909 and bug #8117)
   * reduce CPU usage by removing calls to SDL_GetTicks for idle animations
   * changed network thread management to be more scalable, both with
     an upper and lower number of threads
   * enabled python as default, to disable it use --disable-python
   * various code cleanups
   * replaced KDE/Gnome desktop support with generic freedesktop standard
   * if a unit gains enough XP to gain 2 levels, this will be done directly

Version 1.2:
 * campaigns:
   * Two Brothers:
     * updated portraits for Arne and Bjarn
   * Under the Burning Suns:
     * changed some maps to fix glitches
     * fixed some image paths
     * new naga hunter portrait from Ranger M
     * uses the new lava transitions
 * graphics:
   * terrain:
     * new ice transition
     * modified swamp color
   * units:
     * new team-colored base-frames: grand marshal, human assassin, sergeant
     * halos for elvish shaman line attacks
     * new lightning bolt for Delfador
     * new fireball attack
     * new attack icons for wose crush and troll hammer
   * misc:
     * new icons for preferences
     * updated hex grid
 * language and i18n:
   * new man pages: Russian
   * updated translations: Catalan, Dutch, French, German, Greek, Italian,
     Norwegian, Russian, Slovenian
   * updated DejaVuSans font to 2.13
 * multiplayer maps:
   * revised maps: Blitz, Charge, Den of Onis, Hornshark Island, 4p Morituri,
     Meteor Lake, Lagoon
 * multiplayer
   * fixed some automove bugs (bug #7494 and bug #7251)
   * fixed passing controller in mp campaign (bug #7936)
   * added help strings so that long map names can be read
     from the MP Create screen
   * used small bold text for "Load Game..." item
   * support added for allow_new_game=no (for MP Campaigns)
 * misc:
   * fixed the AI usage of attack_weight (bug #7953)
   * the displayed terrain now has a space before the opening bracket
   * fixed a crash when image is missing (patch #647, thanks to pauli)
   * fixed a crash when attacking a sea serpent (bug #8075) (patch #648)

Version 1.1.14:
 * campaigns:
   * Eastern Invasion:
     * added a starting position for the seventh enemy (bug #7918)
   * Heir to the Throne:
     * fixed the signpost image in the narration (patch #638)
   * The Rise of Wesnoth:
     * fixed bad glitches in the map Rise of Wesnoth
   * The South Guard:
     * made it possible to finish "Into the Depths"
	   even without enough gold to pay the trolls
 * graphics:
   * terrain:
     * new special transition between chasm and dwarvish castle
     * new lava transitions (looks like completely new lava)
     * fixed glitches with impassable mountains at the edges of maps
     * resolved all glitches with cave walls
   * units:
     * new teamcolored baseframes: Halberdier, Heavy Infanfantry,
	   Pikeman, Shocktrooper, Siegetrooper
     * new baseframe: Yeti
     * some new skulls for skeleton units
   * misc:
     * new attack icon for wooden sword
     * new dwarven gate
     * new portrait for Asheviere
     * new, better looking hexgrid
 * language and i18n:
   * switch back to non-utf8 locale definition to fix some problems,
     --enable-dummy-locales should work again
   * updated man-pages: French, German
   * updated translations: Czech, Esperanto, French, Greek, Italian, Russian
 * multiplayer maps:
    * revised multiplayer maps: 3p Morituri, 4p Morituri, Blue Water Province,
      Den of Onis, Hexcake, Isar's Cross, Merkwuerdigliebe, Meteor Lake,
      Sablestone Delta, Sulla's Ruins
 * misc:
   * fixed a crash in the recall event_handler
   * fixed game crashes during AI turn (#7988)
   * fixed graphic glitch with large units
   * fixed sighted event with delay shroud during move&attack
     and also only move
   * add script to strip ICC profiles from images
   * modified wesnoth-pngcrush to use optipng instead of pngrewrite
     (a lot slower than the old script, but good compression results)

Version 1.1.13:
 * graphics
   * updated races to support team color: elves, goblins, lizards, ogres,
     orcs, trolls, woses, many dwarves, many humans, many undead, and galleons
   * new baseframes: elvish shaman line, troll whelp line, wose line, galleons,
     ogres, many other units
   * new or improved death, attack, and defence animations for various units
   * new attack icon: ballista
   * terrain
      * various minor terrain and item improvements
      * resolved the worst glitch between chasm and cave-walls.
   * additional star-shaped ellipses for designating special units.
 * language and i18n:
   * updated manpages: French
   * updated manual: Italian
   * updated translations: Czech, Esperanto, French, German, Italian
   * updated DejaVuSans font to 2.12
   * reworked language files
   * added descriptions to the weapons of some campaign units
     to make sure they are correctly translated
 * multiplayer maps:
    * revised multiplayer maps: Charge, Hamlets, Hornshark Island, Silverhead
      Crossing, Sulla's Ruins, 3p Morituri
 * misc bugfixes:
   * several minor bugs
   * other bugs people did forget to mention that they were fixed
   * unit frames are now centered instead of aligned on upper left corner

Version 1.1.12:
 * user interface
   * move chat line slider bottom (Multiplayer options)
   * display started game with vacant slot with yellow font
   * fix allow to move other player's (bug #6451)
 * sound
   * add sample_rate option (read only) to solve cracking sound
     on some sound card (Intel HDA, cmipci, ...) (bug #7507)
 * graphics
   * new portraits: Human Bowman
   * unit animations: Elven Hero's melee attack, Dragonguard,
     Saurian mages, Young Ogres, Troll Warrior, Troll Rocklobber
   * team color: Trolls, Woses, Orcish Assassin, Thief, Rogue and
     other outlaws
   * new/modified attack icons: dark magic, drake, javelins, ...
   * other: new sceptre
 * multiplayer
   * send a server message each time side controller change (fr #7358)
   * fixed green game bugs
   * fixed new host doesn't get control when original host left (bug #7351)
   * fixed crash when transfering a side (bug #7346, bug #7455)
   * fixed message bell sounding even on ignored messages (bug #7378)
 * language and i18n:
   * new manpages: Dutch
   * updated translations: Esperanto, French, German, Greek, Italian,
     Norwegian, Japanese, Polish, Slovenian, Turkish, Valencian
   * updated MANUAL: Czech, German
   * updated DejaVuSans font to 2.11
 * multiplayer maps:
    * revised multiplayer maps: Hamlets, Meteor Lake, Sulla's Ruins,
	  Silverhead Crossing, Isar's Cross, Paths of Daggers
 * engine changes
    * fixed the terrain defense alias to be used properly
    * fixed aggression calculations (bug #7432)
 * misc bugfixes
   * fixed malfunctioned sighted event during shroud (bug #4398)
   * fixed stats in replay counted not from 0 (bug #7245)
   * fixed replay end showing scenario objectives (bug #6937)

Version 1.1.11:
 * multiplayer
   * fixed no vacant slots in MP lobby for reloaded game (bug #7286)
   * fixed transfering control (bug #6577, bug #7046)
   * fixed Computer vs. Computer odd side effects (bug #7156)
 * user interface
   * fixed wrong turn number in multiplayer lobby with re-loaded game (bug #7229)
   * fixed graphical glitches when sending a single '*' message (bug #7197)
   * fixed blue orbs when given control of another side (bug #6352)
   * fixed program freeze when campaign server is unreachable (#bug #6291)
 * Python AI
   * there is now wesnoth.get_version()
 * WML engine
   * [event]s can now be written also inside [era]s
     (the [event]s are included in every scenario played using that era)
   * complex missiles frames are now in macros
 * language and i18n:
   * updated translations: Bulgarian, Catalan, Dutch, French, German,
     Italian, Japanese, Russian, Spanish, Swedish
   * updated MANUAL: Japanese, Swedish

Version 1.1.10:
 * campaigns:
   * Heir to the Throne
     * made it a lot harder to kill Li'sar in Ford of Abez
	   by giving her reinforcements more often
   * The South Guard
     * Animation for Deoran's Mace attack (from special AMLA)
 * language and i18n:
    * new translations: Valencia
    * updated translations: Czech, English (British), Finnish, German, Italian,
      Japanese, Polish, Portuguese (Brazil), Slovak, Serbian, Swedish
    * new or updated man pages: Czech, English (British), French, German,
      Italian, Japanese, Portuguese (Brazil), Slovak, Swedish
    * removed (outdated) man pages: Hungarian
    * updated MANUAL: Swedish
 * multiplayer maps:
   * revised multiplayer maps: Den of Onis, Hamlets, Meteor Lake, Sablestone
     Delta, Island of the Horatii, Castle Hopping Isle, Siege Castles, King of
     the Hill, Loris River, Forest of Fear, Waterloo Sunset, Merkwuerdigliebe
   * fixed the leader lists in Wesbowl to match current factions
 * multiplayer
   * scenarios can set faction, recruit, leader, and some other
     initial settings previously ignored in multiplayer
 * WML engine
   * now "ai turn" events are fired for all AIs (#6738)
   * recruitment_pattern inside [ai] can now change mid-scenario (#6669)
 * Graphics:
   * New dwarven castle
   * New Swamp overlay tiles
 * Python AI
   * there is now unit.stoned

Version 1.1.9:
 * campaigns
   * Heir to the Throne
     * fixed gold typo in Dwarven Doors (#6481)
     * Isle of the Damned: removed merman recall on HARD
   * Two Brothers
     * fixed showing the objective "kill the mage to get the key"
	   if you already obtained the key (#6704)
 * multiplayer maps:
   * revised multiplayer maps: Sablestone Delta, Den of Onis
 * language and i18n:
   * updated translations: Dutch, Esperanto, Finnish, French, German, Italian,
     Japanese, Norwegian, Polish, Russian, Serbian, Slovak, Slovenian, Spanish
   * new manual: Japanese
   * updated manual: Portuguese (Brazil)
 * units:
   * balancing changes:
     * removed Necrophage from random_leader
   * added profile key to female thief to prevent use of male image
 * user interface
   * changed the hotkey for 'end turn' from 'alt+space' to 'ctrl/cmd+space'
     because it interferes with several common window managers
   * changed the hotkey for 'repeat recruit' from 'ctrl+shift+r' to
     'ctrl+alt+r' since shift toggles accelerated mode and produced
	 an animation glitch with this hotkey; this needs to be considered
	 for future hotkey changes/additions (see bug #6312)
 * misc
   * fixed --with-desktopdir and --with-icondir,
     it still needs --with-kde or --with-gnome (#6499)
   * correct handling of UTF8 filenames under windows
   * multiplayer game management: client now tells the server
     if it ended in victory or defeat

Version 1.1.8:
 * campaigns
   * Eastern Invasion:
     * replaced unit "Lord" by "General" (#6132)
   * The South Guard:
     * fixed a few broken image paths
     * scenario 2:
       * made the enemy leader water-phobic, so he won't charge fishes
       * moved away a footpad so he won't steal the keep at turn #1
     * Jarek no longer acts loyally (#6408)
   * Heir to the Throne
     * fixed fire sword that can't be picked up (#6234)
     * increased income for Snow Plains enemy
     * removed obsolete maps
     * Dwarven Doors balancing tweak: AI gets more income, less gold
     * Home of the North Elves: only need to resist one turn, not all turns
   * Under the Burning Suns:
     * scenario 3: Undead leaders can't move on "very hard" difficulty
   * The Rise of Wesnoth
     * fixed several more portrait issues
     * standardized "speaker" usage in messages
     * removed recall of knights in underground scenarios
     * added hero icon to Lt Aethyr in Clearwater Port
     * fixed missing galleon images
     * fixed missing story image in Rough Landing
     * fixed missing music in the last scenario
 * graphics
   * new attack icons: Dragonstaff, Drake Flaming Claws, Faerie Fire,
     Human Fist, Scimitar, Whip
 * language and i18n:
   * updated translations: British English, Catalan, Czech, Dutch, Esperanto,
     Finnish, French, German, Hungarian, Italian, Japanese, Latin, Norwegian,
     Polish, Portuguese (Brazil), Russian, Slovak, Slovenian, Spanish, Swedish
   * updated man pages: Swedish, German
   * updated manual: Italian
 * multiplayer maps:
   * revised multiplayer maps: Amohsad Caldera, Blitz, Caves of the Basilisk,
     Charge, Den of Onis, Hamlets, Hornshark Island, 4p Moritori,
     Merkwuerdigliebe, Sablestone Delta, Silverhead Crossing
 * music & sound
   * new or improved sounds: elf hit, yeti hit & die, magic missiles, poison,
     stoned, gryphon hit & die & shriek, orc hit & die, small orc hit & die
 * engine changes
   * added support for proper healing animations
   * team colouring now applied correctly everywhere, such as in recruit dialogs
   * new (optional) image path syntax to allow team colouring of images
     anywhere, for example in campaign icons
 * AmigaOS4 support (patch #564)
 * user interface
   * disable inactive sliders instead of hiding them
   * sliders can be adjusted with keyboard left and right
   * improved the parsing speed of the help dialog

Version 1.1.7:
 * campaigns
   * Heir to the Throne
     * added 2 mermen to Bay of Pearls on hard
     * lowered turn limits on Scepter of Fire to something sane
 * language and i18n:
    * updated translations: French, German, Portuguese (Brazil),
	  Spanish, Swedish
 * multiplayer maps:
    * revised multiplayer maps: Amohsad Caldera
 * units
    * balancing changes:
      * removed White Mage and Mage of Light from random_leader
      * removed special defense values from the Merman Hoplite
      * decreased the melee attack of the Merman Javelineer from 8-3 to 8-2
      * increased the melee attack of the Merman Entangler from 7-3 to 8-3
      * increased the ranged attack of the Merman Entangler from 7-3 to 8-3
      * increased the melee attack of the Necrophage from 6-3 to 7-3
      * decreased the XP requirement of the Necrophage from 66 to 40
 * music & sound
   * new or improved sounds: lich hit & die, bite, tail
 * graphics
   * new village flag animation
   * some units and animations updated for team color support
 * fixed bug that caused the game to freeze when a leader
   takes part in a fight

Version 1.1.6:
 * campaigns
   * Heir to the Throne
     * added a secret, powerful item to one of the later scenarios
     * ensured minimum gold of 500 to start campaign climax scenarios
	   (after Elven Council)
     * expanded list of units that can obtain the Fire Sword
     * added an option dialog to let you choose who gets the Fire Sword
   * The Rise of Wesnoth
     * fixed missing objectives for Cursed Isle
   * The South Guard
     * fixed Naga position in Hard mode for Tidings Good And Ill
 * multiplayer maps:
   * renamed Smallolof to Amohsad Caldera
   * revised multiplayer maps: Caves of the Basilisk, Cynsaun Battlefield,
     Sulla's Ruins, Hornshark Island, 3p Morituri, Blue Water Province,
	 Castle Hopping Isle, Forest of Fear, Amohsad Caldera, Hexcake
 * units
   * balancing changes:
     * removed special defense values from the Merman Fighter line
     * decreased impact resistance from 30% to 10% for the
	   Heavy Infantryman line
 * graphics
   * updated armor sprite
   * new attack icons: Cleaver, Pitchfork, Quarterstuff, Wooden Sword
   * new tropical forest
 * user interface
   * added several default hotkeys
   * changed the hotkey for 'Update Shroud Now' from 'ctrl+k' to 'S'
   * moved the hotkey definitions into its own file
   * added illuminated cave to help.cfg
   * added illumination description to lava in help.cfg
 * language and i18n:
   * updated translations: Finnish, French, German, Hungarian,
     Latin, Polish, Portuguese (Brazil), Swedish, Turkish
   * updated MANUAL: Swedish
   * updated man pages: German, Swedish

Version 1.1.5:
 * WML engine
   * all [event] tags shall perform complex substitution
   * new key in [advancement] to prevent AMLA if the unit
     can advance to another unit.
 * language and i18n:
   * updated translations: Czech, Finnish, Hungarian, Italian,
     Latin, Norwegian, Portuguese (Brazil), Spanish, Swedish
 * campaigns
   * Tutorial
     * the hero icon is explained
   * Heir to the Throne
     * not being able to recruit gryphons is further explained
	   in Northern Winter
     * made Dwarven Doors entrance accessible to mountedfoot
   * The Rise of Wesnoth
     * gave hero icons to unkillable heroes (possibly missing some)
     * fixed lack of death objective for Lord Typhon in A Final Spring (#6108)
     * Added new terrain to Temple of the Deep and The Ka'lian
     * Removed some cave terrain in The Sewer
 * multiplayer maps:
   * config file update: Sulla's Ruins
   * revised multiplayer maps: Charge, Meteor Lake, King of the Hill,
     Loris River, Paths of Daggers, Siege Castles, Waterloo Sunset
 * units
   * fixed zoc/no zoc ellipses
   * balancing changes:
     * Increased HP of the Footpad from 28 to 30
     * Increased melee and ranged damage of the Footpad from 4-2 to 5-2
     * Increased HP of the Outlaw from 40 to 42
     * Increased melee damage of the Outlaw from 7-2 to 8-2
     * Added marksmanship to the Drake Glider branch
     * Hurrican and Sky Drakes now have same defense and movement costs
	   on fungus and in caves like other drakes.
 * music & sound
   * new or improved sounds: holy magic, thorns, pincers
 * miscellaneous
   * added a generic scenario music macro and table of contents to utils.cfg
   * added an advanced preference to disable mouse scrolling
   * --no-delay and --exit-at-end options added for benchmarking
 * graphics
   * new attack icons: Curse, Drake Claws, Human Crossbow, Human Throwing
     Dagger, Ink, Orcish Bow, Orcish Crossbow, Orcish Spear, Slam, Tentacle,
     Thunderstick, Undead Dagger, Waterspray, Web

Version 1.1.4:
 * language and i18n:
   * updated translations: Czech, German, Slovak
 * help menu
   * It is now possible to specify generated topic sorting by title
     separate from sorting all of the topics. This allows a sorted list
	 of generated topics to be placed after a fixed list of topics.
   * The Abilities and Traits sections were changed so that the overviews
     come first
   * Fixed a bug where the wrong ability description could be extracted
     from a unit type with multiple abilities. This was causing an
	 incorrect description for Illuminate in Help.
   * Units are now sorted first by race and then by name.
 * WML engine
   * modify ranged animation timing, all animations (attack, defend,
     missile, block have the same clock)
   * leading_image is deprecated, please use the new [leading_anim] animation
 * multiplayer maps:
   * revised multiplayer maps: Charge
 * units
   * fixed a problem with unit type description being overwritten
     by the unit description (name) when saving and reloading.
   * tweaked the movement type of Nagas and Ghosts

Version 1.1.3:
 * campaigns
   * Two Brothers
     * made the 2nd scenario easier on easy: more starting gold,
	   4 extra villages, +10 income, less villages for the ai
     * added a hero icon for the dark adept
     * improved dialogs in the 2nd scenario
     * added a move_unit_fake to have Brenda not appear out of nowhere
	   (easy only)
     * improved dialogs in the 3rd scenario
   * The South Guard
     * improved/additional dialog
     * new portraits
   * Heir to the Throne
     * Blackwater Port: secret bonus for beating the leader on hard
     * Isle of the Damned: adjusted temple contents to sync up with difficulty level
     * Scepter of Fire: major rebalance to relax the pace of the level
     * Home of the North Elves: army camps are invincible, elves defend you better
     * Marked heroes with {IS_HERO} macro
     * Increased minimum gold for most of campaign Act 2
   * The Rise of Wesnoth
     * Fixed portrait paths
     * Fixed map image paths
     * Switched to use of profile key in single unit definitions
     * Minor text cleanups
   * Under the Burning Suns
     * New unit artwork for Kaleh and Nym
     * Shrunk portraits to fit the Wesnoth standard of other campaigns
     * Removed Skirmish Ability from Desert Rider and Desert Outrider
     * Added Skirmish Ability to Desert Horseman
     * Increased melee damage of Desert Horseman from 4-3 to 5-3
     * Increased HP of the Desert Horseman from 45 to 50
     * Minor text cleanups
 * graphics
   * impassable mountain terrain
   * portraits: troll, assassin, dwarf-guard from old UtBS
   * death animations: vampire bat, goblin impaler, sea serpent, skeleton
   * new attack animations: goblin impaler, orcish slurbow & archer,
     elder mage, master-at-arms, white mage
   * timing in most animations changed to make them look smoother
   * minor changes or filler frames added to several animations
   * new attack icons: bow, club, dark missile, druid staff, elven sword,
     entangle, flaming sword, frenzy, lance, human sabre, human throwing
     dagger, mace, morning star, mud glob, orcish dagger, orcish greatsword,
     orcish sword, pike, pincers, plaguestaff, sling, thorns, torch, touch,
     wail, zombie touch
   * hitpoint distribution graphs under Damage Calculations
   * improvements to loadscreen progressbar
   * new selection style for menu listboxes
   * many units and animations updated for team color support:
   * units can now have standing animations that are used when standing
 * multiplayer maps:
   * added multiplayer maps: 8p Morituri, Waterloo Sunset, Caves of the Basilisk,
     Isar's Cross, Merkwuerdigliebe
   * removed multiplayer maps: Divide and Conquer
   * revised multiplayer maps: Blitz, Charge, Cynsaun Battlefield, Den of Onis,
     Hamlets, Hornshark Island, Silverhead Crossing, Sullas Ruins, Island of the
     Horatii, 3p Morituri, Clash, Lagoon, The Wilderlands, Crusaders' Field,
     Sablestone Delta, King of the Hill, Loris River, Paths of Daggers,
     Siege Castles, Waterloo Sunset
 * music & sound
   * new or improved sounds: thunderstick and dragonstick, fist, club, hatchet,
     throwing knives, zombie hit, bow, orcish bow + fire bow, wolf bite, claws,
     wose attack & hit & die, dwarf hit & die, sling, big sling, crossbow +
     fire crossbow, sword, drake hit, naga hit & die, axe, torch, big dark magic,
     gryphon hit & die, human hit & die & female versions & old male versions,
     goblin hit & die, horse hit & die
   * minor edits to several sounds
   * support for randomly chosen variations of sounds
 * language and i18n:
   * new translations: Filipino, Galego
   * updated translations: Czech, Dutch, Finnish, French, German, Italian,
     Korean, Norwegian, Portuguese (Brazil), Romanian, Spanish, Swedish, Turkish
   * updated man pages: Swedish
   * updated manual: Swedish
 * units
   * fixed the resistances of the Sky Drake line
   * increased the holy resistance for units with holy attacks
     to 40% for level 2 and 60% for level 3
   * balancing changes:
     * decreased HP of Drake Flare from 62 to 54
     * decreased HP of Drake Flameheart from 82 to 72
     * increased HP of Fire Drake from 54 to 63
     * increased HP of Drake Inferno from 68 to 82
     * decreased HP of Elvish Fighter from 34 to 33
 * Wesnoth engine
   * new unit display graphic engine...
   * added unit cost to help
 * Wesnoth server
   * disallowed names, accepted versions, redirected versions, proxy versions,
     and ip bans can now use '*' and '?' for wildcard matching
   * host changes automatically if game creator leaves => no disconnections
 * WML improvements
   * interpret the variables/arrays in a few more tags
   * floating damage/heal or status can be printed over a modified unit using
     the 'text', 'red', 'blue', and 'green' keys in [unstore_unit]
   * store_locations now stores terrain as well as x,y
   * [effect] can now apply_to movement_costs, defense and resistance
   * when no missile frame is specified, we don't use a default arrow anymore
 * multiplayer settings:
   * two additional MP timer settings, time reservoir limit and action bonus:
     * Reservoir prevents the turn timer from exceeding an upper limit.
     * Action bonus is added after turn for each attack, capture, and recruit.
   * share view/map option removed from multiplayer create screen
   * slider for each player to adjust their base income
 * misc
   * fix alt key under Mac OS X
   * help contents available from title screen
   * preferences available from multiplayer lobby
   * new /help command in mp lobby to get info on available commands
   * :mute command to silence observers
   * new --turns= commandline parameter
   * conditional statements in animation syntax
   * intelligent autosaves and menu integration

Version 1.1.2:
 * campaigns
   * campaigns removed from mainline: Son of the Black Eye, The Dark Hordes
   * campaigns added to mainline:
     * The South Guard
     * Under the Burning Suns
   * new tutorial replacing the old one
   * Eastern Invasion
     * rewrote dialogue in Lake Vrug, Evacuation, and The Drowned Plains
     * redid cave maps to take advantage of new terrains
     * redid some outdoor maps to be more interesting
     * gave an early finish bonus in scenario Captured
   * Heir to the Throne
     * switched over to [music] tag and removed outdated music choices
     * new story art
     * Isle of Anduin - added destruction to the map
     * Northern Winter - added turns for balancing
     * Scepter of Fire - enemies have less gold for balancing
     * Swamp of Dread - smaller map for faster but more intense gameplay
     * minor gameplay improvement for Swamp of Dread
     * removed Mountain Pass and Valley of Statues from the campaign
     * started to update dots on the big map
   * The Rise of Wesnoth
     * Replaced all occurences of the Demilich with the normal Lich
     * Updated path information
     * updated music tags to new format and removed outdated music choices
   * The South Guard
     * bugfixes, and clarification of objectives
     * switched to using the {IS_HERO} macro
     * all the unit names are now translatable
     * made translatable some forgotten strings
     * switched over to [music] from music=
       got rid of depreciated music and wired in new music.
     * Proven By The Sword: fixed recall of Javelineers
     * removed the unneeded Dread Lich
     * added custom SG flag
     * altered the first scenario so mermen are more useful/interesting.
   * Two Brothers
     * switched to using the {IS_HERO} macro
     * changed music in all scenarios
     * allowing to recruit Footpads to be better able to fight skeletons
     * 2nd mission: added new objective after seeing the Dark Adept
     * 3rd mission: changed guards to be outlaw units
     * 3rd mission: 6 extra turns after killing the leader, this should allow
       to free Bjarn even if Arne was not involved in the main battle
   * Under the Burning Suns
     * new unit images: Crawling Horror
     * copying other Desert Elves, increased melee damage and
	   decreased ranged damage for Desert Shaman/Druid/Shyde/Star line
     * increased cost of Desert Fighters from 14 to 15
     * increased melee damage of the Desert Horseman from 6-5 to 7-5
     * The below changes echo mainline elf edits listed in units section:
       * decreased price of the Desert Archer from 18 to 17 gold
       * decreased HP of the Desert Avenger from 60 to 55
       * increase Desert Avenger movement and/or defense on shallow water,
         swamp and mountains
       * increased melee damage of Desert Avenger from 10-3 to 11-3
       * decreased ranged damage of the Desert Avenger from 10-4 to 9-4
       * increased HP of the Desert Captain from 44 to 47
       * decreased ranged damage of the Desert Captain from 5-3 to 4-3
       * decreased melee damage of the Desert Champion from 13-4 to 10-5
       * decreased ranged damage of the Desert Champion from 8-4 to 8-3
       * increased HP of the Desert Fighter from 32 to 34
       * increased XP requirement of the Desert Fighter from 38 to 40
       * increased HP of the Desert Sharpshooter from 45 to 47
 * graphics
   * added 'ellipse=blah' tag to units which will select the four images
     from the misc directory for use as an ellipse: misc/blah-bottom.png,
     misc/blah-top.png, misc/selected-blah-bottom.png,
     misc/selected-blah-top.png
   * new encampment graphics
   * moved hero icon from the South Guard into main directories
   * new attack icons: animal fangs, axe, baneblade, battle axe,
     beak, claws-animal, claw-undead, entangle, faery touch, fireball,
     fist-troll, fist-skeletal, hammer, hatchet, human-greatsword,
     iceball, lightbeam, lightning, magic missile, necromatic staff,
     magic staff, shield, spear, trident
   * new portrait for Drake Clasher, Giant Scorpion
   * improved runemaster graphics from Sceptre of Fire
   * new modified Wesnoth map for HttT (larger, more legible)
   * new "units" icon for the menu
   * new unit images: Lord
   * Death animations: dark adept, yeti, skeleton archer death
   * Several updated/new terrain transitions
 * language and i18n:
   * new translations: Korean, Vietnamese
   * updated translations: British English, Catalan, Czech, Dutch,
     German, Finnish, French, Hebrew, Italian, Norwegian, Polish,
	 Portuguese (Brazil), Spanish, Swedish, Turkish
   * updated man pages: Swedish
 * multiplayer maps:
   * all multiplayer maps now use a playlist to specify their music
   * revised multiplayer maps: Blitz, Charge, Cynsaun Battlefield,
     Den of Onis, Divide and Conquer, Hamlets, Hornshark Island,
	 Meteor Lake, Silverhead Crossing, Triple Blitz, Bluewater Province,
	 Clash, Siege Castles, Hexcake, The Wilderlands
 * music & sound
   * multiplayer no longer uses faction specific music, music is now
     specified per scenario like it is done in the singleplayer mode
   * new music: gameplay01, gameplay02
   * updated music: gameplay03
   * removed music: wesnoth-3, wesnoth-4, wesnoth-6, wesnoth-7, wesnoth-8
   * new sounds: turn end bell, drake hit&die, dwarf hit&die, short fanfare,
     additional female-hit, hiss-die, hiss-hit, holy attack, 3 ghostly wails,
     3 gryphon, miss, 2 orc-die, 3 skeleton, 2 troll hit&die, water blast,
     wolf hit&die, 4 dark magic, 2 lightning, 12 human hit&die, flame hit&miss
     3 new merfolk hit&die
   * sound added to units:
     * death sounds: all drakes, dwarves, orcs & goblins, all humans,
	   monsters, merfolk, nagas, saurians, trolls, all skeletons, woses
     * lightbeam attacks, elves, gryphons, some ghost attacks
 * units
   * back in mainline: Orcish Leader, Orcish Ruler, Orcish Sovereign
   * Swapped names for necromancer (now a L3) and dark sorcerer (now a L2)
     (no gameplay change)
   * renamed Saurian Tribalist/Icecaster to Augur/Oracle
   * gryphon rider and master race change to dwarf
   * balancing changes:
     * decreased HP of the Inferno Drake from 71 to 68
     * increased melee damage of the Inferno Drake from 11-2 to 12-2
     * decreased HP of the Drake Flameheart from 84 to 82
     * decreased melee damage of the Drake Flameheart from 12-3 to 11-3
     * increased ranged damage of the Drake Flameheart from 8-4 to 9-4
     * increased XP requirement of the Drake Fighter from 38 to 42
     * increased HP of the Drake Warrior from 55 to 60
     * increased melee damage of the Drake Warrior from 10-3 to 11-3
     * increased HP of the Drake Blademaster from 70 to 80
     * increased melee damage of the Drake Blademaster from 14-3 to 16-3
     * increased XP requirement of the Drake Clasher from 40 to 45
     * increased HP of the Drake Gladiator from 62 to 66
     * increased melee impact damage of the Drake Gladiator from 9-3 to 10-3
     * decreased HP of the Drake Enforcer from 87 to 85
     * increased melee blade damage of the Drake Enforcer from 10-4 to 11-4
     * increased melee impact damage of the Drake Enforcer from 12-3 to 14-3
     * increased HP of the Drake Slasher from 57 to 62
     * increased melee pierce damage of the Drake Slasher from 16-2 to 17-2
     * increased HP of the Drake Warden from 79 to 82
     * increased melee blade damage of the Drake Warden from 15-3 to 16-3
     * increased melee pierce damage of the Drake Warden from 22-2 to 23-2
     * increased HP of the Sky Drake from 40 to 45
     * increased HP of the Hurricane Drake from 50 to 58
     * increased resistances of the Sky Drake line to those of the Drake Glider
     * decreased XP requirement of the Saurian Ambusher from 70 to 55
     * decreased cost of the Bandit from 27 to 23
     * increased HP the Rogue from 36 to 40
     * increased HP the Assassin from 42 to 51
     * decreased movement cost for swamp for the Poacher line from 3 to 2
     * increased the XP requirement of the Dwarvish Fighter from 38 to 41
     * increased HP of the Dwarvish Steelclad from 55 to 59
     * increased melee blade damage of the Dwarvish Steelclad from 10-3 to 11-3
     * increased melee impact damage of the Dwarvish Steelclad from 13-2 to 14-2
     * increased HP of the Dwarvish Lord from 75 to 79
     * increased melee blade damage of the Dwarvish Lord from 14-3 to 15-3
     * increased melee impact damage of the Dwarvish Lord from 17-2 to 19-2
     * increased HP of the Dwarvish Thunderguard from 42 to 44
     * increased HP of the Dwarvish Dragonguard from 52 to 59
     * changed the damage type of the Dwarvish Dragonguard from impact to blade
     * decreased HP of the Elvish Avenger from 60 to 55
     * decreased ranged damage of the Elvish Avenger from 11-4 to 10-4
     * increased HP of the Elvish Sharpshooter from 45 to 47
     * increased XP requirement of the Elvish Fighter from 38 to 40
     * increased HP of the Elvish Captain from 44 to 47
     * decreased ranged damage of the Elvish Captain from 6-3 to 5-3
     * decreased melee damage of the Elvish Champion from 12-4 to 9-5
     * increased experience requirement of the Cavalryman from 34 to 40
     * decreased melee damage of the Dragoon from 7-4 to 6-4
     * decreased ranged damage of the Dragoon from 15-1 to 12-1
     * decreased XP requirement of the Dragoon from 110 to 95
     * increased experience requirement of the Fencer from 37 to 42
     * decreased ranged damage of the Duelist from 15-1 to 12-1
     * increased HP of the Lancer from 48 to 50
     * increased HP of the Javalineer from 45 to 48
     * increased resistances of the Javalineer to the one of the Pikeman
     * increased melee damage of the Halberdier from 14-3 to 15-3
     * decreased HP of the Royal Guard from 75 to 74
     * increased HP of the Master Bowman from 50 to 58
     * increased ranged fire damage of the Orcish Crossbow from 9-2 to 10-2
     * increased HP of the Orcish Slurbow from 50 to 56
     * increased ranged fire damage of the Orcish Slurbow from 14-2 to 15-2
     * increased HP of the Orcish Warrior from 52 to 58
     * increased HP of the Orcish Warlord from 80 to 78
     * decreased melee damage of the Orcish Warlord from 13-4 to 15-3
     * increased ranged damage of the Orcish Warlord from 5-3 to 8-2
     * decreased cost of the Orcish Warlord from 56 to 48
     * increased experience requirement of the Troll from 60 to 66
     * increased experience requirement of the Troll Whelp from 33 to 36
     * decreased ranged damage of the Troll Rocklobber from 20-1 to 17-1
     * increased HP of the Elvish Fighter from 32 to 34
     * decreased ranged damage of the Elvish Champion from 9-4 to 9-3
     * decreased price of the Elvish Archer from 18 to 17 gold
     * increased movement cost/defense on various terrains for the Ranger line
     * increased movement of the Wose line from 3 to 4
     * increased HP of the Elder Wose from 60 to 64
     * increased melee damage ot the Elder Wose from 18-2 to 19-2
     * decreased experience requirement of the Elder Wose from 160 to 100
     * decreased experience requirement of the Bone Shooter from 90 to 80
     * increased ranged damage of the Bone Shooter from 9-3 to 10-3
     * increased ranged damage of the Soul Shooter from 12-3 to 14-3
     * decreased HP of the Dark Sorcerer from 58 to 48
     * increased ranged damage of the Dark Sorcerer from 12-2 to 13-2
     * increased experience requirement of the Dark Sorcerer from 80 to 90
     * decreased HP of the Lich from 66 to 60
     * decreased HP of the Necromancer from 75 to 70
     * increased ranged damage of the Necromancer from 15-2 to 17-2
     * decreased melee damage of the Death Knight from 12-4 to 11-4
     * increased HP of the Draug from 54 to 68
     * increased melee damage of the Draug from 11-4 to 12-4
     * increased cost of the Draug from 40 to 50
     * decreased melee damage of the Blood Bat from 6-3 to 5-3
 * WML improvements
   * [if] now supports [and] and [not] tags
   * new {IS_HERO} macro to display a hero icon for new units
   * new {DEFAULT_MUSIC_PLAYLIST} macro to specify gamemusic 01 to 03
     and main_menu.ogg as playlist
   * moved much of about into WML as well as enabled campaign [about]
   * added an #undef preprocessor directive
   * added 'profile' key to [unit] variables
   * added 'image' key to [unit] variables
   * added [modify_turns] to [event]. Takes 'value' and 'add' as keys.
   * added new key to [side]: allow_player; if set to 'no' then this side
     will not appear in the creation screen. Some maps with more sides
	 than starting positions may be broken.
   * added [store_side] tag, which takes 'variable' and 'side' as keys,
     and stores data to variable.gold, variable.income, variable.name,
     and variable.team_name.
   * added [label] inside [event]
   * added 'zoc' key to unit types
   * added 'set_hp' and 'set_total' to unit modifications
   * allowed increase on hp to use %.
   * attack animations can now be filtered on hit and miss
   * [effect] can modify attack/defense weight
   * change in the [sound] tag. sounds must now be part of animation
 * miscellaneous changes
   * added a very simple progress bar while loading
   * added a --load FILE command-line option, where FILE is a saved game
     in the standard save game directory.
   * reordered macro calls in game.cfg to fix no-AMLA bug for campaigns
   * {abilities.cfg} call moved from utils.cfg to game.cfg for consistency
   * Send message on player ban or kick
   * Show a message when a player leaves a game.
   * WML-generated units with "random_traits" now show the traits description
   * flags on village don't "flicker" at the end of their animations
   * really fix bug 3388, now really centering on image when clicking it
   * tab completion now completes to smallest substring,
     and shows possible completions
   * added whisper (/msg) support for lobby and observers in game
   * Added ignore list on MP
   * MP server only accepts nicks made from alphanumeric and
     underscore characters
   * force a refresh after calls to ONSCREEN scrolls,
     to avoid refresh problems.
   * add sort_topics command to the WML of help
   * check in ai code that ai doesn't use the same unit to attack twice

Version 1.1.1:
 * campaigns
   * reordered ranks to reflect relevance to game world
   * new (beginner) campaign: Two Brothers
   * Heir to the Throne
     * Gryphons are not available until you find dwarves to ride them
     * Fixed behavior of sleeping gryphons in Gryphon Mountain
     * Changed confusing dialog on Home of the North Elves (#5006)
     * Standardized wording for bonus victory objectives
     * Lost General map now slightly more friendly to smallfoot units
     * Sceptre of Fire - more villages and dirt road near starting castle
     * Underground scenarios generally more interesting/enhanced story
     * Text cleanups
   * The Rise of Wesnoth
     * replaced Sea Orc with Naga Fighter in Final Spring, Clearwater Port,
	   and Rise of Wesnoth
     * Fire dragon is a level 5 unit
     * Text cleanups
   * migrated unique units, scenarios, maps, and images to data/campaigns
 * campaign server
   * changed default port for campaign server to 15003 to separate 1.1 and 1.0
 * gameplay changes:
   * improved default weapon selection on player attack (patch #500)
   * attack_weight=0 disables the attack when attacking
   * defense_weight=0 disables the attack when defending
   * attack_weight is now functional (#5014)
   * added a new terrain "Mushroom Grove" (id=fungus)
   * changed several terrains to be "mixed", having worst movement and
     best defense: Snow Forest, Snow Hill, Dunes (renamed from Desert Hill)
   * added new schedule: deep underground (-30%, very dark)
 * graphics:
   * New castle tiles
   * New sand tiles
   * New terrain: Rockbound Cave, Mushroom Grove, Illuminated Cave Floor,
     Great Tree.
   * Added Drake, Gladiator, Enforcer, Slasher and Warden death animations.
     All Drake unit baselines fixed
   * Added item bones.png
 * language and i18n:
   * new translations: Indonesian
   * new manual: Indonesian
   * updated translations: British English, Chinese, German, Hebrew,
     Italian, Norwegian, Polish, Portuguese (Brazil), Russian, Slovenian,
	 Swedish, Turkish
   * updated man pages: English, German, Swedish
 * multiplayer maps:
   * revised multiplayer maps: Blitz, Charge, Den of Onis, Silverhead Crossing,
     Sulla's Ruins, Cynsaun Battlefield, Morituri, Triple Blitz, Castle Hopping
     Isle, Clash, King of the Hill, Lagoon, Smallolof, Forest of Fear
   * added multiplayer maps: Loris River, Paths of Daggers
   * removed multiplayer maps: Across the River, An Island,
     The Valley of Death, Battle World
   * renamed multiplayer maps: 1v1v1Hex -> Island of the Horatii
 * music:
   * support for more than one music file per scenario with adjustable spacing
   * new music: gameplay03.ogg
 * units
   * gave names to mermaids
   * deleted Wall Guard and Gate (no longer used)
   * updated descriptions: Goblin Rouser
   * removed the classic era
   * units and balancing changes:
     * made all undeadfoot units that can move on deep water have ambush there
     * several changes to the movetype of the Walking Corpse and Soulless
     * Walking Corpse and Soulless variants now also differ in HP
     * decreased the Dark Adept resistance to cold from 20% to 0%
     * disallowed Lich type units to go on deep water
     * decreased the woodlandfloat tundra movement from 2 to 1
     * decreased armoredfoot cold resistance from 20% to 10%
     * increased Pikeman HP from 52 to 55
     * increased Swordsman HP from 52 to 55
     * increased the ranged attack of the Cavalier and Master at Arms
	   from 17-1 to 20-1
     * increased Orcish Archer fire attack damage from 6-2 to 7-2
     * decreased the melee attack of the Orcish Slayer from 12-2 to 10-2
     * decreased the XP requirement for the Footpad from 42 to 36
     * increased the melee attack of the Gryphon Master from 14-2 to 15-2
     * increased Dwarvish Steelclad HP from 50 to 55
     * increased Dwarvish Guardsman HP from 35 to 42
     * increased Dwarvish Guardsman ranged attack from 4-1 to 5-1
     * increased Dwarvish Stalwart HP from 39 to 48
     * increased Dwarvish Sentinel HP from 45 to 56
     * increased Dwarvish Sentinel resistances to blade and pierce
	   from 20% to 30%
     * decreased the grassland defense from 50% to 40% for the Sentinel
     * decreased the village defense from 60% to 50% for the Stalwart
	   and Sentinel
     * increased the forest and sand defense from 30% to 40% for the
	   Stalwart and Sentinel
     * added Elder Wose, Saurian Icecaster and Soothsayer as leaders
	   in default era but not as random_leader
     * added many level 2 units and the Ancient Wose as leaders in AoH
	   but not as random_leader
   * flags in status bar are now properly team colored
 * user interface
   * added new image in advancement tag that is displayed in advancement dialog
     and changed old image to icon in advancement tag.
   * centered title screen logo for 1024x768 (still off-center for 800x600)
   * prevent icons in themes from being scaled up (only scaling down is allowed)
   * fix menu capitalization consistency (#4972)
   * reduce scrolling during unit movement
   * make default zoom work properly
   * unit speed is back to 1.0 speed
   * upgraded font from DejaVuSans 1.12 to 2.2, has Greek support
   * TAB completion in MP lobby
   * Name of the game shown next to nick for unavailable players
   * avoid useless scrolling down in chat window of mp lobby
 * WML improvements
   * attack ranges renamed to "melee" and "ranged", new ranges can be used
     (retaliation will use any attack of the same range)
   * starting_villages macro updated for added village types
   * split factions of multiplayer.cfg into data/factions to ease making
     combined eras without having to maintain mainline factions
   * abilities are now more configurable in a [abilities] tag, old ability=
     tag deprecated (patch #498), cure is available via [heals] ability tag
   * all currently used abilities added as macros in data/abilities.cfg
   * abilities can receive time of day and terrain [filter] (currently only
     [hides], [steadfast], [illuminates])
     - ambush and nightstalk are available via the new [hides] ability tag
   * added a optional random_leader= tag inside a [multiplayer_side] to
     specify a different list of randomly selectable leaders
   * added level as a possible argument for standard unit [filter]
   * terrain can be given a "light" flag to specify local light modification
   * combined terrain can now take "best of" or "worst of" values
     for combining
   * choice policy for combined terrain can be separately specified
     for def and mvt
   * added random_traits key for the create_unit event.
   * [female] and [male] unit tags now inherit from [unit].
   * Added new events 'attack_end', which occurs after a battle is ended,
     'attacker_hits', which occurs when the attacker hits the defender,
     'defender_hits', 'attacker_misses', and 'defender_misses'.
   * Added [special_filter] and [special_filter_second] to events.
     These allow some events to be filtered by weapon used and by terrain.
   * Added 'mode' tag to [store_unit]; allows appending to variable.
 * Miscellaneous
   * added a require_amla element to [advancement] tags.
   * anonymous data logging for single player campaigns, see stats.wesnoth.org
   * zipios++ can now be disabled by passing --without-zipios to configure
   * functions to easily create one frame animations, for deprecated images
   * improved (underwater) merfolk village
   * (internal) make attack animations work like all other animations
   * backport latest SDL_ttf change, fix ascender/descender issue for DejaVu
   * fix crash when using zoom keys in the main lobby
   * new utils: codecomp codeextract codeglyphs codelist, for font analysis
   * login names in MP are now limited to 18 characters
   * added {RANDOM_SIDE} and {DEFAULT_SCHEDULE} macros
   * added a hotkey to clear all labels in MP games
   * fixed the default time limit values, and changed them to 300/150

Version 1.1:
 * campaign server
   * support new "timestamp" attribute
   * save persistent attributes in the campaign data
     * "name" is treated as directory name, so use campaign_name (#4525)
     * SECURITY: ensure file and directory names on upload match campaign name
   * support filtering on campaign_list requests: name, last update time
     (before or after), language of translation
   * campaign_list response now contains the time the request was processed
   * campaign_list response now contains information about translations
   * fixed problem with duplicate translations being saved with each upload
   * added a passphrase change function
   * deleting campaigns, campaign file is now deleted, not reduced to zero size
 * campaigns:
   * Eastern Invasion
     * fixed Undead fighting each other in Weldyn Besieged (#4386)
     * fixed Undead not recruiting after leader change in The Crossing (#4393)
     * The Drowned Plains: abandonded villages no longer require village.png
   * Heir to the Throne
     * fixed Delfador talking to himself in Valley of Statues (#4440)
     * fixed Home of the North Elves inaccurate victory condition (#4644)
     * Isle of Anduin: reduced difficulty, added mage tips, move_unit_fake fix
     * Blackwater Port: added tips about loyal units, move_unit_fake fix
     * Bay of Pearls: traits for mermen, you get a hunter and initiate, added
       ford to help units cross, hunter and initiate available after winning
     * Isle of the Damned: replaced some forest with road, can recall mermen,
       Moremirmu explains if he will join you or not, hard difficulty has fog
     * Muff Malal's Peninsula: less gold/more income for Muff for XP milking
       on easy, blood bats on hard, choice of fight vs run is better explained
     * Crossroads: added story dialog
     * Princess of Wesnoth: clarified victory conditions
     * Plunging into the Darkness: removed unnecessary side 2 (enemy) leader
     * Dwarven Doors: true exit now random, bandit easter egg now reveals exit
     * changed Snow Plains map to use snow terrain
     * Lost General: side 2 ally allows you to recruit guardsmen (for dwarf
       balancing)
     * Choice Must be Made: used swamp village instead of cave villages,
	   story, music
     * Snow plains: music key added
     * Swamp of Dread: used swamp village instead of cave village, music
     * Home of the North Elves: rebalanced to make you RUN! rather than fight;
       dialog
     * Elven Council: added dialog
     * Test of the Clans: simplified victory conditions, dialog
     * Epilogue: corrected dialog about Li'sar's father
   * The Rise of Wesnoth
     * Adjusted loss event in Clearwater port to coincide with time over
     * Fixed bugs related to cuttlefish destroying the bridges
   * Son of the Black Eye
     * cleaned up prestart events to stop units hopping around at map setup
     * Desert of Death leader without starting position replaced with no_leader
     * Clash of Armies mermen leader now created in event, not in side setup
     * fix glitches (part of #4385)
     * fix saurian deaths not triggering loss in Saving Inarix (#4803)
     * general tidying of scenario files
     * fix shamans losing experience (#4792)
   * The Dark Hordes
     * Underground Pool no longer has units off map and in walls
 * gameplay changes:
   * backstab now works if opposite unit is non-incapacitated enemy of defender
   * prevented stoned units from being healed
   * slow does not remove an attack anymore
   * slowed units see the damage they deal halved immediately
   * unit modifications now round toward original value instead of truncating
   * changed resilient trait bonus from +7hp to +10%+3hp
   * decreased strong trait hitpoints bonus from 2 to 1
   * added Fischer clock to MP games to limit turn duration
 * graphics:
   * HP and XP bar modifications
     * movement ball separated from bars
     * moved to left so xp bar under the ball
     * xpbar now changes color differently for AMLA then for regular leveling
     * bar colors and text color in report now forced to match.
   * team color:
     * units can now have colors redefined to match team colors:
     * team color can be defined in the side tag with "team_rgb=r,g,b"
     * team color enabled for: Knight, Grand Knight, Lancer
   * new title screen and logo
   * changed the storm trident attack icon from fireball to lightingbolt
   * new attack icon for the fireball
   * portraits:
     * new Li'sar, Drake Burner, Drake Fighter, Drake Glider, Elvish Shaman,
       Ghoul, Mermaid Initiate, Merman Fighter, Merman Hunter, Naga Fighter,
       Orcish Assassin, Saurian Skirmisher
     * all Drake, Merman, Naga and Saurian upgrades now use level one portraits
     * Necrophage and Orcish Slayer upgrades now use level one portraits
     * Updated portraits for Haldric and Aethyr in TRoW
   * new unit images: Konrad level 1, Tentacle of the Deep
   * new death animations: Initiate, Mage, Pikeman, Red Mage, White Mage,
     Tentacle of the Deep, most Drake units
   * new tiles: swamp, cave wall, paved road, variable-width canyon (#8817),
     snow village (human & elven), underground village, mountains, hills,
	 snow hills, dwarven village, additional elven and human village variants
   * bilinear interpolation of images (better interpolation at high zoom level)
   * new movement animation: elvish fighter
 * language and i18n:
   * added support for right-to-left languages (patch #470)
   * made the list of languages configurable via the locale WML
   * new manual: Chinese; updated manual: English, German, Swedish
   * updated man pages: Swedish
   * new translations: Hebrew, Esperanto, Portugese
   * updated translations: Afrikaans, British English, Chinese, Czech, Dutch,
     French, German, Hungarian, Italian, Japanese, Polish, Portuguese (Brazil),
     Russian, Slovak, Slovenian, Spanish, Swedish, Turkish
   * fixed Undead used as both trait and race name (#4295)
   * fixed loading non-binary savegame displaying messages in English (#4454)
   * help changes
     * added brief description of Shroud and Fog of War
   * documentation: switch doxygen templates from CVS to SVN, Savannah to Gna!
 * multiplayer server
   * server: add administration functions
   * multiplayer game with "empty" as side no longer causes OOS (#4464)
   * new multiplayer maps: Crusaders Field, Cynsaun Battlefield, 4p Morituri
   * revised multiplayer maps: Divide and Conquer, Sablestone Delta, 1v1v1Hex,
     Silverhead Crossing, Sullas Ruins, Charge, Blitz, Clash, Hamlets,
     Meteor Lake, Den of Onis, Smallolof, Castle Hopping Isle, Hornshark Island
   * updated multiplayer map cfg files: Clash, Hexcake, Smallolof
   * fixed gamelist diff bug
   * made "Load Game ..." first map option (was last), for better visibility
   * added map size to MP lobby (patch #484)
   * added scenario and era info to MP lobby
   * let observers be visible in slot combos
   * new multiplayer preference tab in the preference window (patch #444)
     * add an option to timestamp chat in MP games (patch #444)
     * add an option to choose the number of chat lines displayed (patch #444)
 * music and sound:
   * new main menu music
   * support for victory and defeat music incl. music files
 * units
   * AMLA for most units now adds 25% to required XP for next AMLA
   * new unit: added the Goblin Rouser
   * removed obsolete units: Merman, Naga, Saurian, Saurian Warrior,
     Sea Hag, Triton
   * units and balancing changes:
     * changed Cuttlefish tentacle attack to swarm.  changed HP from 52 to 67
     * changed Halbardier pierce attack from 9-4 to 14-3
     * changed Halbardier blade attack from 11-4 to 19-2
     * blade attack of Halbardier does not longer have firststrike
     * increased Master Bowman melee damage from 7-3 to 8-3
     * decreased the HP of the Dragoon from 58 to 53
     * changed the movetype of the General and Grand Marshal back to smallfoot
     * changed the resistances to physical damage for the General to 10% and
       for the Grand Marshal to 20%
     * decreased Merman line resistance to cold from 60% to 20%
     * decreased Merman Hunter experience needed to level from 38 to 35
     * decreased Elvish Shaman cost from 16 to 15 gold
     * increased the HP of the Elvish Hero from 48 to 51
     * decreased Elvish Scout experience needed to level from 37 to 32
     * decreased Elvish Rider melee attack from 6-4 to 7-3
     * decreased Elvish Rider ranged attack from 7-3 to 9-2
     * increased Elvish Rider HP from 42 to 46
     * decreased Elvish Outrider melee attack from 8-4 to 7-4
     * decreased Elvish Outrider melee attack from 7-4 to 8-3
     * increased Elvish Outrider HP from 50 to 57
     * decreased the cold resistances of Woses from 20% to 10%
     * decreased Drakefly snow defense from 30% to 20%
     * decreased Drake Slasher HP from 65 to 57
     * decreased Drake Warden HP from 88 to 79
     * increased Drake Gladiator HP from 59 to 62
     * increased Drake Enfoncer HP from 79 to 87
     * decreased the cold resistances of dwarves from 20% to 10%
     * decreased the blade resistances of dwarves from 30% to 20%
     * decreased Dwarvish Steelclad blade resistance from 40% to 30%
     * decreased Dwarvish Fighter hammer attack damage from 9 to 8
     * made the Dwarvish Guardsman line have 2 traits again
     * decreased the HP of the Thunderer from 37 to 34
     * decreased the Gryphon Riders movement from 9 to 8
     * removed Thug from Knalgan faction
     * added the Dwarvish Stalwart and Necrophage as a leader in default era
     * added different movetypes to variations of WC/Soulless (corpses gain
       physical resistances of killed unit)
     * added drain on the melee attack of the Ghost
     * increased Ghost's HP from 17 to 18
     * synchronized Ghost line's physical resistances to 50%
     * decreased Ghost line shallow water movement cost from 3 to 2
     * decreased Ghost line deep water movement cost from 4 to 2
     * increased Shadow HP from 24 to 26
     * increased Nightgaunt HP from 32 to 35
     * increased the HP of the Skeleton Fighter tree by 4
     * changed the Deathblades resistances to those of the other Skeletons
     * decreased Skeleton line shallow water movement cost from 3 to 2
     * decreased Skeleton line deep water movement cost from 4 to 3
     * decreased the tundra defense of Undeads (undeadfoot) from 40% to 30%
     * increased the HP of the Ghoul line by 5
     * decreased the attack damage of the Ghoul line by 1
     * increased the fire resistance of the Ghoul line from 0% to 10%
     * Ghoul line can no longer move into deep water
     * increased the HP of the Vampire Bat from 14 to 17
     * decreased the cost of the Blood Bat from 24 to 21
     * increased the HP of the Blood Bat from 24 to 27
     * decreased village defense of Wolf Rider, Goblin Knight/Pillager to 50%
     * increased Goblin Pillager HP from 40 to 44
     * increased Goblin Knight HP from 45 to 49
     * increased Direwolf Rider HP from 55 to 61
     * increased Orcish Archer fire damage from 5-2 to 6-2
     * increased Orcish Crossbowman fire damage from 8-2 to 9-2
     * increased Orcish Slurbow fire damage from 12-2 to 14-2
     * decreased the tundra defense of Nagas from 30% to 20%
     * decreased the XP requirement for the Goblin Spearman from 22 to 18
     * added the Goblin Rouser as an advancement to the Goblin Spearman
     * Northerners can now recruit Rocklobber in Age of Heroes era
     * removed Saurians as leaders in default and Great War era
     * removed level 2 leaders from AoH era
     * added the Dwarvish Sentinel as a leader in AoH era
     * increased the holy resistance of the scuttlefoot movetype from 0% to 20%
     * made Fireball, Gate, Galeons & Watch Tower unpoisonable and unplaguable
     * recosting and minor stats changes for many level 2+ units:
       http://www.wesnoth.org/forum/viewtopic.php?p=121154#121154
 * user interface:
   * added font colors to theme
   * reorganized side-bar information
   * fix untranslated unit create dialog (#4424)
   * changed recall to show recall list even when gold < 20
   * added advancement and AMLA indicator icons and tooltips to dfool theme
   * allow pausing during replay
   * SECURITY: check safety of campaign download names: if any unsafe
     names are found, install is aborted before old version is removed
   * hitpoint update delays are now capped at 1 second (#4070)
   * reduce unnecessary scrolling in replays (#3152)
   * stop teleport glitches due to insufficient screen updates (#4234)
   * theme chooser window added to preference graphics dialog
   * fix broken colour wait cursor on Mac OS X (#4729)
   * clicking on unit portrait in status pane now centers on unit (#3388)
   * show numbers of each enemy which can reach tiles in "Show Enemy Moves"
   * don't show "The End" after viewing a won multiplayer replay (#4166)
   * new option to toggle server messages when observing games
   * semi transparent HP/XP bar when unit is not selected (patch #485)
   * play an "anonymous" music during enemy turns to avoid the music
     giving hints
   * added the possibility to play "victory" and "defeat" music
   * enable down arrow on scrollbar when resizing (#4809, patch #487)
   * better movement highlighting (patch #488)
   * stop save dialog complaining about bad name when pressing cancel (#4835)
   * pressing 'n' wont take you out of path selection mode (#4833, patch #490)
   * fix broken tooltip in the status bar for plague(argument)
   * added the "/me" command to MP lobby
   * don't show illuminated time of day on fogged/shrouded tiles
 * utils
   * added weblist.pl and webtgz.pl web interface programs
   * wml.pm uses substr instead of split: reduces memory usage for large strings
   * wml_net.pm inserts instead of appending: should be more efficient
   * added prkill script, to calculate probabilities to kill in a skirmish
   * added campaign_passphrase.pl for changing passphrases
   * added campaign_delete.pl for deleting campaigns
 * WML improvements:
   * random map generator now uses island_size (#4458)
   * fixed incorrect savefile name after continue_no_save (#4439)
   * fix bad leader starting position causing crash
   * tighten up checks on leaders and units placed on map at start of scenario
   * add a backup save_id to use if both save_id and description are empty
   * fix duplicate key values being concatenated: just replace with last value
   * units can now have [extra_anim] tag, and [animate_unit] event to trigger it
   * added swarm attack special
   * new advance and post_advance events, trigger before/after unit advancement
   * get_random avoids nested [random] tags: keep to limit in compressed saves
   * experience_modifier: only last value kept; to max experience now rounded
     with lower limit of 1
   * defensive_image* deprecated, use defensive animations instead
     (still work, but issue warnings, new macros are provided)
   * using [frames] directly in an [attack] tag is deprecated.
     please enclose attack animations in [animation] tags
   * [store_unit] now leaves variable untouched if filter does not match
   * units can now have [movement_animation] tags, these are filtered
     on both terrain and direction
 * various other changes:
   * --with-preferences-dir configure option for coexistence of multiple versions
   * experimental Python API for AI.
     See http://www.wesnoth.org/wiki/ReferencePythonAPI for more information.
   * various bug fixes and code cleanups
   * better support for MacOSX filesystems

Version 1.0rc1:
 * language and i18n:
   * updated translations: Afrikaans, Bulgarian, Catalan, Finnish,
     German, Greek, Hungarian, Japanese, Portuguese (Brazil), Russian,
	 Slovenian, Spanish, Turkish
   * new manual: Hungarian, updated manual: English, Swedish
   * updated man pages: English, German, Swedish
 * campaigns:
   * The Dark Hordes
     * Crelanu's Book no longer ends if enemy leaders are killed
     * Underground Pool no longer ends if enemy leaders are killed
     * Underground Pool can now only be won with Gwiti or Tanar (#14495)
   * Son of the Black Eye
     * Watch Towers can no longer be recalled in Clash of Armies
     * Saving Inarix no longer ends if enemy leaders are killed
     * tweaked Black Flag and Desert of Death maps
     * made End of Peace, Toward Mountains of Haag, and Black Flag easier
   * Eastern Invasion
     * fix Konrad II's lines not being spoken in The Council (#14500)
     * change the holy waters to "holy amulets" (also #14539, #14559)
     * Drowned Plains now has fog (#14499)
   * Heir to the Throne
     * fix Delfador losing experience at Siege of Elensefar (#14508)
 * units:
   * changed Orcish Shamans from 20 to 23 HP (Novice 24, Old 22)
   * changed all Orcish Shamans from 60 to 70% defense on villages
   * fixed incorrect reference to Demilich image (#14542)
 * fixed long filenames overflowing editor file chooser dialog (#13855)
 * fixed filenames with spaces causing garbled errors (#14494)
 * multiplayer maps now make better use of team names from settings
 * fixed possible memory corruption during "sighted" WML events (#14426)
 * fixed the Windows shortcuts being used in textboxes under Mac OS X (#14377)
 * more AMLA fixes, and it now increases current hitpoints by 3 (#14530)
 * BeOS networking fixes
 * multiplayer lobby changes (including #8179)
 * fixed images in downloaded campaigns not being shown until restart (#11797)
 * editor now supports changing language, with Alt-l (#11966)
 * savegames now store ai_algorithm (#14558)
 * server now supports --threads option to specify number of threads
 * fixed spurious "timeout" when uploading campaigns
 * capture events that trigger further events can no longer be undone (#13895)
 * editor now supports --bpp to specify bit depth, default now 24 (#14551)
 * broken scenarios can no longer make multiplayer unplayable (#14409)
 * various bug fixes and code cleanups

Version 0.9.7:
 * language and i18n:
   * updated manual: French, Italian
   * updated translations: Afrikaans, Basque, British English, Catalan, Czech,
     Dutch, French, Finnish, German, Greek, Hungarian, Italian, Latin, Polish,
     Russian, Slovak, Slovenian, Spanish, Swedish, Turkish
   * fixed Ruby of Fire object description (#14311)
   * fixed untranslatable Rise of Wesnoth scenario name
   * new man pages: Hungarian
   * changing languages now updates Tome of Wesnoth on Linux into new language
 * campaigns:
   * The Dark Hordes: there are now more turns available in the last scenario
 * units:
   * increased the damage done by the Dread Lich from 6-4 to 7-4
 * user interface
   * text input box position now changes if resolution is changed (#12466)
   * hourglass cursor now works on Mac OS X (#14298)
   * fixed scrollbar problems in multiplayer lobby (#13089)
   * better checking if recruiting is possible (#13638, patch #4267)
   * some fixes for Experimental and Default themes
   * fixed observer icon corruption (#14320)
   * user campaign translations are now available without a restart (#14388)
   * adjusted multiplayer lobby titles
   * don't show images larger than 80x80 in campaign server list (#12007)
   * fixed progress bar overflow (#14403)
   * game names can no longer contain formatting characters (#14246)
   * fix campaign story text overflowing due to narrow width (rest of #13961)
 * graphics
   * fixed Flaming Sword missing attack image (#14346)
   * updated Goblin Impaler, Gryphon, Gryphon Master, Gryphon Rider
 * ambush and nightstalk now works on turn 1 for leaders (#13671)
 * AI now understands that AMLA units don't heal on advancing
 * AI in multiplayer can now recruit more widely in all eras (rest of #14096)
 * fixed a network related freeze (#14359) and other networking changes
 * fixed connect to server hanging on Mac OS X
 * fixed memory leaks in multiplayer lobby (part of #13981)
 * various bug fixes and code cleanups

Version 0.9.6:
 * language and i18n:
   * new manual: Turkish
   * updated manual: German, Russian, Swedish
   * updated translations: Afrikaans, Basque, British English, Catalan, Czech,
     Danish, Dutch, Finnish, French, German, Hungarian, Italian, Latin, Polish,
     Portuguese (Brazil), Russian, Slovak, Spanish, Swedish, Turkish
   * updated man pages: English, German, Swedish
   * fixed some translated strings not being used (#14094)
   * improved layout of some parts of help (#14075)
   * fixed several typos and errors (including #14228,#14207,#14076,#14077)
 * campaigns
   * Eastern Invasion: revisions to Weldyn Under Attack and Evacuation
   * The Rise of Wesnoth: fixed glitch in The River Road (forum thread 7148)
 * graphics and sound
   * new unit portraits for Elvish Shaman, Ghoul, Grand Knight, Halberdier,
       Li'sar, Mermaid Initiate, Merman Fighter, Merman Hunter,Naga Fighter,
       Nagini Fighter, Orcish Assassin, Royal Guard, Saurian Skirmisher
   * revised unit images and/or animations for Direwolf Rider, Duelist,
       Elvish Shyde, Fencer, Grand Knight, Heavy Infantryman, Horseman,
	   Knight, Lancer, Master at Arms, Paladin, Shock Trooper
   * fixed missing storm trident image (#14111)
   * new observer icon
   * fixed wrong ice missile image used by Elvish High Lord (#14132)
   * fixed Lich using wrong image (#14139)
   * replaced tooltip picture (#14134), note still english and not translatable
   * fixed broken scepter of fire and scepter attack icons (#14208,#14231)
 * user interface
   * fixed fonts sometimes not being found, eg. on BeOS
   * fixed campaign dialog with no campaigns trying forever to download (#14078)
   * fixed some damage calculations not showing %-to-kill
   * fixed game music continuing to play on the title screen (#14080)
   * added hotkey ctrl-j to show objectives (#7830)
   * fixed more problems with observers (also #14239)
   * fixed scrollarea and textbox glitches in MP lobby (#13011,#14124)
   * menus now can acquire keyboard focus (#13118)
   * info text (defense-%, #-turns) is no longer obscured by terrain (#13995)
   * tips of the day now only change when playing a game (#14235)
   * hotkey for taking a screenshot now works in editor also (#13841)
   * show wait cursor for long operations, if not using color cursors (#12670)
   * part-fix campaign text overflowing due to width being too narrow (#13961)
   * fixed tooltips disappearing when using dfool's theme (#14084)
   * prestart events now happen before the player is shown the map (#12957)
 * revised multiplayer maps: Bluewater Province, Charge, Hamlets,
     Hornshark Island, Meteor Lake, Sablestone Delta
 * fixed AI units not getting rest-healing, causing replay errors
 * fixed configure options --with-icondir and --with-desktopdir (#14100)
 * changed Merman hoplite to bring it up to date with changes to steadfast
 * fixed Dark Adept female version glitches (#14073,#14122,#13986)
 * made checksums work on AMD64
 * revised network code, try to use non-blocking I/O if available
 * new description= attribute of [attack], name="x" now implies
     description=_"x" and icon="attacks/x.png" if not specified (#12788,#14113)
 * AI in multiplayer can now recruit healers and mixed fighters (#14096)
 * fix AMLA healing (#13921); recruited/recalled units are now always healed
 * various bug fixes and code cleanups

Version 0.9.5:
 * language and i18n:
   * new translation: Hebrew (no rtl support added in yet)
   * updated translations: British English, Catalan, German,
     Hungarian, Polish, Spanish, Swedish, Turkish
   * fixed linebreaks not working properly for Chinese translation (#13352)
   * updated several unit descriptions
   * added GPL and part of MANUAL to help
   * added more descriptions and images to in-game help (also #12322)
   * fixed some untranslatable attack names (part of #12788)
   * Battle Princess can now have translation different to Princess
   * fix terrain list and time of day cross-references in unit help
 * graphics and sound improvements:
   * fixed layering of multi-hex tiles (#13586)
   * removed Mac OS X icon border (#12928)
   * updated images for Elvish Druid, Elvish Scout, Elvish Shaman,
     Elvish Shyde, Grand Knight, Master Bowman
   * new and revised portraits for The Dark Hordes and Konrad
 * campaigns
   * Eastern Invasion
     * fixed missing background in intro (#13901)
     * campaign plot and dialogue extensively revised
   * Son of the Black Eye
     * fixed untranslatable strings in Saving Inarix
     * start of making Clash of Armies harder: arrival of more reinforcements
   * The Dark Hordes: terminate the campaign at this point as Part 1
   * Heir to the Throne: stop Bugg being resurrected in Bay of Pearls (#13950)
   * old campaign downloaded from server is now removed when updating (#13874)
 * multiplayer:
   * rejoining game as observer, with same nick, no longer causes out of synch
     (#12824 and #12997, still subject to confirmation)
   * fixed chat messages from allies not being shown in multiplayer (#13657)
   * added Use map settings option to preset scenario suggested values (#10669)
   * show game settings in the game list
   * fixed lobby corruption when trying to join a game that disallows observers
   * fixed create-game-then-cancel lobby corruption (#13522)
   * tweaked layout of game creation screen
   * fixed non-fatal errors exiting lobby (#13783)
   * choosing vacant slot then joining all computer game is no longer allowed
   * cancelling faction selection now goes back to scenario setup (#9376)
   * ending game now returns to lobby (#13348)
   * more robust network code: ghost connections should no longer linger forever
 * new units: added Drake Enforcer
 * unit balancing and modifications
   * increased Elvish Scout ranged attack damage from 5-2 to 6-2
   * increased Cavalryman attack damage from 5-3 to 6-3
   * reduced dwarvishfoot and mountainfoot defense on tundra from 40% to 30%
   * simplified AMLA, using global macros in amla.cfg
 * multiplayer scenarios: removed Icy Waters, added Smallolof,
   modified Sulla's Ruins map
 * user interface improvements:
   * fixed failed recruit attempt clearing undo stack (#13833)
   * fixed recall not clearing shroud (#13824)
   * fixed spurious warning when loading a saved game and ending turn (#12986)
   * sound is handled better, and can be set as a preference (rest of #11669)
   * fixed editor insisting on path without spaces, for saving maps (#13919)
   * changed hotkeys for end turn (alt-e->alt-space) and open/load game
     (ctrl-l->ctrl-o)
   * replaced Vera and Bepa-Roman typefaces with DejaVuSans version 1.12
 * fixed toupper causing build to fail on OpenBSD (#13709)
 * fixed replay corruption due to capture events not saving randomness (#13666)
 * keep send and receive connection statistics separate for each socket
 * more responsive networking code, less subject to network errors
 * fixed campaign upload with no passphrase not storing generated passphrase
 * tag [redraw] now forces redraw and is no longer a no-op (#11079)
 * fixed repeated attempts to open non-existent font files
 * various bug fixes and code cleanups

Version 0.9.4:
 * language and i18n:
   * updated translations:
     * Basque, British English, Catalan, Chinese, Dutch, French,
	   German, Hungarian, Russian, Swedish, Turkish
   * fixed help description of income and upkeep (#13565)
   * updated several unit descriptions
   * standardized on "magi" as plural of "mage"
   * document that Woses receive no traits (#13630)
   * replay suggested save game now translated (#13558)
   * fixed some typos (#13714,#13715,#13716,#13717,#13718)
   * added terrain descriptions to in-game help
   * fixed blank terrain entries in unit help
   * ignore LANGUAGE in environment: broke translations (forum thread 6614)
   * added Swedish man pages to the list of man pages to be installed
 * unit balancing and modifications:
   * max level units given After-Max-Level-Advancement (AMLA) of 3 HP/100XP
     added to max HP, with no auto-heal; Necrophage has healing AMLA
     with no bonus HP
   * changed Naga Warrior attack from 5-5 to 7-4
   * decreased Thug hitpoints from 36 to 32
   * decreased Dwarvish Ulfserker hitpoints from 40 to 34
   * changed Elvish Shaman and Druid to the state before 0.9.3
   * decreased Elvish Shaman cost from 17 to 16 gold
   * removed obsolete units Mounted Captain, Mounted Commander
 * graphics and sound improvements:
   * new or revised images for Dark Sorcerer, Dwarvish Thunderguard, Necromancer
   * new death animations: Elvish Sharpshooter, Elvish Marksman
   * default colour depth is no longer forced to 16 bits
   * new tiles for some terrain in the editor terrain list and mini map
 * WML improvements:
   * #define's in user campaigns are now local to each campaign (patch 4138)
   * correctly preprocess files that do not end with a final newline
 * campaigns
   * Heir to the Throne:
     * made campaign easier on "Easy" level
     * removed duplicate file inclusion - campaign should now start faster
   * Eastern Invasion:
     * revised Approaching Weldyn for quicker gameplay
     * tweaked Undead Crossing
     * removed duplicate file inclusion - campaign should now start faster
   * The Dark Hordes:
     * cleaned up old id tags; added portraits for Tanar, Nati and Gwiti
     * removed duplicate file inclusion - campaign should now start faster
   * The Rise of Wesnoth:
     * removed duplicate file inclusion - campaign should now start faster
     * fixed Lt. Aethyr death events not triggering in Rise of Wesnoth (#13848)
   * Son of the Black Eye: revised map for Desert of Death
 * server
   * now supports redirection based on client version number
   * can now act as proxy
 * editor
   * changed the layout of the terrain palette (#11965)
   * relocated and enlarged the buttons (#11967)
   * maps can't be saved with illegal characters (#10704)
   * replaced the buttons under the minimap with a toolbar
 * build process
   * added quotes to configure.ac (forum thread 6747)
   * new utility extractsources to extract lists of sources from Makefile.am
   * new utility makemam to construct Makefile.am from Makefile.am.in and
     files containing lists of sources
   * fix libpng not being detected on NetBSD (#13808)
 * user interface improvements:
   * show scrollbar in multiplayer lobby when there are many players (#13521)
   * multiplayer lobby player list no longer resets to start (#13345)
   * fixed game host sometimes not recognized as side owner (forum thread 6783)
 * remove redundant {utils} and {~utils} references (#13843)
 * various bug fixes and code cleanups

Version 0.9.3:
 * user interface improvements:
   * restored dialog titles for multiplayer screens (#13049)
   * --nosound commandline option no longer initializes sound (part of #11669)
   * players can now control multiple sides in multiplayer
   * prevented user campaigns with errors from making the game unstartable
   * user campaigns can no longer redefine standard units
   * multiplayer replays no longer show 'The End' and credits (part of #13375)
   * fixed off-by-one error in Unit List (#13323)
   * fixed multiple Returns registered by some dialogs (part of #13332)
   * "Observers" setting for multiplayer games is now obeyed again (#13374)
 * language and i18n:
   * fixed 'make dist' not removing stamp-po files, causing broken translations
   * updated translations:
     * British English, Catalan, Finnish, German, Hungarian, Swedish, Turkish
   * updated MANUAL: English (also synched with wiki), German, Swedish
   * man pages: updated English and German, added Swedish
   * added descriptions to all multiplayer maps (#9763)
   * user visible error messages are now translatable (#12605)
   * added files to POTFILES.in: fix untranslatable strings (#13350)
   * fixed untranslatable strings on Windows (#13347)
   * fixed user campaign translations not working on Windows (#11848)
 * campaigns
   * Eastern Invasion:
     * made Captured and Approaching Weldyn easier
     * reduced the turn limit in The Drowned Plains
   * Heir to the Throne:
     * made campaign easier on "Easy" level
     * fixed Hasty Alliance crash: avoid cavewall endpoints (part of #13334)
     * updated story image 4 to remove glitch (#13385)
   * Son of the Black Eye:
     * made To The Harbour of Tirigaz and Black Flag easier
 * graphics and sound improvements:
   * new or modified images for Dwarvish Thunderer, Elvish Outrider,
     Elvish Rider, Elvish Scout, Giant Mudcrawler, Goblin Knight,
     Goblin Pillager, Mudcrawler, Orcish Warlord, Wolf Rider
   * new death animations for Dwarvish Thunderer, Elvish Archer,
     Elvish Avenger, Elvish Ranger, Giant Mudcrawler, Mudcrawler, Spearman,
     Young Ogre, Nightgaunt, Spectre
   * new orc portraits, now used in Heir to the Throne
   * new unit portraits for Bandit, Grand Knight, Halberdier, Horseman,
     Javelineer, Knight, Lancer, Paladin, Peasant, Pikeman, Royal Guard,
     Swordsman, Thug
   * new portrait of Asheviere
   * updated icons
 * terrain graphics
   * new multihex snow forest
   * new snow transition
   * new ice tiles
   * new dirt tiles
   * new villages
 * new units
   * added Orcish Slurbow and Dark Sorcerer
 * unit balancing and modifications:
   * applied 0.9.2 changes to Thief, Elvish Archer, Elvish Ranger,
     Elvish Avenger to female units also
   * steadfast now doubles resistances up to 50%; vulnerabilities are unaffected
   * decreased Dwarvish Guardsman line resistance to cold from 20% to 10%
   * decreased Dwarvish Stalwart defense in grassland from 50% to 40%
   * increased Dwarvish Ulfserker cost from 18 to 19
   * restored Dwarvish Berserker resistances from 0.8.11
   * changed Thug attack from 6-3 to 5-4
   * increased Poacher experience needed to advance from 24 to 29
   * increased Orcish Shaman (Novice and Old also) hitpoints from 18 to 20
   * increased Pikeman attack from 9-3 to 10-3
   * increased Master Bowman hitpoints from 46 to 50
   * increased undeadspirit (Ghost line) resistance to fire from 0% to 10%
   * decreased Ghost, Shadow and Nightgaunt resistance to impact from 60% to 50%
   * changed Ghoul and Necrophage resistances: impact -10% -> 0%,
     fire -20% -> 0%, cold 60% -> 40%
   * decreased undeadfoot movement cost on mountains from 4 to 3
   * decreased undeadfoot movement cost on hills from 3 to 2
   * Demilich now advances to Dread Lich (previously Ancient Lich)
   * increased Naga hitpoints from 30 to 33 and experience from 25 to 32
   * increased Naga Warrior hitpoints from 40 to 43
   * decreased Naga Warrior experience needed to advance from 70 to 66
   * decreased Naga Warrior attack from 6-5 to 5-5
   * decreased Merman Hunter ranged attack from 6-3 to 5-3
   * decreased Merman Spearman ranged attack from 7-4 to 6-4
   * decreased Merman Spearman melee attack from 6-3 to 6-2
   * decreased Merman Spearman hitpoints from 45 to 40
   * decreased Merman Netcaster hitpoints from 42 to 40
   * increased Merman Netcaster ranged attack from 7-2 to 9-2
   * increased Merman Fighter hitpoints from 32 to 36
   * increased Merman Warrior hitpoints from 48 to 50 and attack from 7-4 to 8-4
   * decreased Elvish defence in swamp from 40% to 30%
   * increased Elvish Shaman ranged attack from 3-2 to 4-2
   * decreased Elvish Shaman melee attack from 3-2 to 2-2
   * decreased Elvish Druid melee attack from 4-2 to 3-2
   * Elvish Shaman and Druid are now able to inflict slow through melee
   * decreased Elvish Shaman cost from 18 to 17
   * increased movement cost of movetype "fly" units in caves from 2 to 3
   * increased Drake Clasher line movement cost in caves from 1 to 2
   * decreased Drakes' defence in caves from 40% to 30%
   * increased Revenant hitpoints from 40 to 43
   * increased Deathblade hitpoints from 32 to 35
   * increased Skeleton Archer ranged attack from 4-3 to 6-3
   * increased Skeleton Archer experience needed to advance from 30 to 35
   * increased Bone Shooter melee attack from 5-2 to 6-2
   * increased Bone Shooter ranged attack from 7-3 to 9-3
   * increased Soul Shooter melee attack from 6-2 to 8-2
   * increased Soul Shooter ranged attack from 11-3 to 12-3
   * Rebels can now choose White Mage as leader in Default era
   * Rebels can now choose Mage of Light as leader in Age of Heroes era
   * Nagas can no longer move on mountains
 * multiplayer scenarios
   * added Sablestone Delta
   * modified Den of Onis, Hornshark Island, Meteor Lake, Silverhead Crossing
 * server
   * no longer rejects: control command with "Side not found"
   * write a summary of commands when a fifo command is not recognized
   * fix assertion failure in network_worker.cpp
 * move_unit_fake with illegal coordinates now logs error instead of
   causing assertion failure crash (part of #13334)
 * various bug fixes and code cleanups

Version 0.9.2:
 * user interface improvements:
   * sped up frame rate when scrolling the map
   * connecting to a server now shows dialog that allows the user to cancel
     the connection rather than blocking (#12614)
   * sped up help
   * added hotkey for cycle to previous unit (shift-N) (part of #10703)
   * added hotkey for hold position (shift-space) (patch 3994)
   * made the right Command key on Mac OS X work like the left one
   * made menu widgets sortable
   * made network dialogs show progress of data transfers again
   * added display of unit defense over the terrain when choosing move
   * added visual cue for movement in specific terrain when choosing move
   * added %-to-kill to Damage Calculations
   * fixed female units not appearing in help (broken since 0.9.0)
   * added support for unit portraits in help (forum thread 6017)
   * reduced required width of weapon area in help
   * fixed items appearing in traits description (#12603)
   * preserve trait ordering to distinguish quick,resilient and resilient,quick
   * improved layout of objectives dialog
   * made the text of disabled buttons grayed out
   * made room for observers in DFool theme (#13027)
   * added clock to DFool theme (#10650)
   * added Experimental theme
   * tweaked multiplayer lobby
   * improved position and size of 'users' menu in multiplayer lobby (#13120)
   * selecting colors for multiplayer sides now works correctly (#13255)
   * typing a chat message quickly no longer lags the game (#12097)
   * pasting multiline text now discards lines after the first (#12282)
   * better checking for 'control' command arguments in multiplayer (#13086)
   * added 'Advanced' preferences: 'binary save files', 'show combat'
   * fixed village name being shown over shroud (#10690)
   * made ordering of terrain data consistent (#10665)
   * display error if save cannot be completed (eg. disk full) (#13232)
   * fixed halo position when unit is in water (#12493)
   * fixed titlescreen background disappearing on switch to fullscreen (#11863)
   * disabled mousewheel scrolling during combat and unit movement (#12021)
   * fixed pathfinding issues with respect to unreachable hexes (#11480, #13295)
 * campaign improvements:
   * Eastern Invasion:
     * Unexpected Appearance: fixed Dacyn not being [recall]-ed (#12830)
     * Evacuation: units left on the wrong side of river now really die (#10619)
     * Northern Outpost: killing enemies in "wrong" order is now a win (#12922)
     * Northern Outpost: added a Holy Water bottle
     * Captured: fixed bugs (#10512, #12998), but replaced scenario anyway
     * Drowned Plains: new map and scenario modification, bug fixed (#13013)
   * Heir to the Throne:
     * Siege of Elensefar: fixed thieves not appearing (forum thread 5719)
   * Son of the Black Eye:
     * prevented the shamans from being recallable (#11932)
     * Siege of Barag Gor: killing enemy leader is no longer a win
     * End of Peace: increased turn limit 24 -> 26 due to Lieutenant upgrade
     * Desert of Death: fixed invalid type=RogueAssassin on Hard
     * removed duplicate file inclusion - campaign should now start faster
     * more accurate difficulty labels
     * Toward Mountains of Haag: fixed enemy making "never pushed so far" speech
 * new units
   * added Drake Warden, Hurricane Drake and Drake Blademaster
 * unit balancing and modifications:
   * slow now affects units with 2 or more attacks (not just 1 remaining)
   * slow now works with berserk and is persistent across berserk rounds
   * changed Lieutenant attack from 6-3 to 9-3
   * reduced Fencer cost from 18 to 16
   * changed Iron Mauler attack from 22-2 to 25-2
   * changed Soulless attack from 7-2 to 7-3
   * changed Soulless attack from plague to plague(Walking Corpse)
   * Walking Corpse created by plague can advance to Soulless again (#13056)
   * reduced Skeleton Archer cost from 15 to 14
   * changed Skeletal Dragon resistances (only used in Eastern Invasion)
   * tweaked Watch Tower, Pirate Galleon and Transport Galleon and removed
     their multihex attacks (only used as real units in Son of the Black Eye)
   * reduced Dwarvish Fighter cost from 17 to 16
   * reduced Dwarvish Fighter line Axe (blade) damage by 1 point
   * reduced Dwarvish Thunderer cost from 19 to 17
   * reduced Gryphon Rider cost from 25 to 24
   * Dwarvish Ulfserker stats reverted to those from version 0.8.11
   * increased Thief cost from 12 to 13
   * changed Elvish Lord and Elvish High Lord's ranged attack from fire to cold
   * changed Elvish Ranger melee attack from 7-4 to 7-3
   * changed Elvish Avenger melee attack from 10-4 to 9-4
   * increased Walking Corpse cost from 5 to 6
   * trolls can no longer get "intelligent" random trait
   * increased Troll Whelp experience needed to advance from 32 to 33 XP
   * increased Troll experience needed to advance from 52 to 60 XP
   * Goblin Knight -> Direwolf Rider upgrade reduced from 150 to 65 XP
   * added flaming arrow to orcish archer line as a new attack
   * reduced Saurian Skirmisher movement to 6, increased its cost from 14 to 15
   * changed Drake Gladiator from 65 to 59 HP
   * changed Drake Gladiator pierce resistance from 10% to -10%
   * changed Drake Slasher from 59 to 65 HP
   * changed Drake Slasher pierce resistance from -10% to 10%
   * increased Drake Slasher and Drake Gladiator cost to 45
 * Doc Paterson's modifications to the MP map catalogue
   * added "Divide and Conquer", "Silverhead Crossing", "Meteor Lake",
     "Den of Onis", "Hamlets", "Hornshark Island", "Sulla's Ruins",
     "1v1v1Hex" (3p), "Lagoon" (4p), "The Wilderlands" (4p),
     "3-player Morituri", "3-player Blitz (Triple Blitz)"
   * removed "Broken Bridge", "Battle For Weslin Bridge",
     "Princess's Battlefield", "Three Rivers", "The Isles of the Damned",
     "The Isle of Anduin", "Dwarven Wasteland"
 * unit graphics and sound improvements:
   * new death animations for: Ancient Lich, Ancient Wose, Arch Mage,
     Assassin, Bandit, Battle Princess, Blood Bat, Bone Shooter, Bowman,
     Cavalier, Cavalryman, Cave Spider, Chocobone, Cockatrice,
     Commander, Cuttle Fish, Dark Adept, Dark Queen, Dark Spirit,
     Deathblade, Death Knight, Deathmaster, Demilich, Direwolf Rider,
     Dragoon, Duelist, Draug, Drake Burner, Drake Clasher, Drake Fighter,
     Fire Drake
   * new or modified graphics for Dragoon, Dwarvish Dragonguard,
     Elvish High Lord, Elvish Lord, Halberdier, Lady Parandra, Noble Lord,
     Royal Guard, Soulshooter, Swordsman
   * fixed several image files being referred to by wrong name
   * new Soulless variation images
   * added flaming arrow images
 * language and i18n:
   * language fixes and polishing (English) (also fixed #12613, #10714)
   * updated MANUAL
   * new translations: Serbian
   * updated translations: Afrikaans, British English, Catalan, Chinese,
     Czech (#12864), Estonian, Finnish, French, German (also fixed
     #13147), Greek, Hungarian, Italian, Japanese, Polish, Russian,
     Slovenian, Spanish, Swedish, Turkish
   * updated gettext support to GNU gettext 0.14.4
   * removed the intl/ directory, since libintl is now widespread enough
     for gettextize to default to not installing it
 * WML improvements:
   * new WML preprocessor, allows for nested parentheses in macros (#10995)
   * note= attribute for [objectives], shown as footer, eg. for hints (#12927)
   * increase_attacks= attribute of [effect] now allows percentages (#13033)
   * new [random] representation as list allows complex scenarios to be saved
     (forum thread 5659)
   * better diagnostics on parsing: show file inclusion sequence
   * added [scroll_to] (patch #3388, forum thread 3235)
   * added [advancefrom] (patch #3625, forum thread 4186)
   * [recall] tag can now work even if the recruiter is not in a keep
     (#10543, #11735, #12974)
   * next_scenario: tentative start of MP campaign support
   * tidied up game.cfg and traits.cfg; game startup should now be faster
 * editor improvements:
   * fixed editor file chooser when starting directory has many files (#11698)
   * the starting position in the editor now starts counting from 1 (#10625)
 * improvements and bug fixes of the logging system
 * fixed replays with idle_ai, as seen in user scenario Rebellion (#12943)
 * saving during an AI unit's turn no longer makes that unit disappear (#13023)
 * fixed Windows build crashing when trying to recruit units (#12926)
 * tutorial start and end scenario savegames can now be loaded (#10332)
 * various bug fixes and code cleanups (including #13264 #12954 #12734 #13263)

Version 0.9.1:
 * user interface improvements:
   * added a shortcut for making screenshots
   * added support for Home/End in menus, ctrl-a/e/u in textboxes
   * fixed the formatting of wrapped text lines being lost
   * fixed the screen being incorrectly redrawn when resizing
   * fixed bug #12654 causing prestart events to be shown to the player
   * fixed bug #12758: gendered unit types repeated in attack type tooltip
   * fixed bug #12612: no description in help for units at first encounter as upgrade
   * fixed excess space in MP "/me " emotes
 * campaign improvements:
   * fixed bug in Northern Winter (HttT) where the Orcs attack each other
   * fixed the 'knockback' for WML Plague in TRoW
   * fixed missing music in the Crossroads (HttT)
 * multiplayer improvements:
   * fixed the lobby chat window not wrapping text
   * fixed the lobby chat staying at top when changing lobby screens
   * fixed the multiplayer "wait" lobby screen not correctly displaying empty and vacant slots.
   * made renaming units visible on replays and on multiplayer games
   * fixed bug #12759: "number of turns" not being remembered when creating multiplayer games
   * fixed bug #12791: Statistics doesn't reset in multiplayer games.
 * terrain improvements:
   * new forest tiles
 * unit balancing:
     * Dwarvish Guardsmen line removed as leaders in multiplayer
     * Dwarvish Guardsmen line only get 1 trait instead of 2
     * revert Drakes pierce resistance to 110%
     * revert Orcish Assassin to 3-3 ranged attack
     * reduced resistance of Ulfserker and Berserker
     * Elvish Rider: increase melee to 6-4, increase ranged to 7-3
     * Elvish Outrider: increase melee to 8-4, increase ranged to 7-4
 * language and i18n:
   * updated English and German manpages
   * language fixes and polishing (English)
   * fixed the description of traits in the help & tutorial
   * fixed user-campaigns not being translatable anymore
   * fixed some untranslatable strings
   * new translations:
     * Turkish
   * updated translations:
     * Afrikaans
     * British English
     * Catalan
     * Chinese
     * French
     * German
     * Hungarian
     * Italian
     * Japanese
     * Slovenian
     * Swedish
   * added a ./configure --enable-dummy-locales option for Wesnoth to generate
     its own set of i18n locale files and use them instead of the potentially
     missing system files (highly experimental)
   * made the width of the non-breaking space in Vera font be half that of
     the normal space, instead of twice that width.
 * added support for num_traits in individual unit_types overriding race num_traits
 * fixed the missing 'elder-mage-halo7.png' in the Elder Mage
 * fixed the advanceto field in Dark_Adept.cfg
 * fixed some OoS errors when chatting while a fight is taking place
 * fixed the spurious "statistics verification failed" messages
 * fixed bug #12611: modifying villages with [terrain] interacting badly with capturing them.
 * fixed bug #12698: segfault with --decompress on relative path
 * various bug fixes and code cleanups

Version 0.9.0:
 * user interface improvements:
   * added alternative theme: DFool
   * added theme dialog, launched with ":theme"
   * made help use single click instead of double click
 * campaign modifications
   * tutorial polishing
   * updated 'The Siege of Elensefar', 'Mountain Pass', 'The Swamp of Esten', and 'A Final Spring' to use the new ford terrain (Heir to the Throne & The Rise of Wesnoth).
   * modified the behaviour of the thieves in 'The Siege of Elensefar' (Heir to the Throne)
   * updated Heir to the Throne and The Rise of Wesnoth to use the ruined keeps where appropriate
   * dialog improvements in Eastern Invasion
   * new map for Drowned Plains (Eastern Invasion)
   * changed the Wesfolk Leader's guards to poachers in 'The Fall' (The Rise of Wesnoth)
 * multiplayer improvements
   * rewrote multiplayer lobby code
   * changed Broken_Bridge to use new ruined castles
   * added new multiplayer maps: Icy Waters, Clash
   * changed King_of_the_Hill to use a Dwarvish Castle
   * chat messages are now displayed in the user's colour when prefixed with /me
   * split the map and scenario file for 'An Island'
   * disabled debug mode for multiplayer games
   * made it possible to join games using eras which only are on the host-side
   * made it possible for the server to redirect the clients to another host (client-side support only for now)
 * terrain improvements
   * improved transitions:
     * swamp
     * keep to keep
   * added new terrains:
     * ruined castle
     * sunken ruin
     * swamp-ruin
     * river ford
     * lava
 * unit graphics and sound improvements
   * updated images for several units: Cave Spider, Haldric, Lady Jessica, Mermaid Priestess, Mermaid Diviner, Merman Hunter, Merman Javelineer, Merman Spearman,Walking Corpse, Elvish Fighter, Captain, Marshal, Hero, Champion, Archer, Marksman, Sharpshooter, Ranger, Avenger, Shyde, Orcish Archer, Orcish Crossbowman, Human Spearman
   * added drake, mounted, saurian, swimmer, troll, and wose variations to Walking Corpse
   * updated Haldric's portrait in The Rise of Wesnoth
   * added graphics for generic Lich-Lords, the Archmages in 'The Sewer of Southbay', and the Lady Outlaw (The Rise of Wesnoth)
   * added support for animated deaths, and added animations for Skeleton and Revenant, and all Walking Corpse variations
   * fixed several image files being referred to by wrong name
   * removed sound of thrown spear from Drake Clasher spear melee attack
   * added get_hit_sounds to Elder Mage (Delfador) and Elvish Lady (Parandra)
 * unit balancing:
   * Soulless: dropped cost to 11, increased  HP to 28
   * Merfolk: defense on water and swamp reduced by 10%.
   * Merman Hunter cost: 13 -> 15. Melee attack: 5-2 -> 4-2.
   * Naga: defense on shallow water reduced by 10%.
   * Naga Fighter cost: 13 -> 14.
   * Deep sea creatures: defense on water reduced by 10%.
   * Orcish Assassin: increased cost by 1 gold
   * Troll Whelp:  increased cost by 1 gold
   * Gryphon units: improved defense on mountains.
   * Steadfast dwarvish units: increased movement speed.
   * Dwarvish Thunderer: improved melee attack to 6-2, and 3 more HP
   * Dwarvish Guardsman:  improved attack to 5-3.
   * Dwarvish Fighter: 2 more HP
   * Berserkers: made berserk only active on offense.
   * Elves: added the race specific 'dextrous' trait (increases damage on ranged attacks)
   * Drakes: made them lawful
   * Drakefly: increase pierce vulnerability to 20%
   * Drakefoot: increase pierce vulnerability to 10%
   * Drake Burner: decrease HP to 42, changed ranged attack to 6-4
   * Drake Clasher: decrease HP to 43
   * Drake Fighter: decrease ranged attack to 3-3
   * Fire Drake: decrease HP to 54, decrease ranged to 7-5
   * Drake Flameheart: decrease HP to 84, increased ranged to 8-4
   * Drake Flare: decrease HP to 62, increased ranged to 7-4
   * Drake Gladiator: reduce HP to 65
   * Drake Glider: increase cost to 16, increased ranged to 3-3
   * Inferno Drake: decrease HP to 71, increase ranged to 8-6
   * Sky Drake: increase cost to 27, increased ranged to 5-3
   * Drake Slasher: reduce HP to 59
   * Drake Warrior: reduce ranged attack 5-3
   * made 'loyal' a trait which is only given to units explicitly by the scenario designer
 * language and i18n:
   * language fixes and polishing (English)
   * fixed hero names not being translatable
   * made text strings automatically choose an appropriate font
   * fixed untranslatable strings
   * support to display Chinese and Japanese translations
   * new translations:
     * Afrikaans
     * Chinese
     * Estonian
     * Japanese
   * updated translations:
     * Basque
     * British English (100%)
     * Catalan
     * Dutch (100%)
     * Finnish
     * French
     * German (100%)
     * Greek
     * Hungarian
     * Italian
     * Latin,
     * Norwegian
     * Polish
     * Portuguese (Brazilian)
     * Russian
     * Slovak
     * Slovenian
     * Spanish
     * Swedish (100%)
 * WML modifications
   * rewrote WML parser with stricter grammar and better error handling
   * changed the [movement costs] WML tag into [movement_costs]
   * added generate_description to [unit], to allow automatic generation of user_description
   * made [capture_village] accept a location range
   * added support for [objectives] event actions, to set objectives.
   * added the ability for sides to have different objectives.
   * added UNIT, UNDEAD_UNIT, and PLACE_IMAGE macros to utils.cfg
 * changed plague to allow plague(unit_type) as well as undead_variation
 * more progress towards a completely-usable 320x240 PDA port (campaigns should now be playable)
 * fixed bug that made the ai recruit badly
 * fixed auto-move using up all of the remaining moves when there are no empty hexes on the unit's path (#9649)
 * fixed merged castles in random maps (#8848)
 * fixed villages in the rightmost column not getting a name (#11152)
 * fixed drawing error in the titlescreen (#12534)
 * added debug command to give gold to current side
 * fixed user campaigns appearing twice with zipios enabled
 * slight cleanup of the terrain graphics code
 * added a --disable-game configure option to avoid compiling and installing the game
 * share the object files between all the programs to halve the time of a full compilation
 * disabled "End turn" button when it is irrelevant.
 * added OS X ScrapManager support
 * improved threading of campaign server
 * fixed the dialog menus being larger than the screen
 * made the game remember the last server used for downloading campaings
 * when building out of the source tree, configure now creates the translations/ directory in the source tree, but does not attempt to do so if it is read-only
 * code refactoring and dependency cleanups
 * various bug fixes and code cleanups

Version 0.8.11:
 * new translation:
   * British English
 * updated translations:
   * Basque
   * Catalan
   * French
   * German
   * Italian
   * Latin
   * Slovenian
   * Swedish
 * in language-selection dialog, consistently use native name for all languages, with the (hopefully) official latin transcription for those that cannot be displayed in the default font (russian, bulgarian, greek)
 * language fixes and polishing (English)
 * fixed slovene being wrongly localized as sl_SL insteof sl_SI
 * campaign fixes and changes:
   * fixed Delfador appearing in the water when turns run out in 'The Bay of Pearls' (HttT)
   * updated maps for: 'Northern Winter' & 'Mountain Pass' (HttT)
   * updated 'Evacuation' & 'Captured' (EI)
   * fixed the talking tentacle in 'Temple of the Deep' (TroW)
   * switch to the new Merfolk and Nagas in TRoW and HttT
 * unit fixes and changes:
   * fixed several units using non-existing sound files
   * added sounds (existing) to several attacks
   * updated all uses of the 'old fireball' to use the 'new fireballs'
   * added new images and animations for all mages
   * updated the attack frame sequences for the Drakes
   * added attack icons for 'slam' and 'ballista'
   * obsoleted all instances of the old 'Mermen' & 'Naga' unit lines
   * modified defense weight for Drake Slasher
   * decreased hitpoints for Gate
   * renamed 'Elvish Lady Parandra' 'Elvish Lady'
   * made all mages use staff (impact) as melee attack
   * added support for directional attack animations
 * fixed zipios support so that user campaigns custom images and sounds can be loaded
 * fixed locale-dependent numeric input/output bug, it allowed units to walk on the water, and prevented the AI from being correctly configured in campaigns
 * use fixed-point arithmetics in critical functions, so that wesnoth can reasonably run on an FPU-less machine (eg. ipaq PDA)
 * fixed the width of 'HP' and 'XP' in the right side panel
 * fixed some multiplayer connect bugs
 * fixed the AI not going through the no-ZoC of lv0 units when it should have
 * code cleanups and bug fixes

Version 0.8.10:
 * user interface tweaks
 * updated translations:
   * catalan
   * french
   * german
   * latin
   * russian
   * swedish
 * updated manpages
 * language fixes and polishing (English)
 * updated images for footpad and dwarvish sentinel
 * scenario revisions for 'The Heir to the Throne' campaign:
   * Dwarven Doors & Siege of Elensefar- Decreased the AI's gold
   * Bay of Pearls - Added an extra keep square on EASY
   * Sceptre of Fire- Reduced that AI's income on HARD
   * Northern Winter- Updated the map to use the snow tiles
   * tweaks to several maps
   * difficulty balancing for most scenarios
 * scenario revisions for 'Son of the Black Eye' campaign:
   * End of Peace
 * scenario revisions for 'The Eastern Invasion' campaign:
   * Escape Tunnel
 * scenario revisions for 'The Rise of Wesnoth' campaign:
   * reduced the AI's gold in 'A Harrowing Escape'
   * allowed the AI to initially recruit scouts in several scenarios
   * altered / fixed the recruitment pattern in several scenarios
   * tweaks to 'The Plan' & 'Epilogue' (both non-playable)
 * really removed ZoC from lv0 units this time
 * fixed editor to work with zipios support enabled
 * fixed zipios support to honor path to data given on command-line
 * fixed zipios support crashes when running from CVS
 * new cmd line option --fps to display frames/second refresh in game
 * modified how damage is calculated (RATE)
 * made unit movement smoother
 * fixed poison not being cured when the unit had too much HP (#11565)
 * fixed bugs when replacing player with observer in mp (#11231)
 * fixed several pathfinding bugs (#11769)
 * fixed cave random map generation, especially Scepter of Fire (#11748)
 * fixed dialogs shown at end of MP game (#11830)
 * fixed units not being correctly displayed on minimap for odd x-locations.
 * added several fortunes
 * code cleanups and bug fixes

Version 0.8.9:
 * new translations:
   * bulgarian
   * latin
 * updated most translations
 * new or updated portraits:
   * Konrad, Delfador, Li'sar and Kalenz (Heir to the Throne)
   * Gweddry and Dacyn (Eastern Invasion)
 * added missing animations for:
   * Mermaid Initiate, Mermaid Enchantress and Mermaid Siren
   * Ancient Wose
   * Goblin Direwolf Rider and Goblin Knight
   * Gryphon
   * Skeleton Archer, Revenant and Death Knight
   * Troll Warrior, Troll Hero and Great Troll, Young Ogre
   * Grand Knight, Lord and Master Bowman
   * Cuttlefish
 * new or overhauled graphics for:
   * Footpad, Outlaw, Thief and Rogue
   * Orcish Shamans, Elvish Lord and Elvish High Lord
   * Ghost, Nightgaunt, Shadow, Spectre and Wraith
 * new female units for:
   * Footpad, Thief, Rogue and Assassin
 * added new tiles:
   * desert
   * desert hills
   * desert mountain
   * desert villages (adobe and tent)
   * desert road
   * desert oasis
   * savanna
   * tropical forest
   * tropical forest village
 * added icon for petrified units
 * fixed missing diagonal projectiles on many units
 * removed old unused images:
   * time-of-day
 * downloaded campaigns no longer require a restart to be able to play them
 * new units:
   * Javelineer
 * unit balancing:
   * Naga fighter: increased hitpoints from 27 to 30
   * Merman Hoplite: increased resistances and damage
   * Mermaid Initiate/Enchantress/Siren: reduced number of attacks, increased damage, removed special resistances
   * Mermaid Initiate: increased experience needed to level, other minor tweaks
   * Swordsman: increase resistance to blade and impact
   * Royal guard: increase resistance to blade and impact
   * Pikeman: increase resistance to pierce, change attacks number and damage
   * Halberdier: increase resistance to pierce, increase blade damage, decrease pierce damage
   * Saurian Tribalist, Saurian Icecaster, Saurian Soothsayer: remove 'skirmish'
   * Saurian Skirmisher: Increase cost to 14 gold
   * Wraith, Spectre: reduce resistance to blade, pierce, impact by 20%, increase HP by 10%
   * Poacher: Reduce cost to 14
   * Tentacle of the Deep: Change movement type to 'float'
   * Flying creatures can now cross canyons
   * Removed ZoC from level 0 units
 * language fixes and polishing (English)
 * added 'x' to the terrain letters reserved for campaign writers
 * scenario revisions for 'The Eastern Invasion' campaign:
   * Lake Vrug
   * Two Paths
   * Northern Outpost
   * Elven Alliance
   * Unexpected Appearance
   * Escape Tunnel
   * Tribal Warfare
   * Approaching Weldyn
 * scenario revisions in Heir to the Throne:
   * Blackwater Port- Make the port look like more of a port, other minor changes that mute each other out
   * The Isle of Anduin- Extend shallow water around the Isle, remove the Saurians in favour of Goblins
   * The Bay of Pearls- Flip the map so the Ocean is on the West side
   * Muff Malal's Peninsula- Make it a peninsula, give Konrad the option of fighting (bonus) or fleeing
   * Isle of the Damned- Touched up the map so it is clear that the islands are islands, made the islands tropical, and moved the temples
   * The Siege of Elensefar- New map, and other changes
   * The Crossroads- New map, weaker more diffuse ambushes, and less gold for the Orcs
   * The Princess of Wesnoth- Minor map changes, and made the scenario harder
   * Set result=continue in 'Plunging into the Darkness'
 * scenario revisions in The Rise of Wesnoth:
   * fixed {CROSS} in 'Temple of the Deep'
   * fixed sign glitch
   * reduced the difficulty of TRoW on 'Hard' particularly, and reduce the difficulty slightly on 'Easy' & 'Normal'
   * A New Land - Sync with the map from Bay of Pearls
   * Cursed Isle- Sync with the map from Isle of the Damned, make the temples match locations
   * Made 'Peoples in Decline' and 'Rough Landing' look tropical
 * multiplayer improvements
   * multiplayer game settings (map name, gold per village, ...) are saved now
   * added several missing units
   * Random Map (Desert) uses new desert environment; also tweaked
   * make the cave in 'An Island' (MP) be 'underground'
   * enlarge side descriptions for remote player during game creation
   * added support for player nick tab completion and /me-substitution in game chat
 * theme syntax improvements:
   * added support for specifying a reference rectangle when using relative-positioning syntax
   * added support for theme inheritance; avoids duplicating mostly-unchanged code
 * added a "droid" game command, and allow for computer player to do a campaign
 * added a "canrecruit" filter
 * updated manpages and added support for translating them
 * "," is no longer the column separator, it does not have to be escaped anymore in some translations, "=" is the new separator (#10368)
 * take advantage of libzipios++ if available, to read cfg files, maps, images, sound effects, and fonts from zip files.  Call "make zip-install" to install data zipped.
 * removed drain allowing to go past maximum hp
 * removed long-range attacks (Pirate Galleon, Transport Galleon, Wall Guard, Watch Tower)
 * fixed various bugs with respect to multiplayer game setup (#10896, #11236, #11265, #11442, #11527)
 * added new pathfinder (Redsun)
 * fixed some pathfinding bugs
 * fixed untranslatable strings
 * fixed "damage inflicted" statistic (incorrectly computed when defending)
 * fixed that move-and-attack allowed attacking stone units
 * fixed the side turn event being fired incorrectly
 * fixed repeat recruit hotkey not respecting WML recruit changes
 * removed support for turning off genders
 * removed obsolete tools: make_translation merge_translations
 * removed obsolete id= for messages in TRoW & HttT
 * code cleanups and bug fixing
 * added a wesnoth "fortunes" file

Version 0.8.8:
 * campaign server stores size of campaigns
 * user interface improvements:
   * consistently compute minimum allowed zoom value according to screen size
   * improved readability of chat messages on light backgrounds (#10900)
 * made it possible to move and attack with a single click
 * graphics improvements:
   * portraits for all TRoW characters that speak in more than one scenario added
   * a portrait for Queen Asheviere in HttT
   * hotseat and vs AI multiplayer icons
   * new or modified unit images: orcish warlord, soul shooter, bone shooter
   * preparations for mountain and desert village graphics
   * new attack icons: bone arrow stab, cleaver, morning star, crush
 * scenario fixes for 'Eastern Invasion' campaign:
   * Weldyn Under Attack (#11051)
   * Capture
   * fixed end of campaign settings
 * scenario fixes for 'Son of the Black Eye' campaign:
   * Saving Inarix
 * scenario fixes for 'The Rise of Wesnoth' campaign:
   * The Vanguard, fixed chest placement
   * make the chests squeak
 * scenario fixes and balancing for 'Heir to the Throne' campaign:
   * A Test of the Clans
   * Return to Wesnoth
 * unit balancing:
   * Goblin Pillager: reduced HP
   * Goblin Impaler: reduced HP
   * Gryphon Rider: reduced cost
   * Drake Clasher: reduced cost, increase resistance to pierce
   * Drake Gladiator: reduced cost, increase resistance to pierce
   * Drake Slasher: reduced cost, increase resistance to pierce
   * Drake Burner: increase cost
   * Elvish Scout: increased ranged damage, reduced defence in forest
   * Elvish Rider: reduced defence in forest
   * Elvish Outrider: reduced defence in forest
   * Soul Shooter: melee changed from impact to pierce
   * Bone Shooter: melee changed from impact to pierce
   * Mage: reduced cost
   * minor adjustments to Drakefoot & Drakefly (& the Drakes in general)
   * LESS_NIMBLE_ELF macro
 * removed obsolete units:
   * Cavalry
   * Goblin Direwolver
   * Heavy Infantry
   * Merman Lord
   * Orcish Crossbow
   * Scout
 * new units:
   * Draug
   * Naga Fighter
   * Naga Warrior
   * Naga Myrmidon
   * Saurian Flanker
   * Deathblade
 * changed Dragoon's and Cavalier's pistol to crossbow.
 * renamed 'Saurian' to 'Saurian Skirmisher' and 'Saurian Warrior' to 'Saurian Ambusher'
 * language fixes and polishing (english)
 * revised MANUAL
   * english
   * swedish
 * updated translations:
   * catalan
   * french
   * german
   * greek
   * hungarian
   * italian
   * polish
   * portuguese
   * russian
   * slovak
   * spanish
   * swedish
 * multiplayer improvements
   * Charge map
   * CastleHoppingIsle map updated
 * give Woses, Saurians, Ogres, & Drakes names
 * give Saurians & Drakes traits
 * give the Drakes music in Multiplayer
 * new rectangle syntax allowing width/height and relative positionning in themes
 * new --enable-tinygui configure flag for adventurous PDA users
 * fixed units incorrectly not using the spear icon
 * fixed missing diagonal projectiles on several units
 * fixed Gwiti's animation (#10926)
 * fixed translations being searched for in installdir when running in builddir
 * added support for concatenating strings in wml files, for the benefit of i18n
 * fixed code for handling objects (#10904, #10954, #10963)
 * fixed many untranslatable strings
 * fixed layering of desert and dirt
 * fixed multiplayer setup screen being broken on low resolutions (#10919)
 * fixed resizing multiplayer lobby creating some graphic glitches
 * fixed --enable-lite for current image location
 * fixed wmlxgettext not working properly with msdos line-endings in multiline strings
 * fixed documentation (#10999)
 * fixed zoom behavior (#9890)
 * fixed unit teleportation (#10588, #11213)
 * fixed several crashes (#10959, #11102, #11115, #11158)
 * improved 320x240 resolution support
 * support for unrenamable units
 * install wmlxgettext so that it can be used by user campaigns
 * rewrote hotkeys code
 * rewrote widgets code
 * image and data-file cleanups
 * code cleanups
 * WML bug fixes

Version 0.8.7:
 * user interface improvements:
   * display savegame version in load dialog
   * shadows for labels to make them visible on each type of terrain
   * help system speed optimizations
 * graphics improvements:
   * bridge, ice, castle floor, grassland
   * unit images and attack animations
   * Haldric, Burin, Edmond
   * The Green Isle map (The Rise of Wesnoth)
 * in-game help updates and enhancements
 * scenario balancing for 'Heir to the Throne' campaign:
   * Crossroads
 * scenario balancing for 'The Eastern Invasion' campaign:
   * Weldyn under Attack
   * Northern Outpost
 * increased 'drakefoot' and 'drakefly' defense on grassland, sand and forest
 * unit balancing:
   * Halbardier: increased melee damage
   * Pikeman: increased melee damage
 * new units:
   * Horse Lord
   * Mermaid Diviner
   * Mermaid Enchantress
   * Mermaid Initiate
   * Mermaid Priestess
   * Mermaid Siren
   * Merman Entangler
   * Merman Fighter
   * Merman Hoplite
   * Merman Hunter
   * Merman Javelineer
   * Merman Netcaster
   * Merman Spearman
   * Merman Triton
   * Merman Warrior
   * Mounted Captain
   * Mounted Commander
 * language fixes and polishing (english)
 * new translations:
   * slovenian
 * updated translations:
   * danish
   * dutch
   * french
   * german
   * greek
   * hungarian
   * italian
   * norwegian
   * polish
   * portuguese
   * russian
   * slovak
   * spanish
   * swedish
 * allowed translating female unit names differently than male ones for languages needing it
 * multiplayer improvements
   * winter, desert and marsh random map generators
   * map descriptions
   * new maps: Broken Bridge
   * experience requirement now uses 10% increments
   * updated lobby
 * added naming for coastal villages
 * re-enabled italics and underlining for texts
 * fixed road layering in terrain-graphics.cfg
 * fixed assumption that "no advance" == 500 XP required in help code
 * fixed bugs in 'The Eastern Invasion: Weldyn Under Attack' scenario
 * fixed ice layering in terrain-graphics.cfg
 * fixed recruit/recall bug multiplayer
 * fixed gold not being reset in multiplayer
 * fixed wmlxgettext for header generation
 * fixed showing incorrect teams when loading a saved multiplayer game
 * fixed compile error on 64bit systems
 * fixed 'Drake Slashers' first strike
 * fixed AI not being aware that units in villages can not be plagued
 * fixed some missing unit descriptions
 * fixed lots of untranslatable strings
 * fixed female units lacking gender attribute
 * fixed wmlxgettext bugs
 * fixed window not always refreshing on resizing
 * fixed network threading bugs
 * fixed bug in vgettext
 * fixed assertion failure in playturn.cpp
 * fixed long-standing strings in editor
 * added specifying the maximum length of the text widget in show_dialog
 * added displaying help strings in smaller font if they don't fit in the screen
 * 320x240 resolution with USE_TINY_GUI
 * added an ellipsis on the button text when it does not fit on the button
 * moved menu strings into wesnoth-lib textdomain
 * moved tips from english.cfg to tips.cfg
 * per-language cache files
 * forced config reload upon language change
 * switched networking code to use the new logging system
 * switched image.cpp to use the new logging system
 * improved network threading
 * added server facility to record the way games end
 * improved 'Out of Sync' detection
 * imported SDL_ttf into the Wesnoth source tree, removed the dependency to SDL_ttf, added a dependency to libfreetype2
 * fixed memory corruption errors on font rendering in SDL_ttf
 * image and data-file cleanups
 * code cleanups

Version 0.8.6:
 * user interface tweaks
 * graphics improvements:
   * leadership frames
   * attack frames
   * grassland-to-water transitions
   * pier, bridge-ends
 * increased experience required to advance for Haldric and Jessica (both from The Rise of Wesnoth campaign)
 * reduced 'Elvish High Lord' movement to 6
 * tweaks for 'undeadfly' movetype: neutralized blade, pierce and impact resistances
 * tweaks for 'spirit' movetype: increased resistance against blade, pierce and impact
 * 'undeadspirit' movetype (copy of 'spirit' movetype with vulnerability to 'holy')
 * unit balancing:
   * Blood Bat: reduced hitpoints
   * Ghoul: reduced movement, reduced hitpoints
   * Ghost: switched movetype to 'undeadspirit', increased hitpoints
   * Necrophage: reduced movement, reduced hitpoints
   * Nightgaunt: switched movetype to 'undeadspirit', increased hitpoints
   * Shadow: switched movetype to 'undeadspirit', increased hitpoints
   * Spectre: switched movetype to 'undeadspirit', increased hitpoints
   * Wraith: switched movetype to 'undeadspirit', increased hitpoints
   * Vampire Bat: reduced hitpoints
 * new units:
   * Grand Marshal
 * language fixes and polishing (english)
 * updated translations:
   * brazilian
   * catalan
   * danish
   * greek
   * hungarian
   * italian
   * portuguese
   * spanish
   * swedish
 * multiplayer improvements
   * new lobby
   * leader indicator
   * random map generator improvements
   * scrollbar for map selection
   * threading for multiplayer server to get rid of freezes
 * fixed schedules textdomain
 * fixed villages being over tree tops
 * fixed 'Direwolf Rider' incorrectly having 'smallfoot' movetype
 * fixed 'Elvish Shaman' healing halo
 * fixed showing faction leader incorrectly in multiplayer games when loading from savegame
 * fixed long names in lobby going over the reserved area (#10414)
 * fixed 'Duelist' white border problem
 * fixed untranslated female elvish marksman (#10599)
 * fixed hex detection
 * fixed multiplayer game aborting when player joined with "random" faction (#10604)
 * fixed savegames for beginning of tutorial not loading
 * fixed missing fire_event in  'Son of the Black Eye: Saving Inarix'
 * fixed Wesbowl
 * fixed compiling errors in the zip-directory (#10189, #10362)
 * fixed lag when chatting in multiplayer lobby
 * fixed --with-kde and --with-gnome
 * fixed 'About' translations being duplicated for no real good reason
 * fixed untranslatable strings in help
 * fixed some abilities not being translatable
 * fixed holywater bug in 'The Rise of Wesnoth: Cursed Isle'
 * fixed top toolbar leaking ownership information for villages under fog of war
 * fixed victory conditions for 'Son of the Black-Eye: Silent Forest'
 * fixed victory conditions for 'The Rise of Wesnoth: Sewer of Southbay' and 'The Rise of Wesnoth: Fallen Lich Point'
 * support for bridges ending on water
 * switched using gettext-standard multi-textdomain
 * suppressed warnings from msgfmt
 * po-header cleanups
 * added support for desktopdir and icondir customization for --with-kde and --with-gnome
 * logging system improvements
 * campaign image-files hierarchy cleanup
 * code cleanups

Version 0.8.5:
 * campaign server (campaignd) and capability to download campaigns from campaign server(s)
 * sorting of campaigns by rank
 * campaign descriptions (text + images) in the campaign selection dialog
 * user interface tweaks
 * :refresh command
 * graphics improvements:
   * forests
   * attack icons
   * unit images and animation frames
   * teleportation animations
 * tutorial updates
 * scenario balancing for 'Heir to the Throne' campaign
   * Return to Wesnoth
 * scenario balancing for 'The Rise of Wesnoth' campaign
   * pretty much all scenarios
 * scenario balancing for 'The Eastern Invasion' campaign
   * An Unexpected Appearance
   * Weldyn under Attack
   * Tribal Warfare
 * drakefoot movetype
 * remade Drakes and removed obsolete ones
 * added hammer attack to Dwarvish Lord
 * new units:
   * Drake Flare
   * Drake Gladiator
   * Drake Glider
   * Elvish Enchantress
   * Elvish Sorceress
   * Elvish Sylph
   * Goblin Impaler
   * Goblin Spearman
   * Inferno Drake
   * Saurian Icecaster
   * Saurian Soothsayer
   * Saurian Tribalist
   * Sky Drake
   * Troll Rocklobber
 * unit description updates
 * language fixes and polishing (english)
 * added FreeSans font
 * updated translations:
   * basque
   * catalan
   * czech
   * danish
   * dutch
   * finnish
   * french
   * german
   * greek
   * italian
   * norwegian
   * polish
   * portuguese
   * russian
   * slovak
   * spanish
   * swedish
 * AI improvements
   * less inclined to attack after moving
   * more inclined to make risk-free attacks
 * multiplayer improvements
   * added increments to sliders
   * allowed choosing your leader
   * new maps: Blitz, Castle Hopping Isle, An Island
   * gave Goblin Spearman to northeners and removed Saurian from them
   * gave Saurian to Drakes on 'Age of Heroes' and 'default' eras
   * added Saurians to 'Classic' era
 * added new AI parameter: attack_depth
 * made units only die if they have 0 or less hitpoints after the event has been fired
 * tweaked Drake recruitment patterns (AI)
 * fixed 'make clean' not cleaning everything
 * fixed 'make uninstall' not working because of syntax error
 * fixed 'system default language' selection
 * fixed several graphic glitches
 * fixed a bug where tiles from terrain_graphics rule did not have the per-rule image when only defined through [map]
 * fixed bug with [not] tags in filters
 * fixed missing semicolon in sound.cpp
 * fixed tutorial talking of elves having 70% defense on grass
 * fixed many untranslatable strings in e.g. statistics, statusbar tooltips, units
 * fixed missing movetype for 'Pirate Galleon' and 'Transportation Galleon'
 * fixed General crossbow attack graphics glitch
 * fixed "wait for start" lobby dialog
 * fixed units not submerged when moving/fighting
 * fixed bug where [modify_side] couldn't change a side's team name properly
 * fixed victory and defeat conditions on 'The Eastern Invasion: Approaching Weldyn' scenario
 * fixed fixed illegal character 'x' in 'The Eastern Invasion: Weldyn Under Attack' scenario
 * fixed defeat conditions on 'The Eastern Invasion: Escape Tunnel' scenario
 * fixed knight appearances bug on 'The Eastern Invasion: Mal-Ravalans Capital' scenario
 * fixed double '{BIGMAP_BLACKWATER_PORT}' in 'Heir to the Throne: Blackwater Port' scenario
 * fixed gold and load game problem
 * fixed divide-by-0 error in AI
 * fixed statistics dialog seemingly endless loop
 * fixed firing events from a kill event possibly causing crash
 * fixed AI allies updating shroud and fog at the end of their turn
 * fixed bug in 'show enemy moves'
 * fixed pressing 'shift' while scrolling to your leader would halt scrolling
 * fixed many deprecated units in scenarios
 * fixed statistics not being reset between multiplayer games
 * fixed forest<->snow forest transitions
 * fixed crash in editor
 * fixed bug in replay with disbanding units
 * fixed playing multiplayer and then playing a campaign could not load the multiplayer game up again
 * fixed 'Messanger 0f Doom' in 'The Eastern Invasion: Weldyn under Attack' scenario
 * restored "Ambushed!" text in 'Heir to the Throne: Crossroads' scenario
 * added a way to specify the actual position of multi-hex tiles
 * added option to preferences file, 'unit_genders', which determines whether units with different genders should be used
 * added internationalization parameter for Mac OS X
 * automatic computation of font sizes relatively to SIZE_NORMAL; make TINY mode really tiny to better help with UI downsizing work
 * logging system improvements
 * made it possible to have [terrain_graphics] rule as childs of [scenario]s
 * enabled gamestart speedup by not unnecessarily loading campaigns
 * support for teleportation animations
 * preparations for removing obsolete units
 * translation cleanups and improvements
 * code cleanups

Version 0.8.4:
 * changed vision range based on potential move
 * changed charge, backstab and steadfast abilities use true doubling and halving rather than additive percentage calculations
 * more sound effects
 * new and improved graphics:
   * snow forest tiles
   * unit images
   * tower
   * units images and animations
   * attack icons
 * new scenarios for 'Heir to the Throne' campaign:
   * Battle for Wesnoth (final scenario)
 * scenario balancing for 'Heir to the Throne' campaign:
   * Crossroads
   * Test of the Clans
 * scenario balancing for 'Son of the Black Eye' campaign:
   * Silent Forest
 * plot changes in 'The Eastern Invasion' campaign
 * scenario balancing for 'The Eastern Invasion' campaign:
   * Approaching Weldyn
   * Lake Vrug
   * Northern Outpost
   * The Duel
   * The Outpost
   * Two Paths
 * epilogue for 'The Rise of Wesnoth' campaign
 * new scenarios for 'The Rise of Wesnoth' campaign:
   * Rise of Wesnoth (final scenario)
 * scenario balancing for 'The Rise of Wesnoth' campaign:
   * A Final Spring
   * A Harrowing Escape
   * The Vanguard
   * Troll Hole
 * spirit movetype, with high resistances against "physical" attacks, slowed on open water
 * dwarvishfoot movetype
 * unit balancing:
   * dwarves: switched movetype to 'dwarvishfoot'
   * treefolk (Woses): reduced pierce, impact and cold resistances
   * undeadfoot: "deep walking" (movement in deep water)
   * Dwarvish Guardsman: reduced blade, pierce, impact, fire and cold resistances, reduced cost, reduced number of ranged attacks
   * Dwarvish Stalwart: reduced blade, pierce, impact, fire and cold resistances, reduced number of ranged attack, increased ranged damage
   * Ghost: switched movetype to 'spirit', halved hitpoints, reduced movement
   * Lich: increased cost
   * Necromancer: increased cost
   * Nightgaunt: switched movetype to 'spirit', halved hitpoints, reduced movement, reduced number of attacks, backstab
   * Orcish Archer: reduced cost
   * Peasant: increased cost, increased melee damage
   * Spectre: switched movetype to 'spirit', halved hitpoints, reduced movement, backstab
   * Shadow: switched movetype to 'spirit', halved hitpoints, reduced movement, reduced number of attacks, backstab
   * Vampire Bat: increased cost
   * Walking Corpse: increased hitpoints, increased melee damage
   * Wose: reduced melee damage
   * Wraith: switched movetype to 'spirit', halved hitpoints, reduced movement
 * new units
   * Dark Queen
   * Dwarvish Sentinel
 * language fixes and polishing (english)
 * updated translations:
   * basque
   * czech
   * danish
   * finnish
   * french
   * german
   * hungarian
   * italian
   * norwegian
   * spanish
   * swedish
 * status for translations (gettext) - http://gettext.wesnoth.org
 * splitted po-files into domains (gettext)
 * multiplayer improvements:
   * restored Thug to Knalgan Alliance on default era
   * added many 2nd level units to factions on 'Age of Heroes' era
 * made hosting games work elegantly when wesnothd is running on the same machine
 * added new @ prefix to {inclusion} in config files to make it search both in the user's preferences dir and in the main data dir
 * fixed typo causing 'Troll Whelp' being recruitable in 'The Dark Hordes: A New Chance' scenario
 * fixed alignment and abilities not being shown in panel
 * fixed hitpoints and experience being not translatable in default theme
 * fixed escape not working in game lobby
 * fixed the tools in src/tools not building
 * fixed 'no start position for side 1' in 'The Eastern Invasion: Drowned Plains'
 * fixed unselected units being too dark
 * fixed missing tag in 'The Eastern Invasion: The Duel'
 * fixed saving with illegal characters in the filename
 * fixed cycling units with 'n' showing invisible enemy units while it is their turn
 * fixed units not disappearing properly when they die
 * fixed recall working incorrectly
 * fixed missing Vera.ttf msgid from pot-file
 * fixed the problem with parse errors occuring in the units descriptions
 * fixed empty terrain names occuring in the help system
 * fixed Delfador appearing in 'The Dark Hordes: Inside The Tower'
 * fixed about/credits not being translatable
 * fixed 'Orcish Ruler' appearing in 'The Rise of Wesnoth' campaign
 * fixed 'Heavy Infantryman' recruiting bug in 'The Eastern Invasion: Mal-Ravanals Capital' scenario
 * fixed editor not being translatable
 * fixed Parandra missing in 'Heir to the Throne: The Elven Council' scenario
 * fixed king going to swimming on 'The Rise of Wesnoth: A Final Spring' scenario
 * fixed past-the-end issue on botched UTF-8 strings
 * fixed scroll_to_unit issues on 'The Rise of Wesnoth' campaign
 * fixed build procedure to not require having gettext installed
 * fixed scanning enemy unit locations even when they are under the fog
 * workaround for Reiser4 feature bug (#10264)
 * workaround for BeOS gettext implementation
 * workaround for Mac OS X gettext implementation
 * re-implemented enhanced sound quality fix
 * added error dialog when a campaign has corrupt WML
 * added better error messages for machines that cannot bind to local ports
 * switched relevant flags from --enable-* to --with-* in autotools
 * autotools re-organizations for better BSD support
 * editor dependency cleanups
 * help system optimizations
 * village placement optimizations
 * compile speed optimizations
 * text rendering optimizations
 * squashed many compile warnings
 * code cleanups and refactoring

Version 0.8.3:
 * information about encountered terrain added in the help system
 * removed the unit description dialog in favor of in-game help
 * user interface tweaks
 * added damage taken and inflicted with expected values to statistics
 * new and improved graphics:
   * dwarvish castle
   * swamp, deep water, shallow water, snow, cave wall, cave floor, ice, lava, dirt, forest, bridge, road
   * chest, nest
   * portraits and unit animations
   * preferences icons
 * updates and enhancements to tutorial
 * scenario balancing for 'The Dark Hordes' campaign:
   * The Skull of Agarash
   * Underground Pool
 * new scenarios for 'The Eastern Invasion' campaign:
   * The Drowned Plains (replaces 'Peasant Revolt')
 * scenario balancing for 'The Eastern Invasion' campaign:
   * Captured
   * Evacuation
   * Weldyn Under Attack
 * new scenarios for 'The Rise of Wesnoth' campaign:
   * The Vanguard
   * Return of the Fleet
 * scenario balancing for 'The Rise of Wesnoth' campaign:
   * Temple in the Deep
 * replaced Duelist's pistol with crossbow
 * more female units
 * unit balancing:
   * Bone Shooter: reduced experience required to level
   * Dwarvish Fighter: gave hammer attack
   * Dwarvish Steelclad: gave hammer attack, increased experience required to level
   * Elvish Lord: changed to 2nd level unit, reduced hitpoints, reduced cost, reduced melee and ranged damages, advances to Elvish High Lord
   * Soul Shooter: increased ranged damage
   * Woses: reduced cold resistance
   * mountainfoot (Dwarves, Giant Spider): reduced movement cost on forest, sand, shallow water and swamp
 * new units
   * Dwarvish Guardsman
   * Dwarvish Stalwart
   * Elvish High Lord
 * language fixes and polishing (english)
 * switched to using gettext, following languages have been converted:
   * catalan
   * french
   * norwegian
   * spanish
 * multiplayer improvements:
   * turn_cmd preferences option which can be pointed to a command executed at the start of the player's turn
   * replace AI or local player with observer
   * allowed recruiting Ghoul
 * Great War (multiplayer era) changes:
   * White Mage as leader of Alliance of Light
   * Necromancer as leader of Alliance of Darkness
   * removed Wose, Gryphon Rider and Dwarvish Thunderer from Alliance of Light
 * added 'steadfast' ability
 * added automatic path search to [move_unit_fake]
 * fixed Windows compile errors
 * fixed Mac OS X compile error
 * fixed syntax error appearing in the help about units under some translations
 * fixed help about units/abilities/weapon specials not being sorted correctly
 * fixed number of turns in 'The Dark Hordes: A New Chance'
 * fixed editor where nothing was displayed until terrains were rebuilt
 * fixed Elvish Shaman missile image
 * fixed AI sometimes not respecting 'turns' parameter properly
 * fixed bad recruitment in 'The Dark Hordes: A New Chance'
 * fixed Kalenz appearing in 'The Dark Hordes: Underground Pool'
 * fixed call to non-existing macro in 'Heir to the Throne: Valley of Death'
 * fixed lacking ids in the female part of units files (#10065)
 * fixed conflict in terrain-graphics.cfg
 * fixed multi-hex images loading incorrectly when first loaded under an different zoom level than the standard one
 * fixed map labels appearing during story
 * fixed missing #ifdef around config.h inclusion
 * fixed poisoned units not looking poisoned when selected (#10094)
 * fixed unit with 'non-living=yes' attacking a unit with a plague attack, and the unit with the plague attack kills it, a new plague unit will be created (#10049)
 * fixed displaying 'hit t to continue' even when unit has finished movement
 * fixed shroud being revealed at the beginning of movement while sometimes it was revelead at the end of movement (#10046)
 * fixed bad ifdefs in 'The Dark Hordes: Inside the Tower' scenario
 * fixed bugs in menu scrolling
 * fixed {RANDOM} bug in 'The Rise of Wesnoth' scenarios
 * fixed floating labels sometimes not displaying on accelerated mode
 * fixed "drain" not working on final blow (#10038)
 * fixed bad victory conditions in 'The Rise of Wesnoth: The Dragon' scenario
 * fixed some units shadows not being semi-transparent
 * fixed crash bug that could occur after undoing
 * fixed a little bug where a space could disappear near EOL in the help system
 * changes in #ifdefs to prevent the game from using the X11 clipboard on MacOSX
 * reverted sound quality improvement as it caused instability on some systems
 * help system shows everything when wesnoth is running in debug mode
 * added support for 2- and 3-sided transitions on the TERRAIN_ADJACENT_NORTH macro
 * added possiblity for terrains to be defined as 2-layered, with a base part and an overlay part
 * added possibility to flip overlayed image
 * optimized menu scrolling
 * other minor speed optimizations
 * multiplayer file hierarchy cleanup
 * new file hierarchy for portraits
 * changed building static binary to use libtool when available
 * applied BeOS clipboard support patch
 * applied BeOS native settings path support patch

Version 0.8.2:
 * new and improved graphics:
   * canyons
   * signpost
   * grassland
 * improved sound quality
 * improved in-game help
 * new "vi" commands: clear, w, wq, q, debug, n
 * new tutorial
 * scenario balancing for 'Son of the Black Eye' campaign:
   * Black Flag
   * Silent Forest
 * storyline fixes to 'The Eastern Invasion' campaign
 * scenario balancing for 'The Eastern Invasion' campaign:
   * Weldyn Under Attack
   * The Crossing
   * Mal-Ravanals Capital
   * The Arena
 * scenario balancing for 'The Rise of Wesnoth' campaign:
   * Temple of the Deep
   * Lizard Beach
   * Sewer of Southbay
   * A Harrowing Escape
 * unit balancing:
   * Bandit: increased melee damage
   * Dark Adept: increased ranged damage, reduced cost
   * Drake Slave: increased melee damage
   * Drake Worker: increased melee damage
   * Noble Commander: increased hitpoints
   * Noble Fighter: increased hitpoints and melee damage
   * Noble Lord: reduced hitpoints, reduced melee and ranged damage
   * Noble Youth: increased hitpoints, increased movement, increased melee damage
   * Outlaw: reduced hitpoints, reduced number of melee attacks, increased ranged damage
   * Outlaw Princess: reduced hitpoints, reduced experience required to level, reduced number of melee attacks, increased ranged damage, replaced 'ambush' with 'skirmisher'
   * Outlaw Queen: increased hitpoints, replaced 'ambush' with 'skirmisher', reduced number of melee attacks, increased ranged damage and number of ranged attacks
   * Soulless: increased melee damage
   * Thug: increased melee damage and reduced number of attacks
   * Walking Corpse: increased melee damage
 * new units
   * Drake Hatchling
   * Drake Warmage
   * Great Troll
   * Skeletal Dragon
   * Troll Hero
   * Orcish Leader
   * Orcish Sovereign
 * multiplayer improvements:
   * 'Great War' era
   * limit to username length
   * banning for multiplayer server games
 * language fixes and polishing (english)
 * support for multi-animation attacks
 * support for per-scenario configurable village flags, sample black-eyed banner for Son of the Black Eye campaign
 * support for relative {./includes} in WML files
 * added recruit event
 * fixed enemies being on wrong side in 'The Dark Hordes: A New Chance' scenario
 * fixed image::locator not building on MSVC6
 * fixed sending incorrect packet length causing wesnoth and wesnothd to abort
 * fixed a bug where a network user may crash other game abusing recursion
 * fixed a bug where a network user may crash other games using specially crafted packets, reading out-of-bounds data
 * fixed segfault when a [story] background image was not found
 * fixed narrator messages not being displayed sometimes
 * fixed autoconf macro for checking OGG support in SDL_mixer (it depended on private symbols not always included by distributions)
 * fixed markovian name generation not playing well with UTF-8 names
 * fixed map border not getting changed when using [terrain] to change terrain (#9840)
 * fixed extraneous dots path (#9903)
 * fixed shift due to the way coordinates are now interpreted
 * fixed seeing invisible units when they move (#9488)
 * fixed bug with exiting caves in 'The Eastern Invasion: Captured' scenario
 * fixed bugs in 'The Eastern Invasion: Evacuation' scenario
 * fixed holy water in 'Heir to the Throne: Valley of Death' scenario (#9930)
 * fixed problems with cache invalidation
 * fixed file descriptor leak
 * fixed 'gender' not working with move_unit_fake
 * fixed grÃ¼Ã¼ losing experience when joining
 * fixed units moving through water not being submerged while moving
 * terrains tiles are now cut according to the hexagonal shape, to avoid some graphical glitches
 * workaround a SDL_TTF bug that makes it crash when presented an invalid UTF-8 string
 * limited length of schema items in compressed WML to make a DoS attack harder to perform
 * dummy config.h file for platforms where ./configure is not used
 * file hierarchy cleanups

Version 0.8.1:
 * new campaign: The Rise of Wesnoth (17 fully playable scenarios)
 * user interface improvements:
   * new ellipses to indicate unit selection
   * tweaked theme
   * tweaked change video mode dialog
   * return can be used to navigate through help topics and sections in help browser
   * a box is drawn around images in help browser
 * speed scaling for different types of terrains
 * new and improved graphics:
   * lighthouse
   * signpost
   * maps
   * flags
   * mountains
   * grassland
   * desert
   * castle
   * shroud
   * fog of war
   * attack icons and frames
 * new musics: main menu
 * intro for 'The Dark Hordes'
 * new scenarios for 'The Dark Hordes' campaign:
   * Underground Pool
 * new scenarios for 'The Eastern Invasion' campaign:
   * Evacuation
   * Peasant Revolt
   * Approaching Weldyn
   * The Council
   * Weldyn Besieged
   * The Duel
 * scenario balancing for 'The Eastern Invasion' campaign:
   * Captured
   * The Crossing
   * An Elven Alliance
   * The Escape Tunnel
   * Northern Post
   * Training the Ogres
   * Two Paths
   * The Undead Border Patrol
   * Undead Crossing
   * An Unexpected Appearance
   * Weldyn Under Attack
   * Lake Vrug
   * Tribal Warfare
   * The Outpost
 * gave names to Trolls
 * gender support for units
 * increased hitpoints and required XP for Drake Warrior
 * new units
   * Drake Flameheart
   * Fire Dragon
   * Giant Mudcrawler
   * Haldric
   * Mudcrawler
   * Tentacle
   * Female Outlaw
   * Outlaw Princess
   * Outlaw Queen
   * Peasant
   * Soul Shooter
   * Wall Guard
   * Warrior King
 * multiplayer improvements:
   * implemented feature to tell observers when a new player has arrived in the lobby
   * disabled observers from setting labels
   * playername checks, stripping spaces at the end of name
   * limited maximum length of observer messages
   * added server commands: msg, kick, ban, unban, status, metrics
 * language fixes and polishing (english)
 * updated sample translation
 * updated translations:
   * catalan
   * czech
   * french
   * german
   * slovak
   * spanish
   * swedish
 * made it so variables can be used to set the number of turns in a game
 * changed set_flag rather verbose syntax to set_flag=blah,foo,bar
 * added [then] and [else] tags under [object] tags
 * obsoleted [bigmap] tag, in favor of a unified [story] syntax
   * display of background image, text, and title
   * support of [if] [then] [else] functionality (can be nested)
   * support of images overlay
 * switched all scenarios to new [story] syntax
 * added exploder and cutter tools
 * fixed the bug with multiplying help sections
 * fixed the problem where the forward and back button was shown brifly when opening the help browser
 * fixed --disable-debug not working as expected
 * fixed victory condition bug in 'Saving Inarix'
 * fixed problem where the editor would go slower and slower the more it was used
 * fixed a potential problem with a help browser recursive introduction section
 * fixed incorrect #ifdefs in 'Training the Ogres' and 'Weldyn Under Attack'
 * fixed some lacking death declarations
 * fixed bug where tooltips could be left behind after 'load game' dialog
 * fixed bug where themes with multiple resolution specifiers could be displayed incorrectly
 * fixed missing [removeitem] for Delfador's staff
 * fixed bug where multiplayer games that disallowed observers didn't work properly
 * fixed items not removed after being picked up
 * fixed victory conditions in 'The Siege of Barag Gor'
 * fixed attack animation not being complete
 * fixed absence of animation when units without attack frame perform attack
 * fixed obsolete Heavy Infantry unit still used in multiplayer
 * fixed colour cursor not reappearing on some window-managers when the user re-enters a Wesnoth window
 * fixed duplicate units: Cavalry, Cavalryman, Scout
 * fixed 'layers' not working as intended in built terrains
 * fixed terrain glitches, added a default base-terrain
 * fixed graphic glitches
 * fixed macro errors
 * fixed edges of the map not getting cleared of shroud and fog of war
 * fixed unit description on sidebar not getting updated when cycling units with 'n' (#8798)
 * fixed segfault in display.hpp
 * fixed dismissing unit from recall list not refreshing preview
 * fixed show_enemy_moves showing moves for petrified units (#9290)
 * fixed [not] tag not working properly
 * fixed bug where clicking a menu item could generate multiple events
 * fixed duplicate battleworld.cfg
 * fixed bug in WML with using value instead of equals in [if] (#9398)
 * fixed visual glitches caused by copy-paste
 * fixed bug in intro which segfaulted when no "file" attribute in [image] tag
 * small fixes to unit display in help browser
 * pngcrushed images
 * gettext implementation preparations
 * moved deaths.cfg from data/ to data/scenarios/Heir_To_The_Throne/
 * moved items to their own hierarchy: images/items/
 * adding a limit to number of characters in a textbox
 * adding a maximal line width for text to be drawn, to circumvent a SDL / SDL_ttf bug
 * implemented relative directory support
 * cleaned a bit the textbox code
 * refactoring of all animation code in unit_display and halo
 * added animated.hpp, and the animated<T> template
 * added proper support for animated time-of-day alternative images
 * added support for animated terrain images
 * added support for animated flags on villages
 * cleaned the terrain-graphics.cfg - terrain graphics rule precedence is now depracated, use terrain layers
 * reverted castle tiles not being expanded to the border
 * replacing all SDL_Surface*, and scoped_sdl_surface, with shared_sdl_surface, which was renamed surface
 * partial rewrite of image.?pp for speed: looking up images was what was slowing the game
 * inlining some stuff for performance reasons
 * optimizing halo movement when unit moves
 * optimizing invalide_all redraws
 * concentrate all version and server changes for release-time on top of configure.ac
 * improved making binary packages
 * removed an obsolete feature in terrain graphics engine that was never used
 * removing commented-out obsolete code in display.cpp
 * code cleanups

Version 0.8:
 * added Drake flying animations
 * reduced experience needed to advance for Drake Burner and Drake Fighter
 * increased experience needed to advance for Drake Clasher
 * new units
   * Drake Slasher
 * new translations:
   * czech
 * multiplayer improvements:
   * balanced 'Battle for Weslin Bridge' map
   * added Drakes to 'Age of Heroes' era
 * updated translations:
   * french
   * hungarian
   * italian
   * slovak
 * fixed graphic glitches on forest and cave tiles
 * fixed some name typos in Tutorial
 * fixed editor theme

Version 0.7.11:
 * various help browser improvements
 * user interface improvements
 * improved clipboard functions and support for X11
 * scenario balancing for 'Heir to the Throne' campaign:
   * The Scepter of Fire
   * A Choice Must Be Made
   * The Elven Council
   * Home of the North Elves
   * Swamp of Dread
   * The Valley of Statues
 * multiplayer improvements:
   * chat log
   * allowed spaces in usernames
   * new map: Battle for Weslin Bridge
   * new map: Forest of Fear
   * new map: Castles
 * translation updates:
   * hungarian
 * made The Eastern Invasion campaign translatable
 * added icons for preferences and multiplayer dialogs
 * fixed crash when loading an empty map
 * fixed transition problems with forests
 * fixed wesnothd crashes
 * fixed underlining bug
 * fixed bugs where some objects were not working properly
 * fixed human village not fitting within the mask
 * fixed clashing msg ids
 * fixed isolated keeps having void graphics
 * fixed tile overlays not displaying in grey if the tile is out of range of the selected unit's movement
 * fixed bugs with roles not working properly
 * fixed coherence of usage for elves:
   * Archer, Marksman, Sharpshooter -> archer
   * Ranger, Avenger -> mixed fighter
   * Hero, Captain, Champion, Marshal -> fighter
 * non-editable multi-line textboxes can have areas of text highlighted (and thus copied and pasted)
 * support for defensive animations
 * tweaks to terrain graphic ordering
 * added engine support for max-level units advancing further
 * code refactoring

Version 0.7.10:
 * help browser, hotkey is <F1>
 * new tabbed preferences dialog
 * basic clipboard functionality, does not yet work on all platforms
 * improved and added new graphics: unit animations, healing animations, tent, forest
 * traits removed from treefolk (Woses)
 * treefolk piercing, impact and cold resistance increased
 * Wose renamed to Elder Wose, Sapling Wose renamed to Wose
 * Wose hitpoints and melee damage increased
 * reduced cost for Drake Burner, Drake Fighter, Drake Mage and Drake Slave
 * new units
   * Drake Beak
   * Drake Worker
   * Dwarvish Ulfserker
   * Fire Drake
   * Gryphon Master
   * Lancer
 * scenario balancing for 'Heir to the Throne' campaign:
   * Dwarven Doors
   * Mountain Pass
   * Plunging Into the Darkness
 * new scenario for 'The Dark Hordes' campaign:
   * Confrontation
 * scenario balancing for 'The Dark Hordes' campaign:
   * Brother Against Brother
   * Crelanus Book
   * Inside the Tower
   * Mages and Elves
   * The Skull of Agarash
 * new scenario for 'Son of the Black Eye' campaign:
   * Clash of Armies
 * multiplayer improvements
   * added Drakes to Wesbowl
   * added Drakes to 'Classic' era
 * AI improvements
   * made AI attack when getting ambushed
 * language fixes and polishing (english)
 * translation updates:
   * catalan
   * dutch
   * german
   * italian
   * spanish
 * editor improvements:
   * added some command line flags, such as --datadir
 * enabled alternate castle/keep tiles: encampment
 * gate "unit" (stripped from The Eastern Invasion/Captured scenario)
 * [binary_path] WML element which allows specification of a path where binary files may appear
 * made WML {inclusion} non-recursive
 * fixed segfault when filtering units at invalid locations
 * fixed SDL version checking bug in Mac OS X
 * fixed color selection in multiplayer not working
 * fixed bug where underlying widgets could 'show through' the load dialog
 * fixed load dialog eating lots of processing power
 * fixed assertion failure/infinite loop in AI logic
 * fixed bug in WML
 * fixed segfault
 * fixed bug in generating random maps
 * fixed wesnothd crashing due SIGPIPE
 * disabled some font settings to work around bug in SDL_ttf
 * added CASTLE_AND_SIMPLE_KEEP macro, where the keep is composed of only a unique tile with walls
 * added BUILDING_ macros to add houses, tents etc. over other terrains
 * added CASTLE_FLOOR macro
 * transitions may be now specified between a terrain and another one (in terrain-graphics.cfg)
 * enabled castle-to-forest transitions for encampments
 * relocated 'Heir to the Throne' maps in they own subdir, and gave them an explicit names
 * relocated 'Son of the Black Eye' maps in they own subdir, and gave them an explicit names
 * relocated 'The Dark Hordes' maps in they own subdir, and gave them an explicit names
 * relocated multiplayer maps in they own subdir, and gave them an explicit names
 * relocated tutorial maps in they own subdir, and gave them an explicit names
 * added dir for user created campaigns
 * added basic statistics output to wesnothd
 * changed HttT maps to use encampments
 * removed unused maps
 * libpng checks for configure
 * changed the RGB to Grayscale function to use a more correct formula

Version 0.7.9:
 * new campaign: The Eastern Invasion (Loyalists, 15 scenarios)
 * compiling requires SDL version >= 1.2.7
 * user interface improvements:
   * tip of the day
   * added new help strings
   * new attack dialog
   * new load game dialog
   * made 'end turn for active unit' (pressing <space>) recoverable
   * in game load game: menu -> load game
   * gamma correction
   * skip AI moves option
   * show haloing effects option
   * resized some dialogs
 * improved and added new graphics: units, attacks animations, healing animations, attack icons, encampment, castle, haloes
 * scenario balancing for 'Heir to the Throne' campaign:
   * Elves Besieged
   * Isle of Anduin
   * The Siege of Elensefar
   * Crossroads
   * Valley of Death
   * Ford of Abezz
   * Dwarven Doors
   * Northern Winter
   * Valley of Statues
 * new units
   * Cavalier
   * Drake Burner
   * Drake Clasher
   * Drake Fighter
   * Drake Guard
   * Drake Mage
   * Drake Petit
   * Drake Slave
   * Drake Warrior
   * Dwarvish Dragonguard
   * Dwarvish Runemaster
   * Sergeant
   * Silver Mage
   * Vampire Lady
   * Young Ogre
 * removed Dark Apprentice, Evil Necromancer and Soldier as they are no longer used (replaced by Initiate, Deathmaster and Spearman)
 * Yeti's race changed to monster
 * nenamed 'Cavalry' to 'Cavalryman'
 * renamed 'Goblin Direwolver' to 'Direwolf Rider'
 * renamed 'Heavy Infantry' to 'Heavy Infantryman'
 * renamed 'Orcish Crossbow' to 'Orcish Crossbowman'
 * unit balancing:
   * Ancient Wose: increased cost
   * Ancient Lich: reduced hitpoints, reduced ranged damage
   * Arch Mage: reduced hitpoints, reduced ranged damage, removed teleport ability
   * Battle Princess: reduced melee damage
   * Deathmaster: reduced ranged damage
   * Death Knight: reduced melee damage
   * Demilich: reduced ranged damage
   * Dwarvish Berserker: reduced cost
   * Dwarvish Lord: reduced melee damage
   * Dwarvish Steelclad: increased cost
   * Elder Mage: reduced hitpoints, increased cost
   * Elvish Avenger: reduced number of melee attacks
   * Elvish Champion: reduced melee damage
   * Elvish Lord: reduced melee damage
   * Elvish Marshal: reduced melee damage, reduced number of ranged attacks
   * Direwolf Rider: increased melee damage, reduced number of melee attacks
   * Great Mage: reduced melee damage, reduced ranged damage, removed teleport ability
   * Halbardier: reduced melee damages, gave 'first strike' ability
   * Heavy Infantry: reduced melee damage
   * Initiate: reduced ranged damage
   * Iron Mauler: reduced melee damage
   * Lord: reduced melee damage
   * Mage of Light: reduced ranged damage
   * Master Bowman: reduced ranged damage
   * Orcish Warlord: reduced melee damage
   * Pikeman: reduced melee damage, gave 'first strike' ability
   * Princess: reduced melee damage
   * Rogue: increased melee damage
   * Royal Guard: reduced melee damage
   * Shock Trooper: reduced melee damage
   * Spearman: reduced ranged damage, gave 'first strike' ability
   * Wose: increased cost
 * language fixes and polishing (english)
 * translation updates:
   * dutch
   * french
 * multiplayer improvements:
   * balanced 'King of the Hill' map
   * improved village naming
 * AI improvements
   * added new AI parameters
   * various AI improvements
 * editor improvements:
   * new brush image, file chooser folder image
   * changed menu names to 'file' and 'edit'
   * delete file button in file chooser
   * two terrains may now be selected in the palette, one is used for filling when moving selections and cutting/pasting and will be used when drawing with the right button
   * removed context menu, function of the left button is chosen in the right panel and operations that do not need a location to work are chosen from an additional menu
   * added a new level of brightened images
   * support for translations
   * fixed proper checks for validity not being done when loading or reverting a map
   * fixed mouse wheel and middle-click not working as within the game when used on map area
   * fixed BeOS crash in map editor
   * fixed the problem where the same sequence of random maps was generated
   * fixed a problem where the hotkeys from the game would appear in the editor
   * fixed a problem where the selected terrain and brush size was not remembered through operations that affected the whole map, such as flip and resize
   * fixed a problem where the palettes in the editor would not refresh correctly after the windows was resized
   * fixed editor handing different color depths incorrectly
 * new item: trapdoor
 * continue_no_save feature
 * added WML feature to append an element to another using [+element] syntax
 * made userdata/data/utils loaded in early in game.cfg to allow scenario designers to define utility files
 * names for Nagas
 * fixed multiline text box not wrapping lines at word boundaries
 * fixed loading/saving of multiplayer games that have a double-quote (") in the chat text
 * fixed spaces following non-ASCII characters disappearing in intro (#9163)
 * fixed clashing IDs in 'Blackwater Port'
 * fixed a bug where alpha disappeared from multi-hex .png files on loading sub-tiles
 * fixed terrain not updating correctly when dynamicly changed via the WML [terrain] event (#9237)
 * fixed the "random probability" in "terrain-graphics" rules not being random enough
 * fixed builder code failing when asked for hexed outside the map (#9168)
 * fixed crash when undoing moves
 * fixed incorrect positioning of haloes
 * fixed crash in wesnothd
 * made intro.cpp use the unicode routines in language.cpp to split UTF-8 sequences in character
 * added support for animated on-map items
 * added support for different colour depths
 * added a cut_surface function in sdl_utils, that extracts a surface "subset" from another surface
 * improved terrain transition code
 * updated terrain-graphics.cfg file to use modules in sub-directory to reduce bloat in the main file
 * terrain builder code optimizations
 * added macros so that keep graphics are now selected according to the adjacent castle tiles
 * added XCF source files and some tools for castle building, these can be found in tools/
 * moved weapon icons to their own hierarchy: images/attacks/
 * moved projectiles/missiles to their own hierarchy: images/projectiles/
 * increased the horizontal padding of button widgets when having a label that is wider than the minimum width
 * added a trigger to the test map, when activated Orc leader can recruit
 * decreased size of saved games by removing some unnecessary information
 * converted all scenarios to new AI syntax
 * removed unnecessary diagnostic

Version 0.7.8:
 * changed experience gauge, it is now shown next to hitpoints bar
 * search works with coordinates, use it like: /30,15
 * weapon type's tooltip shows its effectiveness against all known enemies on the battlefield
 * improved and added new character portraits, unit images, attack icons, missile images, fog and shroud images
 * halo effects
 * new sounds
 * enhanced blade, impact and cold resistance for Cavalry and Dragoon
 * scenario balancing for 'Heir to the Throne' campaign:
   * Crossroads
   * Valley of Death
 * scenario balancing for 'The Dark Hordes' campaign:
   * A New Chance
 * scenario balancing for 'Son of the Black Eye' campaign:
   * Shan Taum the Smug
 * multiplayer improvements
   * added 'share maps' option
   * alt-m to chat public
   * shift-m to chat with allies
   * showing basic game settings
   * random map option to build road between castles
   * improved random map generator speed
   * naming of villages and terrain features on random maps
   * user written maps can be easily loaded as scenarios in multiplayer
   * added facility to play maps in multiplayer that don't have scenario data specified for them
   * lobby sound effects for new messages, players joining and departing lobby
   * in game creation player slots are now occupied by 'computer player' as default
   * empty player slots, allowing empty castles
 * editor improvements:
   * added flipping
   * starting positions now move as they should through copy/paste and click-and-drag
   * random map generator settings are now saved through generations
   * fixed labels on map being visible through certain dialogs
   * cleaned up editor theme
 * translation updates:
   * french
   * polish
   * spanish
 * AI improvements
   * improved grouping
   * made grouping behaviour configurable
   * added defensive grouping
 * fixed crash when generating a map with 0 villages
 * fixed map (shroud) and statistics sharing not working between allies
 * fixed AI getting stuck and never finish making its move
 * fixed units in swamp villages being submerged
 * fixed resizing and changing video modes not working  while in lobby
 * fixed hotkeys not working while in lobby
 * fixed saving being impossible when save games have accented characters on MacOSX
 * fixed segfault in random map generation
 * fixed Out of Sync bugs
 * fixed bug where pressing 'n' while a unit is attacking would transfer damage to another unit
 * fixed entering a chat message while the message is selected would keep the area selected, and cause a crash upon next keypress (#9114)
 * fixed chat messages being dropped
 * fixed text ellipsis (triple dot being added after too long text) not being UTF-8-aware
 * fixed invalid UTF-8 sequences being generated by wstring_to_utf8, causing display bugs with some accented characters on some platforms
 * fixed word_wrap_text not being UTF-8 aware
 * ignore unicode value of cursor-moving keys in text boxes (arrow keys, home, end); so they do not cause problems in platforms where SDL puts one (that is: MacOSX)
 * removed alpha keyword from unit data, changed image files to have it
 * added font::make_text_ellipsis function, that works like word_wrap_text, but instead adds ellipsis on too long text
 * changed portable_isspace() so it only returns true on ASCII spaces
 * including a directory in WML will recurse into subdirs
 * WML support for '~' notation to include files in ~/.wesnoth/data
 * support for different images for unit movement
 * weslang, to help translation updates
 * added file choose widget
 * small changes to package description in Slacknoth
 * removed unnecessary voluminous diagnostics
 * code refactoring

Version 0.7.7:
 * added 'search' action which goes through labels and unit names, hotkey is '/'
 * added 'continue move' action, hotkey is 't'
 * made game more responsive when AI or another player is playing
 * 'end of turn' sanity check
 * added experience gauge, meld with hit points gauge
 * support different resolutions for 'fullscreen' and 'windowed'
 * various UI cleanups
 * added and improved village images, hill images, unit images, healing images
 * resized ellipses and made them float on top of water when unit is partially submerged
 * General melee damage increased
 * Elvish Outrider made 3rd level unit, increased hitpoins and ranged attack damage
 * Goblin Pillager melee damage increased
 * renamed Lizardman to Saurian
 * regeneration replaced with skirmish for Saurians
 * new units:
   * Elvish Rider
   * Saurian Warrior
   * Necrophage
 * new scenario for 'Son of the Black Eye' campaign:
   * Saving Inarix
 * new scenario for 'The Dark Hordes' campaign:
   * A New Chance
 * scenario balancing for 'Heir to the Throne' campaign:
   * Bay of Pearls
   * Blackwater Port
   * Isle of Anduin
   * Isle of the Damned
   * Muff Malal's Peninsula
   * Princess of Wesnoth
 * scenario balancing for 'Son of the Black Eye' campaign:
   * Towards Mountains of Haag
   * To The Harbour of Tirigaz
   * Black Flag
   * Desert of Death
   * End of Peace
   * Silent Forest
   * The Siege of Barag Gor
 * translation updates:
   * french
   * spanish
 * AI improvements
   * fighting with leader
   * teached AI that all keeps can be used for recruiting, not just his home keep
   * share castle with allies, make room for ally leader to recruit
   * various improvements to make AI smarter
   * added recruitment_ignore_bad_movement option
   * added recruitment_ignore_bad_combat option
 * multiplayer improvements
   * Wesbowl
   * King of the Hill
   * added scrolling and wrapping support for chat in lobby
   * shared vision option
   * made village placement fairer in random map generation
   * game setup improvements
   * random maps have now less forest
 * editor improvements:
   * added map resizing
   * added revert from disk functionality
   * selection of terrain is kept through undo and redo operations
   * preferences dialog
   * setting and removal of starting positions are now undoable operations
   * fixed name of the currently selected terrain not being displayed
   * fixed compile problems on some architectures
   * code cleanups
 * implemented multi-hex tiles
 * implemented 'not' tags in WML unit filters
 * fixed 'show enemy moves' and 'best possible enemy moves' showing in context menu when no enemies visible
 * fixed resizing window in the title screen not working properly
 * fixed basic hotkeys not working in title screen
 * fixed terrain type and position problems with 800x600 resolution
 * fixed game creator not getting ally messages
 * fixed font redrawing for the font used in the slovak and polish translations
 * fixed typos in 'Shan Taum the Smug' that caused scenario to have only two turns
 * fixed crashes when units with invalid sides appear, by rejecting such invalide sides in the unit's constructor
 * fixed bug where 'cancel' button would appear under multiplayer games
 * fixed preferences widgets disappearing when changing video mode
 * fixed tooltips from game setup appearing in-game
 * fixed hotkey not updating immidiately in the hotkeys dialog when changed
 * fixed assertion failure in playturn.cpp
 * fixed deleting units from recall list not updating unit preview pane
 * changed all WML files to UTF-8, code now assumes all WML files being UTF-8
 * made input of search strings and messages use a textbox that overlays the map, which allows these operations to be performed asynchronously
 * added caching of data files to speed game loading
 * added a "fire_event" in [kill] tags that allow die events to be processed if specified
 * re-ordered attacks: short range attacks are now always before long range attack on all units
 * removed old castle images
 * wesnoth_zip

Version 0.7.6:
 * added and improved unit images, leadership and healing images
 * added testing mode to move units on fog/shroud maps without updating the fog/shroud
 * lobby logo updated
 * new dialogs
 * increased Wose defense in woods
 * increased Dwarf defense in castle
 * scenario balancing for 'Heir to the Throne' campaign:
   * Test of the Clans
 * multiplayer improvements:
   * made observers see perspective of active player
   * allowed observers to talk
   * game creator can chat while setting up game
   * players can chat with other game members when waiting for game to start
   * random faction
 * editor improvements:
   * allowed setting start pos for player 0
   * load map and new map menu items and hotkeys added
   * flood fill functionality added
   * different brush sizes added
   * new map and load map added, editor now starts with an empty map
   * save as functionality added
   * speed improvements: palette is only redrawn when needed
   * showing coordinates and terrain type of the hex on mouse over
   * start positions of players are now displayed as labels on the map
   * painting something on top of starting position now removes that starting position
   * cancel in new map dialog confirmation returns to dialog instead of map
   * added ability to mark tiles and fill marked tiles with selected terrain
   * cut and paste of marked terrain is now possible
   * drag and drop of marked terrain added
   * fixed tiles on the border of the map updating incorrectly when nearby tiles are drawn
   * fixed a bug where odd number of terrains where not drawn correctly in the palette
   * fixed dynamically generated terrain not showing correctly
   * fixed filename being not correctly remembered on load and save as
   * code cleanups and refactoring
 * added [store_unit], [unstore_unit], [while], [store_starting_location], [store_locations] and [store_gold] tags to WML
 * added idle AI
 * added image_healing' and 'image_leading' animation code
 * added floating labels to indicate healing/poisoning of units
 * added ability to highlight several hexes
 * added support for action images
 * changed toggleable menu items use the checkbox graphics
 * fixed Li'sar dying in Hasty Alliance not resulting in a loss
 * fixed game creator being able to click [I'm Ready] before all networked players have joined when loading game from save
 * fixed first player gold reset to 100 in multiplayer games when starting gold set less than 100
 * fixed character's name overlapping their profile when they speak
 * fixed teleporting units not clearing shroud/fow when they teleport
 * fixed Orcish Ruler movetype not being orcishfoot
 * fixed non-interactive mode not working with eras
 * fixed units moving slowly
 * fixed opening sequence in 'Isle of Anduin'
 * fixed cycling units not showing attack options
 * fixed units with drain not getting more than the max hitpoints
 * fixed Battle Princess not being able to get Scepter
 * fixed "invalid font characters" for slovak translation by adding 'font=Bepa-Roman.ttf', translators should ensure this line is preserved when upgrading translations
 * fixed support for UTF-8 languages on text-boxes
 * fixed wesnoth.desktop (FreeDesktop shortcut definition file), which did contain invalid UTF-8 sequences
 * fixed experience modifier not working correctly when loading saved multiplayer game
 * fixed pressing escape key not closing dialogs which had only 'ok' button
 * fixed observers getting victory/defeat message at the end of the game
 * fixed statistics not working correctly when loading with replay
 * fixed screen menu flickering when dialog is cancelled
 * fixed negative numbers not displaying minus in front of them
 * fixed bug (u$win only) which caused defeat at the end of Valley of Death, even when you should have been victorious
 * fix to preprocessor
 * fixed some compile warnings
 * various improvements to wesnothd
 * relocated 'Heir to the Throne' scenarios to data/scenarios/Heir_To_The_Throne/
 * relocated 'The Dark Hordes' scenarios to data/scenarios/The_Dark_Hordes/
 * added ability to remove tiles from the border cache
 * added definitions of new pure virtual methods in hotkey.hpp
 * added wstring_to_string and string_to_wstring routines in language.cpp, which convert strings according to the current charset()
 * added toggleable action support to hotkey.[c|h]pp & playturn.[c|h]pp
 * added code to wesnothd to prevent spoofing of messages
 * added code to wesnothd to stop malicious observer clients issuing commands for players
 * converted hex calculations to fixed point instead of floating point
 * changed hex size to 72x72, converted images
 * added -fno-omit-frame-pointer to autotools to prevent possible crashes due gcc bug
 * added -fno-omit-frame-pointer to slacknoth script
 * added KDevelop 3.x project file for Wesnoth

Version 0.7.5
 * many map editor improvements
 * changed 'dark gray' player colour to 'orange'
 * scenario balancing for 'Son of the Black Eye' campaign:
   * Shan Taum the Smug
 * enabled accented characters in textboxes for LATIN-1 charset
 * made it impossible to label shrouded hexes
 * fixed OGG checks in --enable-lite
 * fixed clicking to the right of a character in a textbox causing segfault
 * fixed crash when pressing 'escape' in 'advance unit' dialog
 * moved scorpionfoot movetype to game.cfg
 * added unhandled exception code

Version 0.7.4:
 * added and improved unit images and castle images
 * changed day/night hueing to make them more attractive
 * reduced Dwarvish Fighter hitpoints to 36
 * reduced Dwarvish Lord hitpoints to 75 and changed ranged attack to 10-2
 * increased Dwarvish Steelclad hitpoints to 50 and melee attack to 11-3
 * new units:
   * Lizardman
 * AI improvements
   * fixed AI attacking from silly places
   * improved AI recruiting, decisions are now based on terrain and enemy unit structure
   * trained AI to take advantage of backstab
 * multiplayer improvements:
   * added Lieutenant to Loyalists in Age of Heroes era
   * 9 player support in random map generator
   * unlimited turns
 * translation updates:
   * catalan
   * french
   * italian
 * scenario balancing for 'Son of the Black Eye' campaign:
   * Desert of Death
 * made scrollbars faster by avoiding unnecessary redraws
 * added HOME and END keys support in textboxes
 * added selecting text on textboxes using keyboard or mouse
 * implemented mid-scenario changing of some side detail(s)
 * attack and defence weighting improvements
 * improved macros handling arguments with space
 * added attack_weight and defense_weight in [attack] tags so that
   units can choose a different weapon upon attack or defense
 * [have_unit] can now use a location filter
 * fixed victory_when_enemies_defeated attribute wasn't serialized properly
 * fixed statistics showing incorrectly on all but scenario 1
 * fixed infliced damage labels being not always displayed
 * fixed strange name-endings in name generator
 * fixed bug where Scepter of Fire scenario is loaded instead of scenarios after the Scepter of Fire
 * fixed Scepter of Fire being winnable by killing all enemies, now you need to get the scepter
 * fixed messages and options not found by make_translation (#7415)
 * fixed keeps located on the border of the screen having broken graphics
 * fixed bug in Desert of Death scenario
 * fixed textbox-content slow to update when it was larger than the textbox size
 * fixed editor handing keys improperly
 * fixed zooming messing up labels
 * fixed bug that caused crash in [kill] event
 * fixed alignments not being atomic strings
 * fixed networking bug
 * added fixes for OSX from Sithrandel
 * added configure --enable-lite
 * minor modifications to slacknoth
 * reverted editor indentation to BSD style
 * added checking of return values in constructors
 * code refactoring: simplified the 'display' module
 * code cleanups

Version 0.7.3:
 * added undoing recall
 * improved context menu
 * added and improved unit images, castle images and attack icons
 * added berserk attack ability and gave it to Dwarvish Berserker
 * Dark Adept ranged attack made stronger and cold resistance improved
 * Footpad made a bit easier to advance, faster movement, melee and ranged attack made stronger
 * Outlaw given faster movement
 * Orcish Ruler attack changed to sword, race changed to orc
 * Walking Corpse made a bit easier to advance
 * Goblin Knight experience needed to advance decreased to 150
 * new units:
   * Dwarvish Thunderguard
   * Iron Mauler
   * Soulless
   * Wose Sapling
   * Wose
   * Ancient Wose
 * new scenarios for 'Heir to the Throne' campaign:
   * Test of the Clans
 * scenario balancing for 'Heir to the Throne' campaign:
   * Dwarven Doors
 * scenario balancing for 'Son of the Black Eye' campaign:
   * Toward Mountains of Haag
   * Silent Forest
 * multiplayer enhancements:
   * added "private" messaging between allies
   * improvements to chat system
   * added experience multiplier slider in game creation
   * added eras in game creation
 * language fixes and polishing (english)
 * new translations:
   * catalan
 * updated translations:
   * polish
   * slovak
   * spanish
 * added ability to define 'time of day' for areas
 * added treefolk movetype
 * added terrain multiple aliases
 * allow multiple sides (comma separared) to be specified in unit filters
 * [have_unit] now honors location
 * new time of day image masks which get laid over hexes when it's that time of day
 * fixed on-map labels not printing black on light coloured terrains
 * fixed ellipses not fading when a unit dies
 * fixed bug where if the host changed their name, it would show that name to users connecting to the game
 * fixed bug in lobby where top-left of screen would not be drawn properly
 * fixed bug with AI not getting villages
 * fixed some compiler warnings
 * fixed Dwarvish Berserker and Yeti using blunt attack type, which does not exist
 * fixed Mage of Light aura slowing the game
 * fixed bugs with tooltips
 * fixed network bug
 * minor autotools fixes
 * autotools basic support for static building
 * added autotools configure checks for signed char
 * slacknoth improvements
 * added recovering connections framework to network protocol

Version 0.7.2:
 * show possible enemy moves view (context menu -> show possible enemy moves)
 * added and improved unit images
 * new unit side ellipses
 * scenario balancing for 'Heir to the Throne' campaign:
   * Dwarven Doors
   * Muff Malal's
 * Dwarvish Berserker attack made stronger
 * multiplayer enhancements:
   * improved multiplayer chat system
 * language fixes and polishing (english)
 * updated translations:
   * french
 * fixed attack miscalculation for offensive units which ignored time of day
 * fixed typo in Toward Mountains of Haag
 * fixed many 'end of line' warnings
 * fixed active player not receiveing labels and messages immidiately while it was his/her turn
 * fixed networking problems which caused out-of-syncs
 * made mountains 'dark terrain'
 * made on-map labels disappear on end of level
 * reports handle multiple images & strings per report each with their own tooltips
 * added diagnostics to help tracking out-of-sync errors
 * added network diagnostics
 * autotools clean up
 * renamed wesnoth.png to wesnoth-icon.png

Version 0.7.1:
 * changed damage calculations to use additive percentage calculations
 * resting stacks with heal and cure
 * 'Sword of Fire' changed melee weapon with fire damage
 * made the game more interactive during the AI's turn
 * added and improved unit images, missile images and attack icons
 * merman and swamp villages, ice terrain, dirt and swamp transitions, trash heap (minor terrain item)
 * new fog of war images
 * underground daytime images
 * fading effect between daytime changes
 * attack stat tooltips
 * user interface polishing
 * support for cursors
 * on map floating labels ('set label' in context menu)
 * floating text for damage inflicted and status effects
 * shortcut keys are displayed next to menu items
 * undo, redo and next unit added to context menu
 * added deleting saved games
 * added deleting units from recall list
 * added fight calculations
 * added in-game statistics
 * new scenarios for 'Heir to the Throne' campaign:
   * Return to Wesnoth
   * Valley of Statues
 * scenario balancing for 'Heir to the Throne' campaign:
   * Blackwater Port
   * Hasty Alliance
   * Scepter of Fire
 * new campaign 'Son of the Black Eye' (orcs):
   * End of Peace
   * Toward Mountains of Haag
   * The Siege of Barag Gor
   * To the harbour of Tirigaz
   * Black Flag
   * Desert of Death
   * Silent Forest
   * Shan Taum the Smug
 * General melee attack number of strikes increased by one
 * Princess (Li'Sar) changed to 2nd level unit
 * Youth (Konrad) changed to level 0 unit
 * reduced Sleeping Gryphon's number of attacks to same with Gryphon
 * improved swimmer (Merman, Naga, etc) movement on swamp, grassland, sand and tundra
 * new units:
   * Battle Princess
   * Cockatrice
   * Giant Scorpion
   * Goblin Direwolver
   * Grand Knight
   * Orcish Shaman
   * Yeti
 * new special units:
   * Orcish Ruler (hero in the Son of the Black Eye campaign)
   * Pirate Galleon
   * Transport Galleon
   * Watch Tower
 * multiplayer enhancements:
   * random map generator enhanced
   * village number slider in random map generation is now proportional
   * users in lobby can see minimap of non-shroud games being played
   * number of available positions in a game is shown in the lobby
   * current turn of a game underway is shown in the lobby
   * eye of the observer
 * translations can specify font to use
 * added Bepa-Roman.ttf which has cyrillic characters
 * updated translations:
   * danish
   * hungarian
   * portuguese-brazilian
   * slovak
 * defenders will choose their weapons more intelligently
 * de-elvished Gryphon Rider description and set race to human
 * fixed Cave Spider ranged attack to have slow specialty
 * fixed minor glitch in tutorial id messages
 * fixed random map generator creating invalid small maps
 * fixed result=continue showing victory message
 * fixed units not getting resting if they ended turn with space
 * fixed enemies getting healed after loading, resting serialized in unit
 * fixed Merman Lord -> Triton in some scenarios
 * fixed allow/deny observers being not respected in multiplayer game creation
 * fixed multiplayer replays not working
 * fixed random map generator retain the 'number of players' setting
 * fixed PNG and OGG checking bugs in configure for MacOSX and Windows (with cygwin)
 * fixed crash on empty maps
 * fixed problem with units having movement reset
 * fixed 'right column inaccessible' bug
 * fixed "X_ShmPutImage" crash on GNU/Linux
 * made it less likely for castles to appear in the sea on randomly generated maps
 * improved network protocol (breaks backward compatibility)
 * added optimization to make the game load faster for people using the default english locale
 * slacknoth now ignores an insignificant makefile error

Version 0.7:
 * added new sounds, unit images and attack icons
 * polished unit descriptions for recently added units
 * old tutorial strings removed
 * fixed Lieutenant -> General advancement path
 * fixed multiplayer out of sync bugs
 * fixed swedish

Version 0.6.99.5:
 * many of the unit images were drawn using a SNES game graphics as basis: all images which we thought might be considered as derived work have been redrawn
 * theme update, scrollbars
 * added new sounds, unit images and attack icons
 * invisibility "wears off" when enemy unit comes adjacent (#6879)
 * allowed swimming units to move slowly on hills
 * resting restores 2 hitpoints
 * scenario balancing for 'Heir to the Throne' campaign:
   * Gryphon Mountain
   * Northern Winter
   * Swamp of Dread
 * undead campaign updates and new scenarios:
   * Brother Against Brother
   * The Skull of Agarash
   * Mages and Elves
   * Inside the Tower
   * Crenalu's Book
 * new units:
   * Bowman
   * Longbowman
   * Master Bowman
   * Footpad
   * Trapper
   * Spectre
   * Initiate
   * Dark Spirit
   * Deathmaster
   * Demilich
   * Nightgaunt
 * Elvish Archer and Swordsman made more powerful
 * Elvish Marksman, Elvish Sharpshooter and Orcish Archer ranged attack improved
 * Gryphon, Evil Necromancer, Lich and Ancient Lich made weaker
 * Dark Apprentice advances to Deathmaster
 * Evil Necromancer advances to Demilich
 * Lich does not advance to Ancient Lich anymore
 * removed Gryphon Rider from Rebels and gave it to Knalgan Alliance
 * language fixes and polishing (english)
 * new translations:
   * finnish
   * portuguese-brazilian
   * slovak
 * updated translations:
   * brazilian
   * danish
   * french
   * hungarian
   * norwegian
   * swedish
   * spanish
   * french
 * added ctrl+P as hotkey for 'Preferences'
 * campaigns can customize difficulty level icons
 * mage of light lights up hexes around him
 * fixed many image transparency glitches (caused by recent alpha channel implementation)
 * fixed teleporting displaying incorrectly where unit can move
 * fixed Konrad dying in Siege of Elensefar not ending the game immediately
 * fixed AI bug with skirmishers (#8041)
 * fixed crash when you press escape when a menu is displayed (#7863)
 * fixed unit descriptions leaking thru fog of war (#7843)
 * fixed bug where units would regain hitpoints after reloading the game (#7842)
 * fixed slow down right before a unit arrives at its destination hex, due to redrawing of the minimap
 * fixed ghosted usernames on server (#7655)
 * fixed focus not returning Konrad on new turn (#7188)
 * fixed wrapping of text in opening sequence (#7878)
 * fixed bug where on large maps, the cursor wouldn't point at the correct hex toward the eastern side of the map
 * fixed scroll speeds being set to insane values
 * fixed bug where AI could see potential movement of invisible enemy units
 * fixed bug where Blackwater Port was easier than it was meant to be on 'normal' level
 * fixed crash in maps with fog of war
 * fixed transparency issues in dwarven doors graphic
 * fixed issue with escape button skipping past messages where the user must make a choice
 * fixed bug where shroud wasn't saved/loaded properly (#7922)
 * fixed tutorial id
 * added random to set_variable
 * added victory_when_enemies_defeated
 * made it easier for different AI algorithms to be added
 * added Doxygen documentation to ai_interface
 * autotools fix: 'make uninstall' removes data directories if they are empty
 * slacknoth script does a 'make clean' before compiling source, strips binaries and adds package info
 * refactored widget class
 * removed some debug cerrs
 * added VC++6 project files to CVS

Version 0.6.99.4:
 * added alpha channel
 * new tutorial
 * theme update
 * more unit graphics, animations and attack icons
 * new music added
 * resting implemented: units that don't do anything for a turn get few hitpoints back
 * 'Mage of Light' gives advantage also at dawn
 * multiplayer changes
   * Knalgan Alliance: dwarves and their allies
   * Rebels can't recruit dwarves or thieves anymore
   * ally village ownership information is shared over fog of war (#7154)
 * synced MANUAL with Wiki
 * language fixes (english)
 * new translations:
   * brazilian
 * sea creatures in Ford of Abez do not attack Li'sar
 * made energy bars fade out when a unit is killed
 * made circles disappear after a unit is killed
 * made recruiting update fog of war and shroud
 * made it so you can't create units that are off the map
 * fixed flaming sword not being found
 * fixed missing race=elf for 'Elvish Captain'
 * fixed bug where Elf wouldn't do anything in 'Mages and Elves' scenario
 * fixed units disappearing on event (#7032)
 * fixed need to be able to escape opening conversation (#7798)
 * fixed problem where some menus would have scroll buttons displayed in top-left corner
 * fixed problem with textbox not processing properly
 * fixed illegal memory access
 * fixed flop() to work properly
 * workaround to SDL bug
 * removed definition of log2 which clashes with some compilers
 * removed use of auto_ptr to help with compilation on older compilers
 * added a draw_wrapped_text method font.[ch]pp

Version 0.6.99.3:
 * data compression for network games
 * more unit graphics and animations
 * tutorial objectives added
 * scenario balancing for 'Heir to the Throne' campaign:
   * Sceptre of Fire
 * made it possible to recruit on any keep tile, not just a starting keeps
 * intelligence (trait) now reduces experience needed to advance by 20 %
 * quick (trait) now reduces maximum hitpoints by 10 %
 * added orcishfoot (orcs, goblins), "orcs" are now faster on hills and mountains
 * changed orcish units previously using smallfoot to use orcishfoot
 * mountainfoot (dwarves) made a bit faster on forest
 * mountainfoot village and castle defense increased
 * undeadfoot (undead) made faster on swamp
 * undeadfoot swamp defense increased
 * undeadfoot can now move on mountain, though very slow
 * woodland (elves) made a bit faster on mountains
 * new units:
   * Outlaw
   * Bandit
 * AI improvements
   * retreating, re-grouping
   * recognizing allies
   * attack selection improvements
   * grouping improvements
   * defending leader
   * fixed leader abandoning keep when it was not safe
   * fixed AI leaving units idle when it has a large number of units
 * updated translations:
   * french
 * improved castle placement on random maps
 * added 'new turn' event
 * added 'side turn' event
 * fixed healing units that had full hitpoints (#7574)
 * fixed problem where [hide_unit] still displays unit's hitpoint bar
 * fixed unit names being different in networked multiplayer games
 * fixed bug where temporary items were lost on level up or when saving and reloading the game
 * fixed bug which caused dialogs that extended past screen boundaries to crash program
 * fixed bug where unterminated #define would crash the game
 * fixed "Two Delfadors" bug
 * attempt to fix hitpoint bars not displaying properly on Mac OS X
 * relocated images under misc/: flamesword, holywater, sceptreoffire, staff

Version 0.6.99.2:
 * nightstalk ability added
 * added turn-to-stone special weapon ability
 * invisible units are now revealed when enemy comes adjacent to them
 * poisoned units are shown with a green hue
 * updated MANUAL
 * new units:
   * Thug
   * Poacher
 * increased resistance values for all Dwarvish units
 * increased cost of 'Dwarvish Fighter' to 17
 * reduced 'Dwarvish Lord' movement to 4
 * skirmish ability given to Fencer and Duelist
 * scenario balancing for 'Heir to the Throne' campaign:
   * Home of the North Elves
 * minimap scrolling
 * new music added
 * theme updated:
   * new menus
   * added menu buttons to top left of screen
   * slider updated
   * new buttons
   * status icons in unit information panel
 * multiplayer improvements:
   * Loyalists can recruit Horseman
   * Rebels can recruit Dwarves
 * wesnothd.6 manual updated
 * credits, people ordered by role
 * tweaked look of tooltips
 * made it so the icon for the paladin's sword is used when the paladin attack
 * added Dwarvish Steelclad attack frame
 * escape save game filenames to allow special characters on them
 * removed show_ai_move options, since there is a serious bug with it
 * fixed poison healing bug
 * fixed bug where killing an enemy that caused an [endlevel] event to occur prevented advancement by the unit killing
 * fixed bug where commander would carry over movement from previous level
 * fixed storyline image for Isle of the Damned
 * fixed adjacent terrain for pier terrain
 * fixed bug that caused Wesnoth to fail to compile in ia64
 * fixed crash when connecting to outdated servers
 * fixed problem with changing video modes on machines that use emulated bpp
 * fixed crashing on missing intro image
 * fix to bug in tiles_adjacent()
 * fixed "Leving" -> "Leaving" in Shadow description
 * fixed problem where after being disconnected from the server, players would be unable to reconnect without quitting the client
 * fixed game not notifying when save game failed
 * fixed round indicator does not show completely (#7500)
 * attempt to fix STL-related compile error on Slackware
 * added find_visible_unit, to find a visible_unit by location in a unit_map
 * initial implementation of developer documentation (doxygen)
 * refactored some AI code

Version 0.6.99.1:
 * extended tutorial
 * two new music tracks
 * new user-interface
   * support for themes
   * enhanced support for resolutions below 1024x768 (e.g. 800x600)
   * very simple chatting is now possible in-game (mouse right-click menu -> speak)
   * new time of day images, attack icons, new buttons, checkboxes, panel has been split to top and right-side panel...
 * medium difficulty level is used by default when starting new campaign
 * snapshot saving, faster loading if you skip replay
 * more unit graphics, animations and sounds
 * healers can heal allies
 * undeads can not be drained anymore
 * new units:
   * Shadow
 * dart damage type changed from pierce to blade, this affects 'Orcish Assassin' and 'Orcish Slayer'
 * fixed description for 'Wolf Rider'
 * changed 'Evil Necromancer' advanceto 'Lich'
 * Mage stats changed: hitpoints increased to 24, ranged attack does now 6-3 (magic), 60 experience needed to advance
 * reduced movement for Arch Mage and Great Mage to 4
 * Dwarvish Lord changes: renamed 'tomahawk' to 'hatchet', removed leadership, increased resistance against blade, piercing and impact
 * Necromancer changed to 'human' (movement_type is now 'smallfoot'), experience needed to advance increased to 80
 * Lich experience needed to advance increased to 250
 * 'Ancient Lich' Melee damage decreased to 8-4
 * free units don't get traits anymore, however they are free in future scenarios
 * new scenarios for 'Heir to the Throne' campaign:
   * North Elves
 * scenario balancing for 'Heir to the Throne' campaign:
   * Hasty Alliance
   * Sceptre of Fire
   * A Choice Must Be Made
 * new scenarios for 'The Dark Hordes' campaign:
   * Mages and Elves
 * scenario balancing for 'Dark Hordes' campaign:
   * Brother Against Brother
   * The Skull of Agarash
 * units will stop moving when they see new units (shroud/fow)
 * moves that do not reveal shroud/fow are undoable
 * when a leader dies all villages for that side become neutral and you can not anymore capture villages, you can still "neutralize" villages of other players
 * 'show team colours' now uses colored circles to identify units sides
 * added 'show team colours' option to preferences dialog
 * added some explanatory tooltips for some unit attributes on sidebar
 * added in flag to show whose turn it currently is
 * added end turn confirmation when units can still move (requires editing preferences-file - see WesnothPreferences on http://wiki.wesnoth.org for more information)
 * added 'unit list' to context menu
 * restored 'save game' in the context menu (#7172)
 * multiplayer improvements:
   * enhanced multiplayer game setup
   * random maps
   * made basic messaging possible using 'Speak' from main menu
   * 'delayed map sharing' between allies
   * when player quits or gets disconnected from multiplayer game, game creator chooses to replace them with ai/local player or abort
   * loaded games should now start properly and with right settings
   * there are now flags (and colors) for 10 teams
   * minimap shows FoW and units
   * configurable wesnothd port see 'wesnothd --help'
   * client support for non-standard server ports, syntax: server.address.here:port
 * AI improvements
   * leader seeks for healing as long as his keep is safe
   * leader captures nearby villages in some situations
   * leader requests help when attacked
   * attack is chosen more effectively
   * movement algorithm changes
   * restructured AI code
 * man-page for wesnoth_editor
 * new translations:
   * swedish
 * updated translations:
   * danish
   * dutch
   * french
   * spanish
 * internationalization string fixes
 * made make_translation and merge_translations compile
 * fixed "Computer vs Computer" not in string_table (#7295)
 * improved speed of reading cfg-files
 * units in water tiles are displayed partially submerged
 * added support for height adjustment of units
 * added snowed hills and forest - H and F
 * default selection for weapons when attacking
 * all event tags are now handled in the order in which they appear
 * teleport event
 * added several new toys for scenario developers to play with (wesnoth --test to see all thats done)
 * allowed items to set status flags on units
 * tweaked unit cfg-files for "weapon namespace uniformity" - needed for attack icons
 * implemented new 'team_name' tag to show alliances to replace 'enemy' tag
 * adjusted the way in which images are blitted
 * implemented new widget system with sample: textbox
 * borders of game field show dummy terrain instead of black areas
 * made images use proper transparency, instead of using black as transperant colour
 * pressing space really ends turn for a unit (#7311)
 * menu arrows are disabled when we are on top or in the bottom of menu (#7389)
 * allow scrolling to fogged zones clicking the minimap
 * fixed pressing 'n' (next unit) returning to same unit (#7308)
 * fixed player being able to see enemy unit list on enemy turn (#7312)
 * fixed unit list not showing data in correct columns for units without name (#7313)
 * disabled observers using the in-game speak (#7156)
 * seeing new areas when there is FoW now really prevents undo (#7177)
 * FoW dies when unit dies, FoW is recalculated when unit dies in combat (#7114)
 * fixed client-hosted multiplayer bug where more than two player games were not possible
 * fixed some multiplayer saving/loading bugs
 * fixed some bugs with loading replays
 * fixed problem with saving at the end of the scenario pointing to the previous scenario
 * fixed problem with units having goto orders at the beginning of scenarios
 * fixed seeing footprints of other team's units
 * fixed clicking on minimap losing focus on your unit (#7402)
 * fixed problem with old units being displayed in status bar
 * fixed bug where capturing a village with a leader would not change the village to your side
 * fixed bug where scenario objectives in loaded games would sometimes have weird boxes on the end
 * fixed bug which could cause a crash when a unit advances
 * fixed problem where changing between fullscreen/windowed mode in preferences could do strange things
 * fixed start game in windowed mode -> tutorial -> ctrl-f to change to fullscreen -> quit to main menu -> preferences -> click button to change to full screen -> close preferences dialog -> crash
 * fixed bug where very large dialogs could crash the game
 * fixed some problems with too-large dialog boxes
 * fixed bug where an invalid side specification for a unit could crash the game
 * fixed problem in Ford of Abez with monsters attacking Li'sar
 * music on intro now has less interference
 * credits now run smoother
 * fixed Wraith appearing squashed in the panel (#7185)
 * fixed WML parser bugs
 * fixed misspelled 'The Siege of Elensefar' scenario filename
 * fixed visualization problems with in fmunoz & ettin's names in Credits
 * fixed strange text handling in intro (#7418)
 * fixed Pikeman advanceto typo (#7337)
 * fixed client connecting forever after a client disconnection (#7195)
 * many network and wesnothd code fixes and changes to make it a bit more stable
 * moved network code to mp_connect
 * autotools:
   * changed AC_ARG_ENABLE in server, editor and tools to fix bug
   * checks for png support in sdl_image and ogg support in sdl_mixer
   * application icon and menu entries in KDE with --enable-kde
   * application icon and menu entries in Gnome with --enable-gnome
   * removed autoconf version 2.57 prerequisite
   * adding autogen.sh, so CVS users don't need autotools installed
 * a workaround to allow users not using 16 bpp to change video mode
 * changed drawing routines to use more SDL routines, and less direct manipulation of surfaces
 * removed unnecessary diagnostics
 * code refactoring and cleanups

Version 0.6.1:
 * removed plague ability from Wraiths
 * decreased Lich's melee damage by one
 * hitpoints are displayed in red/white/green depending on 1/3, 2/3, full energy
 * display experience in green when unit is near advancement
 * basic support for 800x600 resolution has been added, it still needs a lot work
 * translated manuals:
   * norwegian
 * new translations:
   * dutch
 * autotools: enabled changing datadir name with ./configure
 * autotools: configure stops and gives error messages if libs & includes aren't found
 * fixed Crossroads scenario lacking victory and defeat conditions
 * fixed 'A Choice Must Be Made' defeat conditions
 * fixed bug causing crash on scenario completion
 * fixed 'Storm Trident' mislocation on 'Bay of Pearls'
 * fixed resetting player starting gold, gold per village, player race, and player type when loading multiplayer game
 * change the way images are handled to fix resizing (and other potential) bugs
 * fixed problem where gold was reset to 100 on some scenarios
 * made it so both holy water items in the valley of death work properly
 * fixed bug where using items such as the 'Storm Trident' and 'Sceptre of Fire' could crash the game
 * fixed bug that occurred when the display was zoomed very far out
 * fixed reference counting problem
 * code cleanups

Version 0.6:
 * radical storyline changes, this breaks saves from older versions
 * fog of war
 * enemy units do not vanish anymore when enemy leader is killed
 * new scenarios for 'Heir to the Throne' (Konrad's Tale):
   * Isle of the Damned
   * Crossroads
   * Northern Winter
   * The Lost General
   * Hasty Alliance
   * Sceptre of Fire
   * A Choice Must Be Made
   * Snow Plains
   * Swamp of Dread
 * scenario balancing:
   * Bay of Pearls
   * Isle of Anduin
   * Dwarven Doors
   * Mountain Pass
   * Valley of Death
   * Ford of Abez
 * support for multiple campaigns
 * new campaign started: 'Hordes of the Undead'
 * multiplayer improvements:
   * show minimap when selecting map for new game
   * configurable starting gold per side
   * configurable 'gold per village'
   * teaming (alliances)
   * configurable number of turns
   * configurable fog of war
   * configurable shroud
 * autotools has been taken in use, old Makefiles can be found under utils/
 * updated docs - INSTALL, MANUAL
 * man-pages for wesnoth and wesnothd (contributed by Debian package maintainer) - doc/man/
 * added a script for easy Slackware package creation - utils/slacknoth
 * added random map generator (requires Perl) - utils/random_map.pl
 * added in repeatable recruit using ctrl+shift+r
 * hotkey configuration from GUI
 * confirm overwriting of save games
 * savegames now display and are sorted by date and time
 * income calculations are now done at the beginning of each player's turn
 * made it so units that can no longer advance have experience needed displayed as '-'
 * allow use of escape to exit out of ok/cancel and yes/no dialogs with negative results
 * double-click support in menus
 * new units:
   * Heavy Infantry
   * Shock Trooper
   * Sea Hag
   * Goblin Pillager
   * Death Knight
   * Elvish Scout
   * Pikeman
   * Dwarvish Steelclad
 * Konrad now starts as Fighter, which is 1st level unit
 * undead are now immune to poison and plague
 * reduced movement for Elvish Lord
 * reduced cost of Mage
 * changed Mage attack to fire based
 * 'Mage of Light' has now both cure and illumination
 * Increased shaman slowing attack damage, decreased unit cost
 * changed 'Red Mage' to neutral alignment
 * removed 'Elvish Outrider' as evolution from Horseman
 * Scout has been renamed to Cavalry
 * Cavalry stats adjusted, increased cost by one, reduced movement by one, reduced experience needed to advance
 * Horseman now needs more experience to advance
 * 'Vampire Bat' now needs more experience to advance and costs more
 * 'Mage of Light' attack is now a bit more powerful
 * fixed max experience for Orcish Warlord
 * 'Blood Bat' unit description clarified
 * Halberdier changed to 3rd level unit
 * Spearman now advances to Pikeman
 * Increased fire resistance for 'Red Mage' branch units
 * Increased holy resistance made higher for Holy units
 * auto-naming (currently elves and humans only) of units and renaming of units
 * units now have races defined in cfg-files
 * more and improved unit graphics and animations
 * changed team 6 color to purple
 * new translations:
   * german
   * hungarian
 * updated translations:
   * danish
   * french
   * spanish
 * translated manuals:
   * french
   * italian
   * spanish
   * german
 * changed "AI" in the english config to "Computer Player"
 * fixed problem with stripping of non-latin characters at end of string in config files
 * allow internationalization of traits
 * made AI more intelligent
 * scenario building:
   * added [remove_shroud]
   * added [allow_recruit]
   * added [teleport]
 * added in support for some special effects: flashing and scrolling/tremors
 * added coding support for displaying different terrain images (particularly useful for villages) at different times of the day
 * fixed minor bugs in unit configuration files for Elvish Sharpshooter and Fencer
 * fixed problem where 'goto numbers' can overwrite part of the right panel
 * footsteps disappear as you walk over them
 * added engine support for weapons that can reach multiple hexes
 * added some utility macros to WML
 * added a rotate function, you can quickly rotate a SDL_Surface by any angle
 * text is drawn on screen progressively instead of all at once during introductory sequence
 * fixed problems with map updating on map scene
 * fixed bug with 'slow' attacks sometimes causing saved games to be corrupt
 * fixed bug with crashing when switch to full screen from preferences menu
 * updated MapEditor so it compiles again
 * fixed tiny maps bug
 * fixed editor so it compiles again
 * fixed problem with items on status table displaying on top of each other
 * fixed problem with server crashing on startup
 * converted combat calculations to use fixed-point math
 * fixed crash with more than 6 sides
 * fixed compile error with older versions of SDL
 * made time of day images update properly
 * fixed assertion failures
 * fixed problem where slamming screen against right side and holding down right cursor key would cause hexes to shift around
 * made mouse wheel and middle-click work again
 * resolved conflicts in game.cfg
 * made it so flags are overlayed on top of villages properly
 * made image cache flush occur when switching video modes, in an effort to solve colour distortion problem on MacOSX
 * fixed seg fault bug
 * fixed energy bar images
 * changed energy movement orbs
 * white spaces were changed to _ in scenario IDs and next_scenarios
 * fixed problem with loading saved games with duplicate roles
 * fixed bug in AI path finding
 * fixed problem with undos/redos causing assertion failure
 * fixed bug with drawing tiles
 * after a goto command is given, the unit is deselected
 * fixed minor multiplayer bug
 * fixed tool tips to work again
 * fix hitpoint bar problem on MacOSX
 * added diagnostic to attack calculations
 * added error logging and correction for combat related syncing errors
 * client_type=ai in preferences-file make player join networked multiplayer games as AI player
 * added some comments to code
 * added icon to Windows distribution

Version 0.5.1:
 * more and improved unit graphics and animations
 * added show_ai_moves and show_combat options for preferences file
 * in 'Valley of Death' Li'Sar now arrives with Spearmen instead Swordsmen
 * renamed Soldier to Spearman
 * made it so shroud displays properly on the minimap
 * added support for UTF-8
 * extensive changes to the way event handling works
 * make multiplayer lobby look better
 * made advancement of units on a remote machine random
 * made display draw more efficiently
 * made it so AI players have an empty description in multiplayer games
 * added in some additional assertion checks
 * made some templated code more portable across compilers
 * fixed problem with AI attacking units not always advancing levels
 * map file format is now correctly oriented

Version 0.5:
 * low traffic wesnoth-releases mailing-list, subscribe at http://mail.nongnu.org/mailman/listinfo/wesnoth-releases
 * network multiplayer
 * wesnoth server
 * more sound effects and musics
 * more and improved unit graphics and animations
 * portraits when major characters are talking
 * more story graphics
 * many compile errors squashed
 * updates to Danish, French and Spanish translations
 * updates and fixes to editor
 * snow and desert terrains, improved graphics for grassland
 * scenario difficulty adjustment/balacing
 * new scenarios:
   * The Blackwater Port
   * Plunging Into the Darkess
 * new units:
   * Elvish Shyde
   * Dark Adept (Necromancer wannabe)
   * Dragoon
   * Soldier
 * Swordsman was changed to level 2 unit
 * Gryphon claws attack is now blade
 * reduced movement for Dwarvish Berserker, Dwarvish Lord, Orcish Assassin, Orcish Slayer and Orcish Crossbow
 * elven units are now neutral
 * changed 'night vision' to ambush ("invisibility" at forest) for Elvish Ranger and Elvish Avenger
 * changed Elvish Outrider weapon to sword (no more charging)
 * human units are now lawful
 * renamed Assasin to Assassin
 * changed Orchish Archer and Orcish Crossbow melee attack to blade
 * elusivefoot now take more damage when hit
 * fixed teleporting to work properly
 * many small unit adjustements to balance units
 * lightbringer ability renamed to illuminates
 * flying units are now harder to hit
 * allow keystroke repeat when holding down in text entry fields
 * added toggling of grid with control-g
 * fixed cycling to goto units
 * made it so when unit is selected, pressing a number n on the keyboard will show how far that unit can move in n turns
 * added mousewheel support
 * added center-on-middle click
 * fixed bug with replays and moving onto villages
 * added shroud
 * removed timeout in intro sequence
 * button transparency problems fixed
 * fixed energy bar display problem
 * fixed position on minimap when clicking
 * make fights go faster when accelerated
 * improved AI
 * added tooltips for text that cannot fit
 * added turn dialog and turn bell options
 * added in 'status table'
 * added better dialog for when unit is recruited
 * added new dialogs and right-side panel
 * path highlighting (footsteps)
 * menu borders updated
 * added in showing of how many turns a goto command will take. Mousing over terrain with unit selected will show defense % of the terrain and movement cost for that unit
 * made preferences accessible from the title screen
 * added configurable scrolling speed
 * added in colour cycling for day/night
 * removed deprecated display::get_minimap_location() function
 * fixed choose_weapon assertion failure
 * got rid of use of spaces in saved game names
 * refactored menu class into its own source file
 * updated scenarios to use the 'next_scenario' system
 * fixed problem with round()
 * getting rid of scenario numbering, preparing for less linearity
 * added PREFERENCES_DIR preprocessor symbol which specifies name of preferences directory
 * fixed some crashes when loading preferences.
 * added configurable day/night scheduler
 * removed unit status dialog from unit description as it's redundant

Version 0.4.8:
 * lots of bugs fixed
 * translations updated and some new translations
 * AI improvements - grouping, waiting for reinforcements
 * new tile graphics for grassland, shallow water, deep water, sand and keep
 * more unit animations, sounds and descriptions
 * reduced movement for advanced units, they don't need to be both more powerful and faster than lesser units
 * horseman is now neutral unit
 * paladin sword attack is now holy
 * wolf rider, goblin knight, vampire bat and blood bat attack is now blade
 * new healing/curing, paladin and shaman have healing, white mage and druid have cure
 * go-to implemented
 * ask to save replay at end of scenario
 * autosave ("crash recovery")
 * customizable hotkeys, configured in preferences-file
 * pressing window close button quits the game
 * scenario objectives are shown at the start of scenario
 * terrain descriptions now use 'terrain (underlying terrain)' format
 * when a unit reaches border of screen we center map on unit instead of scrolling
 * validate saved games with version number
 * screen resolution can be changed in preferences
 * allow window to be dynamically resized when running windowed
 * use video hardware surfaces where possible (Windows seems to have trouble with hardware surfaces so game always uses software surfaces when running on Windows)
 * code cleanups
 * lots of compiler warning eliminated
 * sourcecode moved to src/

Version 0.4.7:
 * patched the units config files with miyo's patch to clean up the structure
 * made it so the game will dump core if it segfaults
 * fixed crash reported by zas when a unit attacks
 * you can now zoom in and out when the AI is moving
 * added improved keyboard control that allows keys to be set in the locale settings. Keyboard shortcuts (in the English locale) changed
 * added ability to make different game-paths - e.g. the scenario you play could be determined by how you won last scenario. Dialogs can now be popped up which ask the player to make a selection, and the selection they make determines how the game progresses. (But no part of the game actually uses this feature yet)
 * added scenario objectives in scenario 10
 * now when the AI attacks an enemy and doesn't kill it, it will move other nearby units toward the place where the combat took place
 * if an AI sees only combats that result in loss nearby, it will request reinforcements from nearby
 * made it so that if the macro WESNOTH_PATH is defined, the game will look for its data files at that path. You can thus compile with e.g.  -DWESNOTH_PATH=\"/usr/local/games/wesnoth\" -- the Makefile does not currently take advantage of this
 * added benchmarking of times to perform various operations in the game
 * made leaders start in a 'keep'. (But need a better image for the keep
 * added difficulty level settings for scenarios up to scenario 9
 * added (partially done) Italian translation
 * added 'skip turn' option, accessible by pressing space - will end the selected unit's turn, and go to the next unit that has moves left

Version 0.4.6:
 * converted over to using png images instead of bmp
 * fixed up difficulty levels for 'normal' on scenarios 3 and 4 as reported by miyo
 * made it so healing animations and sounds don't play during replays
 * removed name generation code, since it wasn't fast enough
 * added sounds to a number of Elvish units
 * made it so that when the attack-selection dialog is displayed, the attacking unit is displayed in the right side bar, so that one can easily compare the attacking and defending units
 * fixed bug where after a scenario is loaded, on new turn it wouldn't scroll to the leader
 * made the display area for units bigger when recalling, to fit in units like the Druid
 * reduced Mage's hitpoints from 25 -> 18
 * added in plague ability and gave it to walking corpse and wraith. A unit with plague will create a new unit of their own type whenever they kill an enemy unit
 * tweaked recruitment pattern on scenario 6
 * made marksman and sharpshooter both very bad at close range
 * increased power of Mage of Light's attack
 * made it so you get a gold bonus when you complete scenario 9
 * fixed scenario 7 to say 'survive for 2 days'
 * changed Swordman -> Swordsman and Beserker -> Berserker
 * made some speed changes which will hopefully help for people who are finding it slow on startup and after selecting difficulty levels
 * fixed display problem where background of menus that had scroll arrows looked displaced
 * corrected facing of dwarvern units
 * added transition hexes at the edge of the scenario to make the edges of the map look nicer
 * added a 'show grid' option

Version 0.4.5:
 * added mine image for scenario 11 provided by fmunoz
 * added some missing headers to source files, problem pointed out by zas
 * made the animation for healing take a little longer
 * added new shortcut, control-F alternates between full screen and windowed mode
 * added buttons 'next' and 'skip' to introduction sequence
 * added two new images from fmunoz to introduction sequence
 * added new preferences dialog, which contains volume controls for music and sound effects
 * got rid of flicker on title screen when you cancel selection of a dialog box
 * fixed a number of drawing bugs which caused strange lines to appear across the screen sometimes, and caused the game to display badly when zoomed out alot. Zooming out should now work perfectly
 * marksman (trait) to hit chance reduced to 60 %
 * night vision (trait) added to Elvish Ranger and Elvish Avenger

Version 0.4.4:
 * fixed assertion failure if you try to start a campaign and then cancel on the difficulty level settings
 * added 'merge_translations' tool which will merge an old version of a foreign language translation to the current English translation, making a new translation that has foreign language strings where they are available, and English strings otherwise
 * fixed crash if you opened a menu that had some empty strings in it (for instance clicking preferences in the French version)
 * changed recruitment so that now a leader can only recruit if they are on a starting location. They can recruit units on any vacant castle tile connected to the starting location they are on. The player can choose a location to recruit onto by selecting it when accessing the recruit menu. TODO - Need a graphic to distinguish the starting hex from other castle hexes
 * changed maximum items displayed in a menu before up/down buttons appear from 10 to 18
 * fixed bug in scenario 8 where objectives would not be displayed
 * fixed bug in scenario 9 where major characters could die without loss
 * changed it so that when writing a configuration file, [/element-name] will be used to end an element instead of [end]
 * fixed corrupted save file bug reported by miyo
 * made the White Mages that join you in level 7 leave you at the end of the level, as they are meant to
 * changed advancement animation colour to black for chaotic units
 * made it so that when an AI-controlled unit moves, its details are displayed on the sidebar, as suggested by miyo
 * implemented algorithm so that if an AI is moving and the map has to be scrolled, frames will be skipped if necessary to make the AI moving at a decent speed
 * added Danish translation
 * added improved French translation
 * made it so that if you mouse-over a unit, it will be displayed in the unit details on the sidebar
 * changed healing so that a healer can only heal up to 12 hitpoints per turn.  Added animations and sound effects to healing
 * added in AI type 'guardian', which is a unit that will stay in position until enemies come in range at which point it attacks. Now in scenario 3 there is a cage with many mermen in it that has 2 naga guardians around it
 * added scenario 10 provided by Shroud and scenario 11 provided by fmunoz
 * added in test version of a naming algorithm that will automatically name created units that was submitted as a patch by a wesnoth user

Version 0.4.3:
 * made it so that when a directory is scanned for files, only files ending in .cfg will be used. This is mainly to stop vim swap files from being used
 * changed AI's movement routines to make it slightly more intelligent
 * added in difficulty levels - easy, medium, and hard
 * scenarios 1 and 2 now have easy/medium/hard difficulty levels implemented for them
 * when an enemy dies, its energy bar now fades out with it
 * added 'turbo' mode in preferences area. In turbo mode, the operation of the shift key is inverted. Turbo mode and full screen mode settings are now saved to the preferences file
 * made the time of day go dawn - day - day - dusk - night - night as suggested by miyo
 * fixed up bugs in the AI's pathfinding, the AI should now be substantially smarter
 * allowed setting of custom target units for the AI

Version 0.4.2:
 * if you hold shift, the game won't scroll at all, it'll jump between locations
 * added attack animations for necromancer and mage
 * added in Lohari's images with corrected shadows
 * added in Lohari's crossed daggers for battles, instead of the cross
 * added in Paladin's patch to highlight the hex of the unit that is currently selected
 * used new Makefile provided by zas
 * added setting of window title as suggested by zas
 * changed so that holding shift skips fading in recruiting units
 * increased cost of Naga from 8 -> 11 gold to make scenario 3 easier
 * fixed bug with recalling in mid-level saved games - should save alot of game corruption issues
 * made it so attack sounds do not play while loading game
 * added animations for Goblin Knight, Wolf Rider, and Troll Whelp
 * made it so Glordorf in Scenario 2 doesn't join the player
 * added in new missile images done by fmunoz
 * fixed bug where merman's storm trident would run out when the merman advances, or at the end of the level
 * page up and page down can be used to maneuver through menus
 * fixed bug reported by Jaramir, where exiting a multiplayer game would cause the save state to be remembered
 * fixed bug reported by Jaramir, where recruiting or recalling a unit wouldn't update your gold immediately
 * added better guarantees that when an AI attacks a unit, the unit being attacked won't be mostly off the screen
 * changed Necromancer to level 2
 * fixed bug where quitting the game by pressing escape during opening dialog sequence would cause the game to crash
 * added facility suggested by miyo where an entire directory can be scanned to look for configuration files. Re-arranged files in data/ to utilize this
 * changed configuration files to allow [/tagname] to end a tag instead of [end]. Added better error handling for bad configuration files
 * added utility make_translation which when run, will construct a sample translation with all the strings that can be translated in it
 * removed Outrider's spear/charge attack and replaced it with a sword
 * added sorting to recall list

Version 0.4.1:
 * added music and sound support. The game has one song, provided by ZhayTee+.  Added some sample sounds for Elvish Fighter attacking
 * fixed up bug where if you loaded a mid-level game, and then saved at the end of level, the save would be corrupt
 * fixed bug where the display mode would always be displayed as 'windowed'
 * make the game report an error message if switching between windowed/full screen fails
 * make the game handle switches between windowed and full screen even if exact colour depth can't be matched
 * arrow keys can now be used to maneuver menus, and enter can be used for 'ok and yes' in dialogs
 * fixed bug that caused a crash at the end of the tutorial
 * fixed bug where moving a unit along the border edges would go very slowly

Version 0.4:
 * fixed a bug with unit description images being messed up if you zoom in
 * fixed time to load a game
 * fixed missiles up to point in the correct direction
 * fixed naming of Shallow Water and Deep Water (used to be 'ocean' and 'coast' and not internationalized properly)
 * removed bug where a dialog could overwrite part of the sidebar on the right
 * now you have to 'kill' Li'sar in scenario 6 before she'll surrender
 * added more cleaning in Makefile
 * use new dynamically generated buttons based
 * use anti-aliased fonts
 * addition of a multi-player mode that allows hot seat multiplayer games to be played
 * added button 'n' which takes you to the 'next' unmoved unit. You can cycle through all your unmoved units by pressing 'n' repeatedly
 * added 'preferences' item in options menu. The one preference at the moment is to be able to toggle between windowed and full-screen from within the game
 * changed rectangle on the map of Wesnoth to cross
 * completed scenario 9
 * added gryphon rider unit and put them in scenario 9
 * added resistance tables and terrain movement and defense tables to 'unit description'
 * added unit descriptions to many more units
 * when a unit is recruited, it now fades in
 * AI leaders will now attack you if you move next to them
 * the ai now targets units that are close to advancing more, and tries to protect and advance its own units better
 * mage's attack changed to 8-2
 * human fencer unit added
 * wraith's damage taken up from 7 to 8
 * changed movement of red mage, arch mage, and great mage from 7 to 6. With teleporting, 7 movement is too powerful. May even reduce to 5 later

Version 0.3.4:
 * fixed display bug which kept the game from working on many machines
 * added Elvish Shaman and Druid units
 * added transperancy for some units
 * added undo and redo using the 'u' and 'r' keys
 * tweaked the 'valley of death' scenario
 * changed some unit values

Version 0.3.3:
 * fixed problem in scenario 2
 * implemented facing of units

Version 0.3.2:
 * incorrect references to images fixed
 * basic support for animated combats added
 * size of the energy bar scaled to the hitpoints a unit has

Version 0.3.1:
 * basic items support added
 * support for units to have different 'traits' added
 * combat is now animated
 * some redraw problems fixed
 * better interface design

Version 0.3:
 * many game rules changed/tweaked
 * speed improved
 * AI improved. (Although the AI sometimes does go a little slowly now)
 * new scenarios added
 * new unit types added
 * lots of tweaking, fixing of minor things

Version 0.2.1:
 * many redraw bugs fixed
 * new scenarios added
 * many new graphics added that were contributed by Paco
 * infinite recall bug fixed
 * recalling now costs 20 gold pieces. Gold from previous scenarios carries over, and there is a bonus for finishing a scenario early
 * better transitions between tiles added (graphics for this not complete though)
